View Issue Details

IDProjectCategoryView StatusLast Update
0004658SymmetricDSBugpublic2021-08-10 20:00
ReporterFutureChalk Assigned Torudiejd  
Prioritynormal 
Status resolvedResolutionfixed 
Product Version3.12.4 
Target Version3.12.12Fixed in Version3.12.12 
Summary0004658: Postgresql data type - character varying problem
DescriptionXML is created with invalid character length for character varying columns without a length definition.
Steps To ReproduceLet me outline the situation.
1. Synchronizing from registration server to a client
2. The problem that shows up is that when Symmetric builds the XML for a table where the charater varying datatype has an undefined length it creates in the xml character field that is 2,147,483,647 length. When the table is created on the client an error saying that the character varying field exceeds the maximum length.
The actual maximum length supported by postgresql is 10,485,760.

The column definition used was - test_col character varying,

This seems like a bug in symmetric not setting the maximum length to that supported by the database.
Additional Information1. symmetricds version 3.12.4
2. Postgresql Version 12
3. OS's Windows 10, Mac Catalina and SME Server
TagsNo tags attached.

Activities

FutureChalk

2020-11-26 03:16

reporter   ~0001864

I created a bare bones sync to illustrate the problem.

SQL of the table
CREATE TABLE public.test_text_search
(
    "UID" bigint NOT NULL DEFAULT nextval('"test_text_search_UID_seq"'::regclass),
    ts_field_text tsvector,
    tx_field text COLLATE pg_catalog."default",
    text_field character varying(100) COLLATE pg_catalog."default",
    cv_text_nl character varying COLLATE pg_catalog."default",
    CONSTRAINT test_text_search_pkey PRIMARY KEY ("UID")
)

Postgresql 12.3

Attached is the log file. Go to the end to see the errors and XML produced. I used various data types.
Sync was from corp to store.
symmetric.log (201,912 bytes)   
2020-11-25 18:31:27,705 INFO [startup] [AbstractCommandLauncher] [main] Option: name=verbose, value={}
2020-11-25 18:31:27,749 INFO [startup] [SymmetricUtils] [main] 
   _____                              __       _       ____   _____
  / ___/ __  _____ __  ___ __  ___  _/ /_ ____(_)___  / __ | / ___/
  \__ \ / / / / _ `_ \/ _ `_ \/ _ \/_ __// __/ / __/ / / / / \__ \ 
 ___/ // /_/ / // // / // // /  __// /  / / / / /_  / /_/ / ___/ / 
/____/ \__  /_//_//_/_//_//_/\___/ \_/ /_/ /_/\__/ /_____/ /____/  
      /____/                                                        
+-----------------------------------------------------------------+
| Copyright (C) 2007-2020 JumpMind, Inc.                          |
|                                                                 |
| Licensed under the GNU General Public License version 3.        |
| This software comes with ABSOLUTELY NO WARRANTY.                |
| See http://www.gnu.org/licenses/gpl.html                        |
+-----------------------------------------------------------------+
2020-11-25 18:31:27,805 INFO [startup] [SymmetricWebServer] [main] About to start SymmetricDS web server on 0.0.0.0:8080:HTTP/1.1
2020-11-25 18:31:28,023 INFO [startup] [SymmetricEngineHolder] [main] Current directory is /Users/danridinger/Downloads/symmetric-server-3.12.5
2020-11-25 18:31:28,024 INFO [startup] [SymmetricEngineHolder] [main] Starting in single-server mode
2020-11-25 18:31:28,060 INFO [corp-000] [AbstractSymmetricEngine] [symmetric-engine-startup-1] Initializing connection to database
2020-11-25 18:31:28,333 INFO [corp-000] [JdbcDatabasePlatformFactory] [symmetric-engine-startup-1] Detected database 'postgres95', version '12', protocol 'postgresql'
2020-11-25 18:31:28,345 INFO [corp-000] [JdbcDatabasePlatformFactory] [symmetric-engine-startup-1] The IDatabasePlatform being used is org.jumpmind.db.platform.postgresql.PostgreSql95DatabasePlatform
2020-11-25 18:31:28,413 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] The DbDialect being used is org.jumpmind.symmetric.db.postgresql.PostgreSqlSymmetricDialect
2020-11-25 18:31:28,437 INFO [corp-000] [StagingManager] [symmetric-engine-startup-1] The staging directory was initialized at the following location: /Users/danridinger/Downloads/symmetric-server-3.12.5/tmp/corp-000
2020-11-25 18:31:28,795 INFO [startup] [SymmetricWebServer] [main] Joining the web server main thread
2020-11-25 18:31:28,884 INFO [corp-000] [ClientExtensionService] [symmetric-engine-startup-1] Found 8 extension points from spring that will be registered
2020-11-25 18:31:28,890 INFO [corp-000] [AbstractSymmetricEngine] [symmetric-engine-startup-1] Initializing SymmetricDS database
2020-11-25 18:31:28,901 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] Installing SymmetricDS database object:
CREATE or REPLACE FUNCTION sym_triggers_disabled() RETURNS INTEGER AS $$                                                                                                                                                     DECLARE                                                                                                                                                                                                  triggerDisabled INTEGER;                                                                                                                                                                             BEGIN                                                                                                                                                                                                    select current_setting('symmetric.triggers_disabled') into triggerDisabled;                                                                                                                            return triggerDisabled;                                                                                                                                                                              EXCEPTION WHEN OTHERS THEN                                                                                                                                                                               return 0;                                                                                                                                                                                            END;                                                                                                                                                                                                   $$ LANGUAGE plpgsql;                                                                                                                                                   
2020-11-25 18:31:28,912 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] Just installed sym_triggers_disabled
2020-11-25 18:31:28,914 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] Installing SymmetricDS database object:
CREATE or REPLACE FUNCTION sym_node_disabled() RETURNS VARCHAR AS $$                                                                                                                                                     DECLARE                                                                                                                                                                                                  nodeId VARCHAR(50);                                                                                                                                                                                  BEGIN                                                                                                                                                                                                    select current_setting('symmetric.node_disabled') into nodeId;                                                                                                                                         return nodeId;                                                                                                                                                                                       EXCEPTION WHEN OTHERS THEN                                                                                                                                                                               return '';                                                                                                                                                                                           END;                                                                                                                                                                                                   $$ LANGUAGE plpgsql;                                                                                                                                                   
2020-11-25 18:31:28,915 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] Just installed sym_node_disabled
2020-11-25 18:31:28,917 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] Installing SymmetricDS database object:
CREATE OR REPLACE FUNCTION sym_largeobject(objectId oid) RETURNS text AS $$                                                                                                                                            DECLARE                                                                                                                                                                                                  encodedBlob text;                                                                                                                                                                                      encodedBlobPage text;                                                                                                                                                                                BEGIN                                                                                                                                                                                                    encodedBlob := '';                                                                                                                                                                                     FOR encodedBlobPage IN SELECT pg_catalog.encode(data, 'escape')                                                                                                                                                   FROM pg_largeobject WHERE loid = objectId ORDER BY pageno LOOP                                                                                                                                           encodedBlob := encodedBlob || encodedBlobPage;                                                                                                                                                       END LOOP;                                                                                                                                                                                              RETURN pg_catalog.encode(pg_catalog.decode(encodedBlob, 'escape'), 'base64');                                                                                                                                              EXCEPTION WHEN OTHERS THEN                                                                                                                                                                               RETURN '';                                                                                                                                                                                           END                                                                                                                                                                                                    $$ LANGUAGE plpgsql;                                                                                                                                                   
2020-11-25 18:31:28,920 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] Just installed sym_largeobject
2020-11-25 18:31:28,920 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] Checking if SymmetricDS tables need created or altered
2020-11-25 18:31:29,103 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] There are SymmetricDS tables that needed altered
2020-11-25 18:31:29,110 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "sym_channel"(
    "channel_id" VARCHAR(128) NOT NULL,
    "processing_order" INTEGER DEFAULT 1 NOT NULL,
    "max_batch_size" INTEGER DEFAULT 1000 NOT NULL,
    "max_batch_to_send" INTEGER DEFAULT 60 NOT NULL,
    "max_data_to_route" INTEGER DEFAULT 100000 NOT NULL,
    "extract_period_millis" INTEGER DEFAULT 0 NOT NULL,
    "enabled" SMALLINT DEFAULT 1 NOT NULL,
    "use_old_data_to_route" SMALLINT DEFAULT 1 NOT NULL,
    "use_row_data_to_route" SMALLINT DEFAULT 1 NOT NULL,
    "use_pk_data_to_route" SMALLINT DEFAULT 1 NOT NULL,
    "reload_flag" SMALLINT DEFAULT 0 NOT NULL,
    "file_sync_flag" SMALLINT DEFAULT 0 NOT NULL,
    "contains_big_lob" SMALLINT DEFAULT 0 NOT NULL,
    "batch_algorithm" VARCHAR(50) DEFAULT 'default' NOT NULL,
    "data_loader_type" VARCHAR(50) DEFAULT 'default' NOT NULL,
    "description" VARCHAR(255),
    "queue" VARCHAR(25) DEFAULT 'default' NOT NULL,
    "max_network_kbps" NUMERIC(10,3) DEFAULT 0.000 NOT NULL,
    "data_event_action" CHAR(1),
    "create_time" TIMESTAMP,
    "last_update_by" VARCHAR(50),
    "last_update_time" TIMESTAMP,
    PRIMARY KEY ("channel_id")
)
2020-11-25 18:31:29,114 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "sym_conflict"(
    "conflict_id" VARCHAR(50) NOT NULL,
    "source_node_group_id" VARCHAR(50) NOT NULL,
    "target_node_group_id" VARCHAR(50) NOT NULL,
    "target_channel_id" VARCHAR(128),
    "target_catalog_name" VARCHAR(255),
    "target_schema_name" VARCHAR(255),
    "target_table_name" VARCHAR(255),
    "detect_type" VARCHAR(128) NOT NULL,
    "detect_expression" TEXT,
    "resolve_type" VARCHAR(128) NOT NULL,
    "ping_back" VARCHAR(128) NOT NULL,
    "resolve_changes_only" SMALLINT DEFAULT 0,
    "resolve_row_only" SMALLINT DEFAULT 0,
    "create_time" TIMESTAMP NOT NULL,
    "last_update_by" VARCHAR(50),
    "last_update_time" TIMESTAMP NOT NULL,
    PRIMARY KEY ("conflict_id")
)
2020-11-25 18:31:29,116 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "sym_context"(
    "name" VARCHAR(80) NOT NULL,
    "context_value" TEXT,
    "create_time" TIMESTAMP,
    "last_update_time" TIMESTAMP,
    PRIMARY KEY ("name")
)
2020-11-25 18:31:29,117 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE SEQUENCE "sym_data_data_id_seq"
2020-11-25 18:31:29,120 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "sym_data"(
    "data_id" BIGINT NOT NULL  DEFAULT nextval('"sym_data_data_id_seq"'),
    "table_name" VARCHAR(255) NOT NULL,
    "event_type" CHAR(1) NOT NULL,
    "row_data" TEXT,
    "pk_data" TEXT,
    "old_data" TEXT,
    "trigger_hist_id" INTEGER NOT NULL,
    "channel_id" VARCHAR(128),
    "transaction_id" VARCHAR(255),
    "source_node_id" VARCHAR(50),
    "external_data" VARCHAR(50),
    "node_list" VARCHAR(255),
    "is_prerouted" SMALLINT DEFAULT 0 NOT NULL,
    "create_time" TIMESTAMP,
    PRIMARY KEY ("data_id")
)
2020-11-25 18:31:29,122 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE UNIQUE INDEX "sym_idx_d_channel_id" ON "sym_data" ("data_id", "channel_id")
2020-11-25 18:31:29,124 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "sym_data_event"(
    "data_id" BIGINT NOT NULL,
    "batch_id" BIGINT NOT NULL,
    "create_time" TIMESTAMP,
    PRIMARY KEY ("data_id", "batch_id")
)
2020-11-25 18:31:29,125 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE INDEX "sym_idx_de_batchid" ON "sym_data_event" ("batch_id")
2020-11-25 18:31:29,127 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "sym_data_gap"(
    "start_id" BIGINT NOT NULL,
    "end_id" BIGINT NOT NULL,
    "create_time" TIMESTAMP NOT NULL,
    "last_update_hostname" VARCHAR(255),
    PRIMARY KEY ("start_id", "end_id")
)
2020-11-25 18:31:29,130 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "sym_extension"(
    "extension_id" VARCHAR(50) NOT NULL,
    "extension_type" VARCHAR(10) NOT NULL,
    "interface_name" VARCHAR(255),
    "node_group_id" VARCHAR(50) NOT NULL,
    "enabled" SMALLINT DEFAULT 1 NOT NULL,
    "extension_order" INTEGER DEFAULT 1 NOT NULL,
    "extension_text" TEXT,
    "create_time" TIMESTAMP,
    "last_update_by" VARCHAR(50),
    "last_update_time" TIMESTAMP,
    PRIMARY KEY ("extension_id")
)
2020-11-25 18:31:29,140 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "sym_extract_request"(
    "request_id" BIGINT NOT NULL,
    "node_id" VARCHAR(50) NOT NULL,
    "queue" VARCHAR(128),
    "status" CHAR(2),
    "start_batch_id" BIGINT NOT NULL,
    "end_batch_id" BIGINT NOT NULL,
    "trigger_id" VARCHAR(128) NOT NULL,
    "router_id" VARCHAR(50) NOT NULL,
    "load_id" BIGINT,
    "table_name" VARCHAR(255),
    "extracted_rows" BIGINT DEFAULT 0 NOT NULL,
    "extracted_millis" BIGINT DEFAULT 0 NOT NULL,
    "transferred_rows" BIGINT DEFAULT 0 NOT NULL,
    "transferred_millis" BIGINT DEFAULT 0 NOT NULL,
    "last_transferred_batch_id" BIGINT,
    "loaded_rows" BIGINT DEFAULT 0 NOT NULL,
    "loaded_millis" BIGINT DEFAULT 0 NOT NULL,
    "last_loaded_batch_id" BIGINT,
    "total_rows" BIGINT,
    "loaded_time" TIMESTAMP,
    "parent_request_id" BIGINT DEFAULT 0 NOT NULL,
    "last_update_time" TIMESTAMP,
    "create_time" TIMESTAMP,
    PRIMARY KEY ("request_id")
)
2020-11-25 18:31:29,166 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "sym_file_incoming"(
    "relative_dir" VARCHAR(255) NOT NULL,
    "file_name" VARCHAR(128) NOT NULL,
    "last_event_type" CHAR(1) NOT NULL,
    "node_id" VARCHAR(50) NOT NULL,
    "file_modified_time" BIGINT,
    PRIMARY KEY ("relative_dir", "file_name")
)
2020-11-25 18:31:29,173 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "sym_file_snapshot"(
    "trigger_id" VARCHAR(128) NOT NULL,
    "router_id" VARCHAR(50) NOT NULL,
    "relative_dir" VARCHAR(255) NOT NULL,
    "file_name" VARCHAR(128) NOT NULL,
    "channel_id" VARCHAR(128) DEFAULT 'filesync' NOT NULL,
    "reload_channel_id" VARCHAR(128) DEFAULT 'filesync_reload' NOT NULL,
    "last_event_type" CHAR(1) NOT NULL,
    "crc32_checksum" BIGINT,
    "file_size" BIGINT,
    "file_modified_time" BIGINT,
    "last_update_time" TIMESTAMP NOT NULL,
    "last_update_by" VARCHAR(50),
    "create_time" TIMESTAMP NOT NULL,
    PRIMARY KEY ("trigger_id", "router_id", "relative_dir", "file_name")
)
2020-11-25 18:31:29,206 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE INDEX "sym_idx_f_snpsht_chid" ON "sym_file_snapshot" ("reload_channel_id")
2020-11-25 18:31:29,215 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "sym_file_trigger"(
    "trigger_id" VARCHAR(128) NOT NULL,
    "channel_id" VARCHAR(128) DEFAULT 'filesync' NOT NULL,
    "reload_channel_id" VARCHAR(128) DEFAULT 'filesync_reload' NOT NULL,
    "base_dir" VARCHAR(255) NOT NULL,
    "recurse" SMALLINT DEFAULT 1 NOT NULL,
    "includes_files" VARCHAR(255),
    "excludes_files" VARCHAR(255),
    "sync_on_create" SMALLINT DEFAULT 1 NOT NULL,
    "sync_on_modified" SMALLINT DEFAULT 1 NOT NULL,
    "sync_on_delete" SMALLINT DEFAULT 1 NOT NULL,
    "sync_on_ctl_file" SMALLINT DEFAULT 0 NOT NULL,
    "delete_after_sync" SMALLINT DEFAULT 0 NOT NULL,
    "before_copy_script" TEXT,
    "after_copy_script" TEXT,
    "create_time" TIMESTAMP NOT NULL,
    "last_update_by" VARCHAR(50),
    "last_update_time" TIMESTAMP NOT NULL,
    "description" TEXT,
    PRIMARY KEY ("trigger_id")
)
2020-11-25 18:31:29,218 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "sym_file_trigger_router"(
    "trigger_id" VARCHAR(128) NOT NULL,
    "router_id" VARCHAR(50) NOT NULL,
    "enabled" SMALLINT DEFAULT 1 NOT NULL,
    "initial_load_enabled" SMALLINT DEFAULT 1 NOT NULL,
    "target_base_dir" VARCHAR(255),
    "conflict_strategy" VARCHAR(128) DEFAULT 'source_wins' NOT NULL,
    "create_time" TIMESTAMP NOT NULL,
    "last_update_by" VARCHAR(50),
    "last_update_time" TIMESTAMP NOT NULL,
    "description" TEXT,
    PRIMARY KEY ("trigger_id", "router_id")
)
2020-11-25 18:31:29,228 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "sym_grouplet"(
    "grouplet_id" VARCHAR(50) NOT NULL,
    "grouplet_link_policy" CHAR(1) DEFAULT 'I' NOT NULL,
    "description" VARCHAR(255),
    "create_time" TIMESTAMP NOT NULL,
    "last_update_by" VARCHAR(50),
    "last_update_time" TIMESTAMP NOT NULL,
    PRIMARY KEY ("grouplet_id")
)
2020-11-25 18:31:29,232 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "sym_grouplet_link"(
    "grouplet_id" VARCHAR(50) NOT NULL,
    "external_id" VARCHAR(255) NOT NULL,
    "create_time" TIMESTAMP NOT NULL,
    "last_update_by" VARCHAR(50),
    "last_update_time" TIMESTAMP NOT NULL,
    PRIMARY KEY ("grouplet_id", "external_id")
)
2020-11-25 18:31:29,259 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "sym_incoming_batch"(
    "batch_id" BIGINT NOT NULL,
    "node_id" VARCHAR(50) NOT NULL,
    "channel_id" VARCHAR(128),
    "status" CHAR(2),
    "error_flag" SMALLINT DEFAULT 0,
    "sql_state" VARCHAR(10),
    "sql_code" INTEGER DEFAULT 0 NOT NULL,
    "sql_message" TEXT,
    "last_update_hostname" VARCHAR(255),
    "last_update_time" TIMESTAMP,
    "create_time" TIMESTAMP,
    "summary" VARCHAR(255),
    "ignore_count" INTEGER DEFAULT 0 NOT NULL,
    "byte_count" BIGINT DEFAULT 0 NOT NULL,
    "load_flag" SMALLINT DEFAULT 0,
    "extract_count" INTEGER DEFAULT 0 NOT NULL,
    "sent_count" INTEGER DEFAULT 0 NOT NULL,
    "load_count" INTEGER DEFAULT 0 NOT NULL,
    "reload_row_count" INTEGER DEFAULT 0 NOT NULL,
    "other_row_count" INTEGER DEFAULT 0 NOT NULL,
    "data_row_count" INTEGER DEFAULT 0 NOT NULL,
    "extract_row_count" INTEGER DEFAULT 0 NOT NULL,
    "load_row_count" INTEGER DEFAULT 0 NOT NULL,
    "data_insert_row_count" INTEGER DEFAULT 0 NOT NULL,
    "data_update_row_count" INTEGER DEFAULT 0 NOT NULL,
    "data_delete_row_count" INTEGER DEFAULT 0 NOT NULL,
    "extract_insert_row_count" INTEGER DEFAULT 0 NOT NULL,
    "extract_update_row_count" INTEGER DEFAULT 0 NOT NULL,
    "extract_delete_row_count" INTEGER DEFAULT 0 NOT NULL,
    "load_insert_row_count" INTEGER DEFAULT 0 NOT NULL,
    "load_update_row_count" INTEGER DEFAULT 0 NOT NULL,
    "load_delete_row_count" INTEGER DEFAULT 0 NOT NULL,
    "network_millis" INTEGER DEFAULT 0 NOT NULL,
    "filter_millis" INTEGER DEFAULT 0 NOT NULL,
    "load_millis" INTEGER DEFAULT 0 NOT NULL,
    "router_millis" INTEGER DEFAULT 0 NOT NULL,
    "extract_millis" INTEGER DEFAULT 0 NOT NULL,
    "transform_extract_millis" INTEGER DEFAULT 0 NOT NULL,
    "transform_load_millis" INTEGER DEFAULT 0 NOT NULL,
    "load_id" BIGINT,
    "common_flag" SMALLINT DEFAULT 0,
    "fallback_insert_count" INTEGER DEFAULT 0 NOT NULL,
    "fallback_update_count" INTEGER DEFAULT 0 NOT NULL,
    "ignore_row_count" INTEGER DEFAULT 0 NOT NULL,
    "missing_delete_count" INTEGER DEFAULT 0 NOT NULL,
    "skip_count" INTEGER DEFAULT 0 NOT NULL,
    "failed_row_number" INTEGER DEFAULT 0 NOT NULL,
    "failed_line_number" INTEGER DEFAULT 0 NOT NULL,
    "failed_data_id" BIGINT DEFAULT 0 NOT NULL,
    PRIMARY KEY ("batch_id", "node_id")
)
2020-11-25 18:31:29,261 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE INDEX "sym_idx_ib_time_status" ON "sym_incoming_batch" ("create_time", "status")
2020-11-25 18:31:29,263 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE INDEX "sym_idx_ib_in_error" ON "sym_incoming_batch" ("error_flag")
2020-11-25 18:31:29,267 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "sym_incoming_error"(
    "batch_id" BIGINT NOT NULL,
    "node_id" VARCHAR(50) NOT NULL,
    "failed_row_number" BIGINT NOT NULL,
    "failed_line_number" BIGINT DEFAULT 0 NOT NULL,
    "target_catalog_name" VARCHAR(255),
    "target_schema_name" VARCHAR(255),
    "target_table_name" VARCHAR(255) NOT NULL,
    "event_type" CHAR(1) NOT NULL,
    "binary_encoding" VARCHAR(10) DEFAULT 'HEX' NOT NULL,
    "column_names" TEXT NOT NULL,
    "pk_column_names" TEXT NOT NULL,
    "row_data" TEXT,
    "old_data" TEXT,
    "cur_data" TEXT,
    "resolve_data" TEXT,
    "resolve_ignore" SMALLINT DEFAULT 0,
    "conflict_id" VARCHAR(50),
    "create_time" TIMESTAMP,
    "last_update_by" VARCHAR(50),
    "last_update_time" TIMESTAMP NOT NULL,
    PRIMARY KEY ("batch_id", "node_id", "failed_row_number")
)
2020-11-25 18:31:29,281 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "sym_job"(
    "job_name" VARCHAR(50) NOT NULL,
    "job_type" VARCHAR(10) NOT NULL,
    "requires_registration" SMALLINT DEFAULT 1 NOT NULL,
    "job_expression" TEXT,
    "description" VARCHAR(255),
    "default_schedule" VARCHAR(50),
    "default_auto_start" SMALLINT DEFAULT 1 NOT NULL,
    "node_group_id" VARCHAR(50) NOT NULL,
    "create_by" VARCHAR(50),
    "create_time" TIMESTAMP,
    "last_update_by" VARCHAR(50),
    "last_update_time" TIMESTAMP,
    PRIMARY KEY ("job_name")
)
2020-11-25 18:31:29,288 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "sym_load_filter"(
    "load_filter_id" VARCHAR(50) NOT NULL,
    "load_filter_type" VARCHAR(10) NOT NULL,
    "source_node_group_id" VARCHAR(50) NOT NULL,
    "target_node_group_id" VARCHAR(50) NOT NULL,
    "target_catalog_name" VARCHAR(255),
    "target_schema_name" VARCHAR(255),
    "target_table_name" VARCHAR(255),
    "filter_on_update" SMALLINT DEFAULT 1 NOT NULL,
    "filter_on_insert" SMALLINT DEFAULT 1 NOT NULL,
    "filter_on_delete" SMALLINT DEFAULT 1 NOT NULL,
    "before_write_script" TEXT,
    "after_write_script" TEXT,
    "batch_complete_script" TEXT,
    "batch_commit_script" TEXT,
    "batch_rollback_script" TEXT,
    "handle_error_script" TEXT,
    "create_time" TIMESTAMP NOT NULL,
    "last_update_by" VARCHAR(50),
    "last_update_time" TIMESTAMP NOT NULL,
    "load_filter_order" INTEGER DEFAULT 1 NOT NULL,
    "fail_on_error" SMALLINT DEFAULT 0 NOT NULL,
    PRIMARY KEY ("load_filter_id")
)
2020-11-25 18:31:29,304 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "sym_lock"(
    "lock_action" VARCHAR(50) NOT NULL,
    "lock_type" VARCHAR(50) NOT NULL,
    "locking_server_id" VARCHAR(255),
    "lock_time" TIMESTAMP,
    "shared_count" INTEGER DEFAULT 0 NOT NULL,
    "shared_enable" INTEGER DEFAULT 0 NOT NULL,
    "last_lock_time" TIMESTAMP,
    "last_locking_server_id" VARCHAR(255),
    PRIMARY KEY ("lock_action")
)
2020-11-25 18:31:29,308 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "sym_node"(
    "node_id" VARCHAR(50) NOT NULL,
    "node_group_id" VARCHAR(50) NOT NULL,
    "external_id" VARCHAR(255) NOT NULL,
    "sync_enabled" SMALLINT DEFAULT 0,
    "sync_url" VARCHAR(255),
    "schema_version" VARCHAR(50),
    "symmetric_version" VARCHAR(50),
    "config_version" VARCHAR(50),
    "database_type" VARCHAR(50),
    "database_version" VARCHAR(50),
    "database_name" VARCHAR(50),
    "batch_to_send_count" INTEGER DEFAULT 0,
    "batch_in_error_count" INTEGER DEFAULT 0,
    "created_at_node_id" VARCHAR(50),
    "deployment_type" VARCHAR(50),
    "deployment_sub_type" VARCHAR(50),
    PRIMARY KEY ("node_id")
)
2020-11-25 18:31:29,311 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "sym_node_communication"(
    "node_id" VARCHAR(50) NOT NULL,
    "queue" VARCHAR(25) DEFAULT 'default' NOT NULL,
    "communication_type" VARCHAR(10) NOT NULL,
    "lock_time" TIMESTAMP,
    "locking_server_id" VARCHAR(255),
    "last_lock_time" TIMESTAMP,
    "last_lock_millis" BIGINT DEFAULT 0,
    "success_count" BIGINT DEFAULT 0,
    "fail_count" BIGINT DEFAULT 0,
    "skip_count" BIGINT DEFAULT 0,
    "total_success_count" BIGINT DEFAULT 0,
    "total_fail_count" BIGINT DEFAULT 0,
    "total_success_millis" BIGINT DEFAULT 0,
    "total_fail_millis" BIGINT DEFAULT 0,
    "batch_to_send_count" BIGINT DEFAULT 0,
    "node_priority" INTEGER DEFAULT 0,
    PRIMARY KEY ("node_id", "queue", "communication_type")
)
2020-11-25 18:31:29,317 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "sym_node_channel_ctl"(
    "node_id" VARCHAR(50) NOT NULL,
    "channel_id" VARCHAR(128) NOT NULL,
    "suspend_enabled" SMALLINT DEFAULT 0,
    "ignore_enabled" SMALLINT DEFAULT 0,
    "last_extract_time" TIMESTAMP,
    PRIMARY KEY ("node_id", "channel_id")
)
2020-11-25 18:31:29,319 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "sym_node_group"(
    "node_group_id" VARCHAR(50) NOT NULL,
    "description" VARCHAR(255),
    "create_time" TIMESTAMP,
    "last_update_by" VARCHAR(50),
    "last_update_time" TIMESTAMP,
    PRIMARY KEY ("node_group_id")
)
2020-11-25 18:31:29,325 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "sym_node_group_channel_wnd"(
    "node_group_id" VARCHAR(50) NOT NULL,
    "channel_id" VARCHAR(128) NOT NULL,
    "start_time" TIMESTAMP NOT NULL,
    "end_time" TIMESTAMP NOT NULL,
    "enabled" SMALLINT DEFAULT 0 NOT NULL,
    PRIMARY KEY ("node_group_id", "channel_id", "start_time", "end_time")
)
2020-11-25 18:31:29,330 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "sym_node_group_link"(
    "source_node_group_id" VARCHAR(50) NOT NULL,
    "target_node_group_id" VARCHAR(50) NOT NULL,
    "data_event_action" CHAR(1) DEFAULT 'W' NOT NULL,
    "sync_config_enabled" SMALLINT DEFAULT 1 NOT NULL,
    "is_reversible" SMALLINT DEFAULT 0 NOT NULL,
    "create_time" TIMESTAMP,
    "last_update_by" VARCHAR(50),
    "last_update_time" TIMESTAMP,
    PRIMARY KEY ("source_node_group_id", "target_node_group_id")
)
2020-11-25 18:31:29,336 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "sym_node_host"(
    "node_id" VARCHAR(50) NOT NULL,
    "host_name" VARCHAR(60) NOT NULL,
    "instance_id" VARCHAR(60),
    "ip_address" VARCHAR(50),
    "os_user" VARCHAR(50),
    "os_name" VARCHAR(50),
    "os_arch" VARCHAR(50),
    "os_version" VARCHAR(50),
    "available_processors" INTEGER DEFAULT 0,
    "free_memory_bytes" BIGINT DEFAULT 0,
    "total_memory_bytes" BIGINT DEFAULT 0,
    "max_memory_bytes" BIGINT DEFAULT 0,
    "java_version" VARCHAR(50),
    "java_vendor" VARCHAR(255),
    "jdbc_version" VARCHAR(255),
    "symmetric_version" VARCHAR(50),
    "timezone_offset" VARCHAR(6),
    "heartbeat_time" TIMESTAMP,
    "last_restart_time" TIMESTAMP NOT NULL,
    "create_time" TIMESTAMP NOT NULL,
    PRIMARY KEY ("node_id", "host_name")
)
2020-11-25 18:31:29,339 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "sym_node_host_channel_stats"(
    "node_id" VARCHAR(50) NOT NULL,
    "host_name" VARCHAR(60) NOT NULL,
    "channel_id" VARCHAR(128) NOT NULL,
    "start_time" TIMESTAMP NOT NULL,
    "end_time" TIMESTAMP NOT NULL,
    "data_routed" BIGINT DEFAULT 0,
    "data_unrouted" BIGINT DEFAULT 0,
    "data_event_inserted" BIGINT DEFAULT 0,
    "data_extracted" BIGINT DEFAULT 0,
    "data_bytes_extracted" BIGINT DEFAULT 0,
    "data_extracted_errors" BIGINT DEFAULT 0,
    "data_bytes_sent" BIGINT DEFAULT 0,
    "data_sent" BIGINT DEFAULT 0,
    "data_sent_errors" BIGINT DEFAULT 0,
    "data_loaded" BIGINT DEFAULT 0,
    "data_bytes_loaded" BIGINT DEFAULT 0,
    "data_loaded_errors" BIGINT DEFAULT 0,
    "data_loaded_outgoing" BIGINT DEFAULT 0,
    "data_bytes_loaded_outgoing" BIGINT DEFAULT 0,
    "data_loaded_outgoing_errors" BIGINT DEFAULT 0,
    PRIMARY KEY ("node_id", "host_name", "channel_id", "start_time", "end_time")
)
2020-11-25 18:31:29,341 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE INDEX "sym_idx_nd_hst_chnl_sts" ON "sym_node_host_channel_stats" ("node_id", "start_time", "end_time")
2020-11-25 18:31:29,343 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "sym_node_host_job_stats"(
    "node_id" VARCHAR(50) NOT NULL,
    "host_name" VARCHAR(60) NOT NULL,
    "job_name" VARCHAR(50) NOT NULL,
    "start_time" TIMESTAMP NOT NULL,
    "end_time" TIMESTAMP NOT NULL,
    "processed_count" BIGINT DEFAULT 0,
    "target_node_id" VARCHAR(50),
    "target_node_count" INTEGER DEFAULT 0,
    PRIMARY KEY ("node_id", "host_name", "job_name", "start_time", "end_time")
)
2020-11-25 18:31:29,347 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE INDEX "sym_idx_nd_hst_job" ON "sym_node_host_job_stats" ("node_id", "start_time", "end_time")
2020-11-25 18:31:29,351 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "sym_node_host_stats"(
    "node_id" VARCHAR(50) NOT NULL,
    "host_name" VARCHAR(60) NOT NULL,
    "start_time" TIMESTAMP NOT NULL,
    "end_time" TIMESTAMP NOT NULL,
    "restarted" BIGINT DEFAULT 0 NOT NULL,
    "nodes_pulled" BIGINT DEFAULT 0,
    "total_nodes_pull_time" BIGINT DEFAULT 0,
    "nodes_pushed" BIGINT DEFAULT 0,
    "total_nodes_push_time" BIGINT DEFAULT 0,
    "nodes_rejected" BIGINT DEFAULT 0,
    "nodes_registered" BIGINT DEFAULT 0,
    "nodes_loaded" BIGINT DEFAULT 0,
    "nodes_disabled" BIGINT DEFAULT 0,
    "purged_data_rows" BIGINT DEFAULT 0,
    "purged_data_event_rows" BIGINT DEFAULT 0,
    "purged_batch_outgoing_rows" BIGINT DEFAULT 0,
    "purged_batch_incoming_rows" BIGINT DEFAULT 0,
    "triggers_created_count" BIGINT,
    "triggers_rebuilt_count" BIGINT,
    "triggers_removed_count" BIGINT,
    PRIMARY KEY ("node_id", "host_name", "start_time", "end_time")
)
2020-11-25 18:31:29,352 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE INDEX "sym_idx_nd_hst_sts" ON "sym_node_host_stats" ("node_id", "start_time", "end_time")
2020-11-25 18:31:29,353 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "sym_node_identity"(
    "node_id" VARCHAR(50) NOT NULL,
    PRIMARY KEY ("node_id")
)
2020-11-25 18:31:29,356 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "sym_node_security"(
    "node_id" VARCHAR(50) NOT NULL,
    "node_password" VARCHAR(50) NOT NULL,
    "registration_enabled" SMALLINT DEFAULT 0,
    "registration_time" TIMESTAMP,
    "initial_load_enabled" SMALLINT DEFAULT 0,
    "initial_load_time" TIMESTAMP,
    "initial_load_end_time" TIMESTAMP,
    "initial_load_id" BIGINT,
    "initial_load_create_by" VARCHAR(255),
    "rev_initial_load_enabled" SMALLINT DEFAULT 0,
    "rev_initial_load_time" TIMESTAMP,
    "rev_initial_load_id" BIGINT,
    "rev_initial_load_create_by" VARCHAR(255),
    "failed_logins" SMALLINT DEFAULT 0,
    "created_at_node_id" VARCHAR(50),
    PRIMARY KEY ("node_id")
)
2020-11-25 18:31:29,359 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "sym_monitor"(
    "monitor_id" VARCHAR(128) NOT NULL,
    "node_group_id" VARCHAR(50) DEFAULT 'ALL' NOT NULL,
    "external_id" VARCHAR(255) DEFAULT 'ALL' NOT NULL,
    "type" VARCHAR(50) NOT NULL,
    "expression" TEXT,
    "threshold" BIGINT DEFAULT 0 NOT NULL,
    "run_period" INTEGER DEFAULT 0 NOT NULL,
    "run_count" INTEGER DEFAULT 0 NOT NULL,
    "severity_level" INTEGER DEFAULT 0 NOT NULL,
    "enabled" SMALLINT DEFAULT 0 NOT NULL,
    "create_time" TIMESTAMP,
    "last_update_by" VARCHAR(50),
    "last_update_time" TIMESTAMP,
    PRIMARY KEY ("monitor_id")
)
2020-11-25 18:31:29,361 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "sym_monitor_event"(
    "monitor_id" VARCHAR(128) NOT NULL,
    "node_id" VARCHAR(50) NOT NULL,
    "event_time" TIMESTAMP NOT NULL,
    "host_name" VARCHAR(60),
    "type" VARCHAR(50) NOT NULL,
    "threshold" BIGINT DEFAULT 0 NOT NULL,
    "event_value" BIGINT DEFAULT 0 NOT NULL,
    "event_count" INTEGER DEFAULT 0 NOT NULL,
    "severity_level" INTEGER DEFAULT 0 NOT NULL,
    "is_resolved" SMALLINT DEFAULT 0 NOT NULL,
    "is_notified" SMALLINT DEFAULT 0 NOT NULL,
    "details" TEXT,
    "last_update_time" TIMESTAMP,
    PRIMARY KEY ("monitor_id", "node_id", "event_time")
)
2020-11-25 18:31:29,364 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "sym_notification"(
    "notification_id" VARCHAR(128) NOT NULL,
    "node_group_id" VARCHAR(50) DEFAULT 'ALL' NOT NULL,
    "external_id" VARCHAR(255) DEFAULT 'ALL' NOT NULL,
    "severity_level" INTEGER DEFAULT 0 NOT NULL,
    "type" VARCHAR(50) NOT NULL,
    "expression" TEXT,
    "enabled" SMALLINT DEFAULT 0 NOT NULL,
    "create_time" TIMESTAMP,
    "last_update_by" VARCHAR(50),
    "last_update_time" TIMESTAMP,
    PRIMARY KEY ("notification_id")
)
2020-11-25 18:31:29,369 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "sym_outgoing_batch"(
    "batch_id" BIGINT NOT NULL,
    "node_id" VARCHAR(50) NOT NULL,
    "channel_id" VARCHAR(128),
    "status" CHAR(2),
    "error_flag" SMALLINT DEFAULT 0,
    "sql_state" VARCHAR(10),
    "sql_code" INTEGER DEFAULT 0 NOT NULL,
    "sql_message" TEXT,
    "last_update_hostname" VARCHAR(255),
    "last_update_time" TIMESTAMP,
    "create_time" TIMESTAMP,
    "summary" VARCHAR(255),
    "ignore_count" INTEGER DEFAULT 0 NOT NULL,
    "byte_count" BIGINT DEFAULT 0 NOT NULL,
    "load_flag" SMALLINT DEFAULT 0,
    "extract_count" INTEGER DEFAULT 0 NOT NULL,
    "sent_count" INTEGER DEFAULT 0 NOT NULL,
    "load_count" INTEGER DEFAULT 0 NOT NULL,
    "reload_row_count" INTEGER DEFAULT 0 NOT NULL,
    "other_row_count" INTEGER DEFAULT 0 NOT NULL,
    "data_row_count" INTEGER DEFAULT 0 NOT NULL,
    "extract_row_count" INTEGER DEFAULT 0 NOT NULL,
    "load_row_count" INTEGER DEFAULT 0 NOT NULL,
    "data_insert_row_count" INTEGER DEFAULT 0 NOT NULL,
    "data_update_row_count" INTEGER DEFAULT 0 NOT NULL,
    "data_delete_row_count" INTEGER DEFAULT 0 NOT NULL,
    "extract_insert_row_count" INTEGER DEFAULT 0 NOT NULL,
    "extract_update_row_count" INTEGER DEFAULT 0 NOT NULL,
    "extract_delete_row_count" INTEGER DEFAULT 0 NOT NULL,
    "load_insert_row_count" INTEGER DEFAULT 0 NOT NULL,
    "load_update_row_count" INTEGER DEFAULT 0 NOT NULL,
    "load_delete_row_count" INTEGER DEFAULT 0 NOT NULL,
    "network_millis" INTEGER DEFAULT 0 NOT NULL,
    "filter_millis" INTEGER DEFAULT 0 NOT NULL,
    "load_millis" INTEGER DEFAULT 0 NOT NULL,
    "router_millis" INTEGER DEFAULT 0 NOT NULL,
    "extract_millis" INTEGER DEFAULT 0 NOT NULL,
    "transform_extract_millis" INTEGER DEFAULT 0 NOT NULL,
    "transform_load_millis" INTEGER DEFAULT 0 NOT NULL,
    "load_id" BIGINT,
    "common_flag" SMALLINT DEFAULT 0,
    "fallback_insert_count" INTEGER DEFAULT 0 NOT NULL,
    "fallback_update_count" INTEGER DEFAULT 0 NOT NULL,
    "ignore_row_count" INTEGER DEFAULT 0 NOT NULL,
    "missing_delete_count" INTEGER DEFAULT 0 NOT NULL,
    "skip_count" INTEGER DEFAULT 0 NOT NULL,
    "total_extract_millis" INTEGER DEFAULT 0 NOT NULL,
    "total_load_millis" INTEGER DEFAULT 0 NOT NULL,
    "extract_job_flag" SMALLINT DEFAULT 0,
    "extract_start_time" TIMESTAMP,
    "transfer_start_time" TIMESTAMP,
    "load_start_time" TIMESTAMP,
    "failed_data_id" BIGINT DEFAULT 0 NOT NULL,
    "failed_line_number" BIGINT DEFAULT 0 NOT NULL,
    "create_by" VARCHAR(255),
    PRIMARY KEY ("batch_id", "node_id")
)
2020-11-25 18:31:29,372 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE INDEX "sym_idx_ob_node_status" ON "sym_outgoing_batch" ("node_id", "status")
2020-11-25 18:31:29,375 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE INDEX "sym_idx_ob_status" ON "sym_outgoing_batch" ("status")
2020-11-25 18:31:29,379 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE INDEX "sym_idx_ob_in_error" ON "sym_outgoing_batch" ("error_flag")
2020-11-25 18:31:29,383 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "sym_parameter"(
    "external_id" VARCHAR(255) NOT NULL,
    "node_group_id" VARCHAR(50) NOT NULL,
    "param_key" VARCHAR(80) NOT NULL,
    "param_value" TEXT,
    "create_time" TIMESTAMP,
    "last_update_by" VARCHAR(50),
    "last_update_time" TIMESTAMP,
    PRIMARY KEY ("external_id", "node_group_id", "param_key")
)
2020-11-25 18:31:29,385 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "sym_registration_redirect"(
    "registrant_external_id" VARCHAR(255) NOT NULL,
    "registration_node_id" VARCHAR(50) NOT NULL,
    PRIMARY KEY ("registrant_external_id")
)
2020-11-25 18:31:29,390 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "sym_registration_request"(
    "node_group_id" VARCHAR(50) NOT NULL,
    "external_id" VARCHAR(255) NOT NULL,
    "status" CHAR(2) NOT NULL,
    "host_name" VARCHAR(60) NOT NULL,
    "ip_address" VARCHAR(50) NOT NULL,
    "attempt_count" INTEGER DEFAULT 0,
    "registered_node_id" VARCHAR(50),
    "error_message" TEXT,
    "create_time" TIMESTAMP NOT NULL,
    "last_update_by" VARCHAR(50),
    "last_update_time" TIMESTAMP NOT NULL,
    PRIMARY KEY ("node_group_id", "external_id", "create_time")
)
2020-11-25 18:31:29,392 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE INDEX "sym_idx_reg_req_1" ON "sym_registration_request" ("node_group_id", "external_id", "status", "host_name", "ip_address")
2020-11-25 18:31:29,393 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE INDEX "sym_idx_reg_req_2" ON "sym_registration_request" ("status")
2020-11-25 18:31:29,396 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "sym_router"(
    "router_id" VARCHAR(50) NOT NULL,
    "target_catalog_name" VARCHAR(255),
    "target_schema_name" VARCHAR(255),
    "target_table_name" VARCHAR(255),
    "source_node_group_id" VARCHAR(50) NOT NULL,
    "target_node_group_id" VARCHAR(50) NOT NULL,
    "router_type" VARCHAR(50) DEFAULT 'default' NOT NULL,
    "router_expression" TEXT,
    "sync_on_update" SMALLINT DEFAULT 1 NOT NULL,
    "sync_on_insert" SMALLINT DEFAULT 1 NOT NULL,
    "sync_on_delete" SMALLINT DEFAULT 1 NOT NULL,
    "use_source_catalog_schema" SMALLINT DEFAULT 1 NOT NULL,
    "create_time" TIMESTAMP NOT NULL,
    "last_update_by" VARCHAR(50),
    "last_update_time" TIMESTAMP NOT NULL,
    "description" TEXT,
    PRIMARY KEY ("router_id")
)
2020-11-25 18:31:29,398 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "sym_sequence"(
    "sequence_name" VARCHAR(50) NOT NULL,
    "current_value" BIGINT DEFAULT 0 NOT NULL,
    "increment_by" INTEGER DEFAULT 1 NOT NULL,
    "min_value" BIGINT DEFAULT 1 NOT NULL,
    "max_value" BIGINT DEFAULT 9999999999 NOT NULL,
    "cycle_flag" SMALLINT DEFAULT 0,
    "cache_size" INTEGER DEFAULT 0 NOT NULL,
    "create_time" TIMESTAMP,
    "last_update_by" VARCHAR(50),
    "last_update_time" TIMESTAMP NOT NULL,
    PRIMARY KEY ("sequence_name")
)
2020-11-25 18:31:29,402 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "sym_table_reload_request"(
    "target_node_id" VARCHAR(50) NOT NULL,
    "source_node_id" VARCHAR(50) NOT NULL,
    "trigger_id" VARCHAR(128) NOT NULL,
    "router_id" VARCHAR(50) NOT NULL,
    "create_time" TIMESTAMP NOT NULL,
    "create_table" SMALLINT DEFAULT 0 NOT NULL,
    "delete_first" SMALLINT DEFAULT 0 NOT NULL,
    "reload_select" TEXT,
    "before_custom_sql" TEXT,
    "reload_time" TIMESTAMP,
    "load_id" BIGINT,
    "processed" SMALLINT DEFAULT 0 NOT NULL,
    "channel_id" VARCHAR(128),
    "last_update_by" VARCHAR(50),
    "last_update_time" TIMESTAMP NOT NULL,
    PRIMARY KEY ("target_node_id", "source_node_id", "trigger_id", "router_id", "create_time")
)
2020-11-25 18:31:29,406 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "sym_table_reload_status"(
    "load_id" BIGINT NOT NULL,
    "source_node_id" VARCHAR(50) NOT NULL,
    "target_node_id" VARCHAR(50) NOT NULL,
    "start_time" TIMESTAMP,
    "end_time" TIMESTAMP,
    "completed" SMALLINT DEFAULT 0 NOT NULL,
    "cancelled" SMALLINT DEFAULT 0 NOT NULL,
    "full_load" SMALLINT DEFAULT 0 NOT NULL,
    "start_data_batch_id" BIGINT,
    "end_data_batch_id" BIGINT,
    "setup_batch_count" BIGINT DEFAULT 0 NOT NULL,
    "data_batch_count" BIGINT DEFAULT 0 NOT NULL,
    "finalize_batch_count" BIGINT DEFAULT 0 NOT NULL,
    "setup_batch_loaded" BIGINT DEFAULT 0 NOT NULL,
    "data_batch_loaded" BIGINT DEFAULT 0 NOT NULL,
    "finalize_batch_loaded" BIGINT DEFAULT 0 NOT NULL,
    "table_count" BIGINT DEFAULT 0 NOT NULL,
    "rows_loaded" BIGINT DEFAULT 0 NOT NULL,
    "rows_count" BIGINT DEFAULT 0 NOT NULL,
    "error_flag" SMALLINT DEFAULT 0 NOT NULL,
    "sql_state" VARCHAR(10),
    "sql_code" INTEGER DEFAULT 0 NOT NULL,
    "sql_message" TEXT,
    "last_update_by" VARCHAR(50),
    "last_update_time" TIMESTAMP NOT NULL,
    PRIMARY KEY ("load_id", "source_node_id")
)
2020-11-25 18:31:29,412 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "sym_transform_table"(
    "transform_id" VARCHAR(50) NOT NULL,
    "source_node_group_id" VARCHAR(50) NOT NULL,
    "target_node_group_id" VARCHAR(50) NOT NULL,
    "transform_point" VARCHAR(10) NOT NULL,
    "source_catalog_name" VARCHAR(255),
    "source_schema_name" VARCHAR(255),
    "source_table_name" VARCHAR(255) NOT NULL,
    "target_catalog_name" VARCHAR(255),
    "target_schema_name" VARCHAR(255),
    "target_table_name" VARCHAR(255),
    "update_first" SMALLINT DEFAULT 0,
    "update_action" VARCHAR(255) DEFAULT 'UPDATE_COL' NOT NULL,
    "delete_action" VARCHAR(10) NOT NULL,
    "transform_order" INTEGER DEFAULT 1 NOT NULL,
    "column_policy" VARCHAR(10) DEFAULT 'SPECIFIED' NOT NULL,
    "create_time" TIMESTAMP,
    "last_update_by" VARCHAR(50),
    "last_update_time" TIMESTAMP,
    "description" TEXT,
    PRIMARY KEY ("transform_id", "source_node_group_id", "target_node_group_id")
)
2020-11-25 18:31:29,416 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "sym_transform_column"(
    "transform_id" VARCHAR(50) NOT NULL,
    "include_on" CHAR(1) DEFAULT '*' NOT NULL,
    "target_column_name" VARCHAR(128) NOT NULL,
    "source_column_name" VARCHAR(128),
    "pk" SMALLINT DEFAULT 0,
    "transform_type" VARCHAR(50) DEFAULT 'copy',
    "transform_expression" TEXT,
    "transform_order" INTEGER DEFAULT 1 NOT NULL,
    "create_time" TIMESTAMP,
    "last_update_by" VARCHAR(50),
    "last_update_time" TIMESTAMP,
    "description" TEXT,
    PRIMARY KEY ("transform_id", "include_on", "target_column_name")
)
2020-11-25 18:31:29,420 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "sym_trigger"(
    "trigger_id" VARCHAR(128) NOT NULL,
    "source_catalog_name" VARCHAR(255),
    "source_schema_name" VARCHAR(255),
    "source_table_name" VARCHAR(255) NOT NULL,
    "channel_id" VARCHAR(128) NOT NULL,
    "reload_channel_id" VARCHAR(128) DEFAULT 'reload' NOT NULL,
    "sync_on_update" SMALLINT DEFAULT 1 NOT NULL,
    "sync_on_insert" SMALLINT DEFAULT 1 NOT NULL,
    "sync_on_delete" SMALLINT DEFAULT 1 NOT NULL,
    "sync_on_incoming_batch" SMALLINT DEFAULT 0 NOT NULL,
    "name_for_update_trigger" VARCHAR(255),
    "name_for_insert_trigger" VARCHAR(255),
    "name_for_delete_trigger" VARCHAR(255),
    "sync_on_update_condition" TEXT,
    "sync_on_insert_condition" TEXT,
    "sync_on_delete_condition" TEXT,
    "custom_before_update_text" TEXT,
    "custom_before_insert_text" TEXT,
    "custom_before_delete_text" TEXT,
    "custom_on_update_text" TEXT,
    "custom_on_insert_text" TEXT,
    "custom_on_delete_text" TEXT,
    "external_select" TEXT,
    "tx_id_expression" TEXT,
    "channel_expression" TEXT,
    "excluded_column_names" TEXT,
    "included_column_names" TEXT,
    "sync_key_names" TEXT,
    "use_stream_lobs" SMALLINT DEFAULT 0 NOT NULL,
    "use_capture_lobs" SMALLINT DEFAULT 0 NOT NULL,
    "use_capture_old_data" SMALLINT DEFAULT 1 NOT NULL,
    "use_handle_key_updates" SMALLINT DEFAULT 1 NOT NULL,
    "stream_row" SMALLINT DEFAULT 0 NOT NULL,
    "create_time" TIMESTAMP NOT NULL,
    "last_update_by" VARCHAR(50),
    "last_update_time" TIMESTAMP NOT NULL,
    "description" TEXT,
    PRIMARY KEY ("trigger_id")
)
2020-11-25 18:31:29,423 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "sym_trigger_hist"(
    "trigger_hist_id" INTEGER NOT NULL,
    "trigger_id" VARCHAR(128) NOT NULL,
    "source_table_name" VARCHAR(255) NOT NULL,
    "source_catalog_name" VARCHAR(255),
    "source_schema_name" VARCHAR(255),
    "name_for_update_trigger" VARCHAR(255),
    "name_for_insert_trigger" VARCHAR(255),
    "name_for_delete_trigger" VARCHAR(255),
    "table_hash" BIGINT DEFAULT 0 NOT NULL,
    "trigger_row_hash" BIGINT DEFAULT 0 NOT NULL,
    "trigger_template_hash" BIGINT DEFAULT 0 NOT NULL,
    "column_names" TEXT NOT NULL,
    "pk_column_names" TEXT NOT NULL,
    "last_trigger_build_reason" CHAR(1) NOT NULL,
    "error_message" TEXT,
    "create_time" TIMESTAMP NOT NULL,
    "inactive_time" TIMESTAMP,
    PRIMARY KEY ("trigger_hist_id")
)
2020-11-25 18:31:29,424 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE INDEX "sym_idx_trigg_hist_1" ON "sym_trigger_hist" ("trigger_id", "inactive_time")
2020-11-25 18:31:29,426 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "sym_trigger_router"(
    "trigger_id" VARCHAR(128) NOT NULL,
    "router_id" VARCHAR(50) NOT NULL,
    "enabled" SMALLINT DEFAULT 1 NOT NULL,
    "initial_load_order" INTEGER DEFAULT 1 NOT NULL,
    "initial_load_select" TEXT,
    "initial_load_delete_stmt" TEXT,
    "ping_back_enabled" SMALLINT DEFAULT 0 NOT NULL,
    "create_time" TIMESTAMP NOT NULL,
    "last_update_by" VARCHAR(50),
    "last_update_time" TIMESTAMP NOT NULL,
    "description" TEXT,
    PRIMARY KEY ("trigger_id", "router_id")
)
2020-11-25 18:31:29,430 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "sym_trigger_router_grouplet"(
    "grouplet_id" VARCHAR(50) NOT NULL,
    "trigger_id" VARCHAR(128) NOT NULL,
    "router_id" VARCHAR(50) NOT NULL,
    "applies_when" CHAR(1) NOT NULL,
    "create_time" TIMESTAMP NOT NULL,
    "last_update_by" VARCHAR(50),
    "last_update_time" TIMESTAMP NOT NULL,
    PRIMARY KEY ("grouplet_id", "trigger_id", "router_id", "applies_when")
)
2020-11-25 18:31:29,436 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "sym_conflict"
    ADD CONSTRAINT "sym_fk_cf_2_grp_lnk" FOREIGN KEY ("source_node_group_id", "target_node_group_id") REFERENCES "sym_node_group_link" ("source_node_group_id", "target_node_group_id")
2020-11-25 18:31:29,438 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "sym_file_trigger_router"
    ADD CONSTRAINT "sym_fk_ftr_2_ftrg" FOREIGN KEY ("trigger_id") REFERENCES "sym_file_trigger" ("trigger_id")
2020-11-25 18:31:29,440 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "sym_file_trigger_router"
    ADD CONSTRAINT "sym_fk_ftr_2_rtr" FOREIGN KEY ("router_id") REFERENCES "sym_router" ("router_id")
2020-11-25 18:31:29,441 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "sym_grouplet_link"
    ADD CONSTRAINT "sym_fk_gpltlnk_2_gplt" FOREIGN KEY ("grouplet_id") REFERENCES "sym_grouplet" ("grouplet_id")
2020-11-25 18:31:29,443 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "sym_node_group_link"
    ADD CONSTRAINT "sym_fk_lnk_2_grp_src" FOREIGN KEY ("source_node_group_id") REFERENCES "sym_node_group" ("node_group_id")
2020-11-25 18:31:29,444 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "sym_node_group_link"
    ADD CONSTRAINT "sym_fk_lnk_2_grp_tgt" FOREIGN KEY ("target_node_group_id") REFERENCES "sym_node_group" ("node_group_id")
2020-11-25 18:31:29,445 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "sym_node_identity"
    ADD CONSTRAINT "sym_fk_ident_2_node" FOREIGN KEY ("node_id") REFERENCES "sym_node" ("node_id")
2020-11-25 18:31:29,447 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "sym_node_security"
    ADD CONSTRAINT "sym_fk_sec_2_node" FOREIGN KEY ("node_id") REFERENCES "sym_node" ("node_id")
2020-11-25 18:31:29,449 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "sym_router"
    ADD CONSTRAINT "sym_fk_rt_2_grp_lnk" FOREIGN KEY ("source_node_group_id", "target_node_group_id") REFERENCES "sym_node_group_link" ("source_node_group_id", "target_node_group_id")
2020-11-25 18:31:29,450 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "sym_transform_table"
    ADD CONSTRAINT "sym_fk_tt_2_grp_lnk" FOREIGN KEY ("source_node_group_id", "target_node_group_id") REFERENCES "sym_node_group_link" ("source_node_group_id", "target_node_group_id")
2020-11-25 18:31:29,452 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "sym_trigger"
    ADD CONSTRAINT "sym_fk_trg_2_chnl" FOREIGN KEY ("channel_id") REFERENCES "sym_channel" ("channel_id")
2020-11-25 18:31:29,454 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "sym_trigger"
    ADD CONSTRAINT "sym_fk_trg_2_rld_chnl" FOREIGN KEY ("reload_channel_id") REFERENCES "sym_channel" ("channel_id")
2020-11-25 18:31:29,460 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "sym_trigger_router"
    ADD CONSTRAINT "sym_fk_tr_2_trg" FOREIGN KEY ("trigger_id") REFERENCES "sym_trigger" ("trigger_id")
2020-11-25 18:31:29,464 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "sym_trigger_router"
    ADD CONSTRAINT "sym_fk_tr_2_rtr" FOREIGN KEY ("router_id") REFERENCES "sym_router" ("router_id")
2020-11-25 18:31:29,466 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "sym_trigger_router_grouplet"
    ADD CONSTRAINT "sym_fk_trgplt_2_gplt" FOREIGN KEY ("grouplet_id") REFERENCES "sym_grouplet" ("grouplet_id")
2020-11-25 18:31:29,468 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "sym_trigger_router_grouplet"
    ADD CONSTRAINT "sym_fk_trgplt_2_tr" FOREIGN KEY ("trigger_id", "router_id") REFERENCES "sym_trigger_router" ("trigger_id", "router_id")
2020-11-25 18:31:29,483 INFO [corp-000] [ClusterService] [symmetric-engine-startup-1] This node picked a server id of MyMac.local
2020-11-25 18:31:29,484 INFO [corp-000] [TriggerRouterService] [symmetric-engine-startup-1] Synchronizing triggers
2020-11-25 18:31:29,507 INFO [corp-000] [TriggerRouterService] [symmetric-engine-startup-1] Done synchronizing triggers
2020-11-25 18:31:29,510 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] Done with auto update of SymmetricDS tables
2020-11-25 18:31:29,517 INFO [corp-000] [ConfigurationService] [symmetric-engine-startup-1] Auto-configuring config channel
2020-11-25 18:31:29,528 INFO [corp-000] [ConfigurationService] [symmetric-engine-startup-1] Auto-configuring reload channel
2020-11-25 18:31:29,531 INFO [corp-000] [ConfigurationService] [symmetric-engine-startup-1] Auto-configuring monitor channel
2020-11-25 18:31:29,534 INFO [corp-000] [ConfigurationService] [symmetric-engine-startup-1] Auto-configuring heartbeat channel
2020-11-25 18:31:29,536 INFO [corp-000] [ConfigurationService] [symmetric-engine-startup-1] Auto-configuring default channel
2020-11-25 18:31:29,539 INFO [corp-000] [ConfigurationService] [symmetric-engine-startup-1] Auto-configuring dynamic channel
2020-11-25 18:31:29,582 INFO [corp-000] [AbstractSymmetricEngine] [symmetric-engine-startup-1] Inserting rows for node, security, identity and group for registration server
2020-11-25 18:31:29,611 INFO [corp-000] [AbstractSymmetricEngine] [symmetric-engine-startup-1] Done initializing SymmetricDS database
2020-11-25 18:31:29,612 INFO [corp-000] [AbstractSymmetricEngine] [symmetric-engine-startup-1] SymmetricDS database version : 3.12.5
2020-11-25 18:31:29,612 INFO [corp-000] [AbstractSymmetricEngine] [symmetric-engine-startup-1] SymmetricDS software version : 3.12.5
2020-11-25 18:31:29,650 INFO [corp-000] [AbstractSymmetricEngine] [symmetric-engine-startup-1] Starting registered node [group=corp, id=corp-000, nodeId=corp-000]
2020-11-25 18:31:29,650 INFO [corp-000] [TriggerRouterService] [symmetric-engine-startup-1] Synchronizing triggers
2020-11-25 18:31:29,658 INFO [corp-000] [TriggerRouterService] [symmetric-engine-startup-1] Done synchronizing triggers
2020-11-25 18:31:29,670 INFO [corp-000] [RouterJob] [symmetric-engine-startup-1] Starting Routing on periodic schedule: every 5000ms with the first run at 2020-11-25T18:31:32.925-0800
2020-11-25 18:31:29,672 INFO [corp-000] [PushJob] [symmetric-engine-startup-1] Starting Push on periodic schedule: every 10000ms with the first run at 2020-11-25T18:31:32.927-0800
2020-11-25 18:31:29,673 INFO [corp-000] [PullJob] [symmetric-engine-startup-1] Starting Pull on periodic schedule: every 10000ms with the first run at 2020-11-25T18:31:32.928-0800
2020-11-25 18:31:29,673 INFO [corp-000] [JobManager] [symmetric-engine-startup-1] Job Offline Push not configured for auto start
2020-11-25 18:31:29,673 INFO [corp-000] [JobManager] [symmetric-engine-startup-1] Job Offline Pull not configured for auto start
2020-11-25 18:31:29,674 INFO [corp-000] [OutgoingPurgeJob] [symmetric-engine-startup-1] Starting job 'Purge Outgoing' with cron expression: '0 0 */4 * * *'
2020-11-25 18:31:29,675 INFO [corp-000] [IncomingPurgeJob] [symmetric-engine-startup-1] Starting job 'Purge Incoming' with cron expression: '0 0 */4 * * *'
2020-11-25 18:31:29,676 INFO [corp-000] [StatisticFlushJob] [symmetric-engine-startup-1] Starting job 'Stat Flush' with cron expression: '0 0/5 * * * *'
2020-11-25 18:31:29,677 INFO [corp-000] [SyncTriggersJob] [symmetric-engine-startup-1] Starting job 'SyncTriggers' with cron expression: '0 0 0 * * *'
2020-11-25 18:31:29,677 INFO [corp-000] [HeartbeatJob] [symmetric-engine-startup-1] Starting Heartbeat on periodic schedule: every 900000ms with the first run at 2020-11-25T18:31:32.932-0800
2020-11-25 18:31:29,678 INFO [corp-000] [WatchdogJob] [symmetric-engine-startup-1] Starting Watchdog on periodic schedule: every 3600000ms with the first run at 2020-11-25T18:31:32.933-0800
2020-11-25 18:31:29,678 INFO [corp-000] [StageManagementJob] [symmetric-engine-startup-1] Starting job 'Stage Management' with cron expression: '0 0 * * * *'
2020-11-25 18:31:29,678 INFO [corp-000] [JobManager] [symmetric-engine-startup-1] Job Refresh Cache not configured for auto start
2020-11-25 18:31:29,679 INFO [corp-000] [JobManager] [symmetric-engine-startup-1] Job File Sync Tracker not configured for auto start
2020-11-25 18:31:29,679 INFO [corp-000] [JobManager] [symmetric-engine-startup-1] Job File Sync Pull not configured for auto start
2020-11-25 18:31:29,679 INFO [corp-000] [JobManager] [symmetric-engine-startup-1] Job File Sync Push not configured for auto start
2020-11-25 18:31:29,679 INFO [corp-000] [InitialLoadExtractorJob] [symmetric-engine-startup-1] Starting Initial Load Extract on periodic schedule: every 10000ms with the first run at 2020-11-25T18:31:32.934-0800
2020-11-25 18:31:29,680 INFO [corp-000] [MonitorJob] [symmetric-engine-startup-1] Starting Monitor on periodic schedule: every 60000ms with the first run at 2020-11-25T18:31:32.935-0800
2020-11-25 18:31:29,680 INFO [corp-000] [JobManager] [symmetric-engine-startup-1] Job Report Status not configured for auto start
2020-11-25 18:31:29,680 INFO [corp-000] [JobManager] [symmetric-engine-startup-1] Job Log Miner not configured for auto start
2020-11-25 18:31:29,680 INFO [corp-000] [InitialLoadJob] [symmetric-engine-startup-1] Starting Initial Load Queue on periodic schedule: every 10000ms with the first run at 2020-11-25T18:31:32.935-0800
2020-11-25 18:31:29,682 INFO [corp-000] [AbstractSymmetricEngine] [symmetric-engine-startup-1] SymmetricDS Node STARTED:
	 nodeId=corp-000
	 groupId=corp
	 type=server
	 subType=null
	 name=corp-000
	 softwareVersion=3.12.5
	 databaseName=PostgreSQL
	 databaseVersion=12.3
	 driverName=PostgreSQL JDBC Driver
	 driverVersion=42.2.18
	 uptime=0 sec.
2020-11-25 18:31:32,933 INFO [corp-000] [PushHeartbeatListener] [corp-000-job-4] Some attribute(s) of node changed.  Recording changes
2020-11-25 18:31:32,933 INFO [corp-000] [PushHeartbeatListener] [corp-000-job-4] Updating my node configuration info according to the symmetric properties
2020-11-25 18:31:32,935 INFO [corp-000] [DataService] [corp-000-job-1] Inserting missing last data gap: { startId: 1, endId: 50000001, createTime: "Wed Nov 25 18:31:32 PST 2020" }
2020-11-25 18:31:32,944 INFO [corp-000] [NodeCommunicationService] [corp-000-job-3] pull will use 10 threads
2020-11-25 18:31:32,955 INFO [corp-000] [DataGapFastDetector] [corp-000-job-1] Full gap analysis is running
2020-11-25 18:31:32,957 INFO [corp-000] [DataGapFastDetector] [corp-000-job-1] Querying data in gaps from database took 2 ms
2020-11-25 18:31:32,958 INFO [corp-000] [DataGapFastDetector] [corp-000-job-1] Full gap analysis is done after 3 ms
2020-11-25 18:33:31,681 INFO [startup] [AbstractCommandLauncher] [main] Option: name=verbose, value={}
2020-11-25 18:33:31,710 INFO [startup] [SymmetricUtils] [main] 
   _____                              __       _       ____   _____
  / ___/ __  _____ __  ___ __  ___  _/ /_ ____(_)___  / __ | / ___/
  \__ \ / / / / _ `_ \/ _ `_ \/ _ \/_ __// __/ / __/ / / / / \__ \ 
 ___/ // /_/ / // // / // // /  __// /  / / / / /_  / /_/ / ___/ / 
/____/ \__  /_//_//_/_//_//_/\___/ \_/ /_/ /_/\__/ /_____/ /____/  
      /____/                                                        
+-----------------------------------------------------------------+
| Copyright (C) 2007-2020 JumpMind, Inc.                          |
|                                                                 |
| Licensed under the GNU General Public License version 3.        |
| This software comes with ABSOLUTELY NO WARRANTY.                |
| See http://www.gnu.org/licenses/gpl.html                        |
+-----------------------------------------------------------------+
2020-11-25 18:33:31,750 INFO [startup] [SymmetricWebServer] [main] About to start SymmetricDS web server on 0.0.0.0:8080:HTTP/1.1
2020-11-25 18:33:31,954 INFO [startup] [SymmetricEngineHolder] [main] Current directory is /Users/danridinger/Downloads/symmetric-server-3.12.5
2020-11-25 18:33:31,954 INFO [startup] [SymmetricEngineHolder] [main] Starting in single-server mode
2020-11-25 18:33:31,992 INFO [corp-000] [AbstractSymmetricEngine] [symmetric-engine-startup-1] Initializing connection to database
2020-11-25 18:33:32,202 INFO [corp-000] [JdbcDatabasePlatformFactory] [symmetric-engine-startup-1] Detected database 'postgres95', version '12', protocol 'postgresql'
2020-11-25 18:33:32,214 INFO [corp-000] [JdbcDatabasePlatformFactory] [symmetric-engine-startup-1] The IDatabasePlatform being used is org.jumpmind.db.platform.postgresql.PostgreSql95DatabasePlatform
2020-11-25 18:33:32,330 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] The DbDialect being used is org.jumpmind.symmetric.db.postgresql.PostgreSqlSymmetricDialect
2020-11-25 18:33:32,357 INFO [corp-000] [ExtensionService] [symmetric-engine-startup-1] Found 0 extension points from the database that will be registered
2020-11-25 18:33:32,368 INFO [corp-000] [StagingManager] [symmetric-engine-startup-1] The staging directory was initialized at the following location: /Users/danridinger/Downloads/symmetric-server-3.12.5/tmp/corp-000
2020-11-25 18:33:32,749 INFO [startup] [SymmetricWebServer] [main] Joining the web server main thread
2020-11-25 18:33:32,798 INFO [corp-000] [ExtensionService] [symmetric-engine-startup-1] Found 0 extension points from the database that will be registered
2020-11-25 18:33:32,798 INFO [corp-000] [ClientExtensionService] [symmetric-engine-startup-1] Found 8 extension points from spring that will be registered
2020-11-25 18:33:32,804 INFO [corp-000] [AbstractSymmetricEngine] [symmetric-engine-startup-1] Initializing SymmetricDS database
2020-11-25 18:33:32,820 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] Checking if SymmetricDS tables need created or altered
2020-11-25 18:33:33,453 INFO [corp-000] [AbstractSymmetricEngine] [symmetric-engine-startup-1] Done initializing SymmetricDS database
2020-11-25 18:33:33,453 INFO [corp-000] [AbstractSymmetricEngine] [symmetric-engine-startup-1] SymmetricDS database version : 3.12.5
2020-11-25 18:33:33,453 INFO [corp-000] [AbstractSymmetricEngine] [symmetric-engine-startup-1] SymmetricDS software version : 3.12.5
2020-11-25 18:33:33,464 INFO [corp-000] [AbstractSymmetricEngine] [symmetric-engine-startup-1] Starting registered node [group=corp, id=corp-000, nodeId=corp-000]
2020-11-25 18:33:33,469 INFO [corp-000] [ClusterService] [symmetric-engine-startup-1] This node picked a server id of MyMac.local
2020-11-25 18:33:33,470 INFO [corp-000] [TriggerRouterService] [symmetric-engine-startup-1] Synchronizing triggers
2020-11-25 18:33:33,487 INFO [corp-000] [TriggerRouterService] [symmetric-engine-startup-1] Done synchronizing triggers
2020-11-25 18:33:33,500 INFO [corp-000] [RouterJob] [symmetric-engine-startup-1] Starting Routing on periodic schedule: every 5000ms with the first run at 2020-11-25T18:33:36.755-0800
2020-11-25 18:33:33,502 INFO [corp-000] [PushJob] [symmetric-engine-startup-1] Starting Push on periodic schedule: every 10000ms with the first run at 2020-11-25T18:33:36.757-0800
2020-11-25 18:33:33,502 INFO [corp-000] [PullJob] [symmetric-engine-startup-1] Starting Pull on periodic schedule: every 10000ms with the first run at 2020-11-25T18:33:36.757-0800
2020-11-25 18:33:33,502 INFO [corp-000] [JobManager] [symmetric-engine-startup-1] Job Offline Push not configured for auto start
2020-11-25 18:33:33,503 INFO [corp-000] [JobManager] [symmetric-engine-startup-1] Job Offline Pull not configured for auto start
2020-11-25 18:33:33,504 INFO [corp-000] [OutgoingPurgeJob] [symmetric-engine-startup-1] Starting job 'Purge Outgoing' with cron expression: '0 0 */4 * * *'
2020-11-25 18:33:33,505 INFO [corp-000] [IncomingPurgeJob] [symmetric-engine-startup-1] Starting job 'Purge Incoming' with cron expression: '0 0 */4 * * *'
2020-11-25 18:33:33,505 INFO [corp-000] [StatisticFlushJob] [symmetric-engine-startup-1] Starting job 'Stat Flush' with cron expression: '0 0/5 * * * *'
2020-11-25 18:33:33,506 INFO [corp-000] [SyncTriggersJob] [symmetric-engine-startup-1] Starting job 'SyncTriggers' with cron expression: '0 0 0 * * *'
2020-11-25 18:33:33,506 INFO [corp-000] [HeartbeatJob] [symmetric-engine-startup-1] Starting Heartbeat on periodic schedule: every 900000ms with the first run at 2020-11-25T18:33:36.761-0800
2020-11-25 18:33:33,507 INFO [corp-000] [WatchdogJob] [symmetric-engine-startup-1] Starting Watchdog on periodic schedule: every 3600000ms with the first run at 2020-11-25T18:33:36.762-0800
2020-11-25 18:33:33,507 INFO [corp-000] [StageManagementJob] [symmetric-engine-startup-1] Starting job 'Stage Management' with cron expression: '0 0 * * * *'
2020-11-25 18:33:33,508 INFO [corp-000] [JobManager] [symmetric-engine-startup-1] Job Refresh Cache not configured for auto start
2020-11-25 18:33:33,508 INFO [corp-000] [JobManager] [symmetric-engine-startup-1] Job File Sync Tracker not configured for auto start
2020-11-25 18:33:33,508 INFO [corp-000] [JobManager] [symmetric-engine-startup-1] Job File Sync Pull not configured for auto start
2020-11-25 18:33:33,508 INFO [corp-000] [JobManager] [symmetric-engine-startup-1] Job File Sync Push not configured for auto start
2020-11-25 18:33:33,508 INFO [corp-000] [InitialLoadExtractorJob] [symmetric-engine-startup-1] Starting Initial Load Extract on periodic schedule: every 10000ms with the first run at 2020-11-25T18:33:36.763-0800
2020-11-25 18:33:33,509 INFO [corp-000] [MonitorJob] [symmetric-engine-startup-1] Starting Monitor on periodic schedule: every 60000ms with the first run at 2020-11-25T18:33:36.764-0800
2020-11-25 18:33:33,509 INFO [corp-000] [JobManager] [symmetric-engine-startup-1] Job Report Status not configured for auto start
2020-11-25 18:33:33,509 INFO [corp-000] [JobManager] [symmetric-engine-startup-1] Job Log Miner not configured for auto start
2020-11-25 18:33:33,510 INFO [corp-000] [InitialLoadJob] [symmetric-engine-startup-1] Starting Initial Load Queue on periodic schedule: every 10000ms with the first run at 2020-11-25T18:33:36.765-0800
2020-11-25 18:33:33,512 INFO [corp-000] [AbstractSymmetricEngine] [symmetric-engine-startup-1] SymmetricDS Node STARTED:
	 nodeId=corp-000
	 groupId=corp
	 type=server
	 subType=null
	 name=corp-000
	 softwareVersion=3.12.5
	 databaseName=PostgreSQL
	 databaseVersion=12.3
	 driverName=PostgreSQL JDBC Driver
	 driverVersion=42.2.18
	 uptime=0 sec.
2020-11-25 18:33:36,783 INFO [corp-000] [NodeCommunicationService] [corp-000-job-3] pull will use 10 threads
2020-11-25 18:33:36,786 INFO [corp-000] [DataGapFastDetector] [corp-000-job-1] Full gap analysis is running
2020-11-25 18:33:36,789 INFO [corp-000] [DataGapFastDetector] [corp-000-job-1] Querying data in gaps from database took 3 ms
2020-11-25 18:33:36,790 INFO [corp-000] [DataGapFastDetector] [corp-000-job-1] Full gap analysis is done after 4 ms
2020-11-25 18:42:58,807 INFO [startup] [AbstractCommandLauncher] [main] Option: name=verbose, value={}
2020-11-25 18:42:58,855 INFO [startup] [SymmetricUtils] [main] 
   _____                              __       _       ____   _____
  / ___/ __  _____ __  ___ __  ___  _/ /_ ____(_)___  / __ | / ___/
  \__ \ / / / / _ `_ \/ _ `_ \/ _ \/_ __// __/ / __/ / / / / \__ \ 
 ___/ // /_/ / // // / // // /  __// /  / / / / /_  / /_/ / ___/ / 
/____/ \__  /_//_//_/_//_//_/\___/ \_/ /_/ /_/\__/ /_____/ /____/  
      /____/                                                        
+-----------------------------------------------------------------+
| Copyright (C) 2007-2020 JumpMind, Inc.                          |
|                                                                 |
| Licensed under the GNU General Public License version 3.        |
| This software comes with ABSOLUTELY NO WARRANTY.                |
| See http://www.gnu.org/licenses/gpl.html                        |
+-----------------------------------------------------------------+
2020-11-25 18:42:58,919 INFO [startup] [SymmetricWebServer] [main] About to start SymmetricDS web server on 0.0.0.0:8080:HTTP/1.1
2020-11-25 18:42:59,128 INFO [startup] [SymmetricEngineHolder] [main] Current directory is /Users/danridinger/Downloads/symmetric-server-3.12.5
2020-11-25 18:42:59,128 INFO [startup] [SymmetricEngineHolder] [main] Starting in single-server mode
2020-11-25 18:42:59,190 INFO [corp-000] [AbstractSymmetricEngine] [symmetric-engine-startup-1] Initializing connection to database
2020-11-25 18:42:59,498 INFO [corp-000] [JdbcDatabasePlatformFactory] [symmetric-engine-startup-1] Detected database 'postgres95', version '12', protocol 'postgresql'
2020-11-25 18:42:59,511 INFO [corp-000] [JdbcDatabasePlatformFactory] [symmetric-engine-startup-1] The IDatabasePlatform being used is org.jumpmind.db.platform.postgresql.PostgreSql95DatabasePlatform
2020-11-25 18:42:59,669 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] The DbDialect being used is org.jumpmind.symmetric.db.postgresql.PostgreSqlSymmetricDialect
2020-11-25 18:42:59,739 INFO [corp-000] [ExtensionService] [symmetric-engine-startup-1] Found 0 extension points from the database that will be registered
2020-11-25 18:42:59,749 INFO [corp-000] [StagingManager] [symmetric-engine-startup-1] The staging directory was initialized at the following location: /Users/danridinger/Downloads/symmetric-server-3.12.5/tmp/corp-000
2020-11-25 18:42:59,966 INFO [startup] [SymmetricWebServer] [main] Joining the web server main thread
2020-11-25 18:43:00,194 INFO [corp-000] [ExtensionService] [symmetric-engine-startup-1] Found 0 extension points from the database that will be registered
2020-11-25 18:43:00,194 INFO [corp-000] [ClientExtensionService] [symmetric-engine-startup-1] Found 8 extension points from spring that will be registered
2020-11-25 18:43:00,200 INFO [corp-000] [AbstractSymmetricEngine] [symmetric-engine-startup-1] Initializing SymmetricDS database
2020-11-25 18:43:00,212 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] Checking if SymmetricDS tables need created or altered
2020-11-25 18:43:00,840 INFO [corp-000] [AbstractSymmetricEngine] [symmetric-engine-startup-1] Done initializing SymmetricDS database
2020-11-25 18:43:00,840 INFO [corp-000] [AbstractSymmetricEngine] [symmetric-engine-startup-1] SymmetricDS database version : 3.12.5
2020-11-25 18:43:00,840 INFO [corp-000] [AbstractSymmetricEngine] [symmetric-engine-startup-1] SymmetricDS software version : 3.12.5
2020-11-25 18:43:00,852 INFO [corp-000] [AbstractSymmetricEngine] [symmetric-engine-startup-1] Starting registered node [group=corp, id=corp-000, nodeId=corp-000]
2020-11-25 18:43:00,857 INFO [corp-000] [ClusterService] [symmetric-engine-startup-1] This node picked a server id of MyMac.local
2020-11-25 18:43:00,858 INFO [corp-000] [TriggerRouterService] [symmetric-engine-startup-1] Synchronizing triggers
2020-11-25 18:43:00,953 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_RTR_CRP trigger for public.sym_router
2020-11-25 18:43:00,973 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_RTR_CRP trigger for public.sym_router
2020-11-25 18:43:00,984 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_RTR_CRP trigger for public.sym_router
2020-11-25 18:43:01,033 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_TRNSFRM_TBL_CRP trigger for public.sym_transform_table
2020-11-25 18:43:01,044 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_TRNSFRM_TBL_CRP trigger for public.sym_transform_table
2020-11-25 18:43:01,055 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_TRNSFRM_TBL_CRP trigger for public.sym_transform_table
2020-11-25 18:43:01,078 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_PRMTR_CRP trigger for public.sym_parameter
2020-11-25 18:43:01,086 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_PRMTR_CRP trigger for public.sym_parameter
2020-11-25 18:43:01,094 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_PRMTR_CRP trigger for public.sym_parameter
2020-11-25 18:43:01,124 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_FL_TRGGR_RTR_CRP trigger for public.sym_file_trigger_router
2020-11-25 18:43:01,131 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_FL_TRGGR_RTR_CRP trigger for public.sym_file_trigger_router
2020-11-25 18:43:01,139 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_FL_TRGGR_RTR_CRP trigger for public.sym_file_trigger_router
2020-11-25 18:43:01,167 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_TBL_RLD_RQST_CRP trigger for public.sym_table_reload_request
2020-11-25 18:43:01,176 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_TBL_RLD_RQST_CRP trigger for public.sym_table_reload_request
2020-11-25 18:43:01,186 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_TBL_RLD_RQST_CRP trigger for public.sym_table_reload_request
2020-11-25 18:43:01,223 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_GRPLT_LNK_CRP trigger for public.sym_grouplet_link
2020-11-25 18:43:01,230 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_GRPLT_LNK_CRP trigger for public.sym_grouplet_link
2020-11-25 18:43:01,240 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_GRPLT_LNK_CRP trigger for public.sym_grouplet_link
2020-11-25 18:43:01,262 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_GRPLT_CRP trigger for public.sym_grouplet
2020-11-25 18:43:01,269 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_GRPLT_CRP trigger for public.sym_grouplet
2020-11-25 18:43:01,275 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_GRPLT_CRP trigger for public.sym_grouplet
2020-11-25 18:43:01,313 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_FL_TRGGR_CRP trigger for public.sym_file_trigger
2020-11-25 18:43:01,322 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_FL_TRGGR_CRP trigger for public.sym_file_trigger
2020-11-25 18:43:01,331 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_FL_TRGGR_CRP trigger for public.sym_file_trigger
2020-11-25 18:43:01,356 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_TRNSFRM_CLMN_CRP trigger for public.sym_transform_column
2020-11-25 18:43:01,364 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_TRNSFRM_CLMN_CRP trigger for public.sym_transform_column
2020-11-25 18:43:01,376 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_TRNSFRM_CLMN_CRP trigger for public.sym_transform_column
2020-11-25 18:43:01,398 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_JB_CRP trigger for public.sym_job
2020-11-25 18:43:01,405 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_JB_CRP trigger for public.sym_job
2020-11-25 18:43:01,412 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_JB_CRP trigger for public.sym_job
2020-11-25 18:43:01,435 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_TRGGR_RTR_CRP trigger for public.sym_trigger_router
2020-11-25 18:43:01,443 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_TRGGR_RTR_CRP trigger for public.sym_trigger_router
2020-11-25 18:43:01,450 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_TRGGR_RTR_CRP trigger for public.sym_trigger_router
2020-11-25 18:43:01,953 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_I_FOR_TST_TXT_SRCH_CRP trigger for public.test_text_search
2020-11-25 18:43:01,961 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_U_FOR_TST_TXT_SRCH_CRP trigger for public.test_text_search
2020-11-25 18:43:01,967 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_D_FOR_TST_TXT_SRCH_CRP trigger for public.test_text_search
2020-11-25 18:43:01,985 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_ND_CRP trigger for public.sym_node
2020-11-25 18:43:01,993 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_ND_CRP trigger for public.sym_node
2020-11-25 18:43:02,001 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_ND_CRP trigger for public.sym_node
2020-11-25 18:43:02,025 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_ND_GRP_CHNNL_WND_CRP trigger for public.sym_node_group_channel_wnd
2020-11-25 18:43:02,032 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_ND_GRP_CHNNL_WND_CRP trigger for public.sym_node_group_channel_wnd
2020-11-25 18:43:02,039 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_ND_GRP_CHNNL_WND_CRP trigger for public.sym_node_group_channel_wnd
2020-11-25 18:43:02,060 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_NTFCTN_CRP trigger for public.sym_notification
2020-11-25 18:43:02,067 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_NTFCTN_CRP trigger for public.sym_notification
2020-11-25 18:43:02,075 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_NTFCTN_CRP trigger for public.sym_notification
2020-11-25 18:43:02,094 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_ND_GRP_LNK_CRP trigger for public.sym_node_group_link
2020-11-25 18:43:02,102 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_ND_GRP_LNK_CRP trigger for public.sym_node_group_link
2020-11-25 18:43:02,110 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_ND_GRP_LNK_CRP trigger for public.sym_node_group_link
2020-11-25 18:43:02,130 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_ND_GRP_CRP trigger for public.sym_node_group
2020-11-25 18:43:02,136 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_ND_GRP_CRP trigger for public.sym_node_group
2020-11-25 18:43:02,144 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_ND_GRP_CRP trigger for public.sym_node_group
2020-11-25 18:43:02,165 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_ND_SCRTY_CRP trigger for public.sym_node_security
2020-11-25 18:43:02,173 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_ND_SCRTY_CRP trigger for public.sym_node_security
2020-11-25 18:43:02,181 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_ND_SCRTY_CRP trigger for public.sym_node_security
2020-11-25 18:43:02,203 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_LD_FLTR_CRP trigger for public.sym_load_filter
2020-11-25 18:43:02,212 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_LD_FLTR_CRP trigger for public.sym_load_filter
2020-11-25 18:43:02,221 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_LD_FLTR_CRP trigger for public.sym_load_filter
2020-11-25 18:43:02,244 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_MNTR_CRP trigger for public.sym_monitor
2020-11-25 18:43:02,251 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_MNTR_CRP trigger for public.sym_monitor
2020-11-25 18:43:02,258 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_MNTR_CRP trigger for public.sym_monitor
2020-11-25 18:43:02,284 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_XTNSN_CRP trigger for public.sym_extension
2020-11-25 18:43:02,290 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_XTNSN_CRP trigger for public.sym_extension
2020-11-25 18:43:02,296 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_XTNSN_CRP trigger for public.sym_extension
2020-11-25 18:43:02,314 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_CNFLCT_CRP trigger for public.sym_conflict
2020-11-25 18:43:02,321 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_CNFLCT_CRP trigger for public.sym_conflict
2020-11-25 18:43:02,331 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_CNFLCT_CRP trigger for public.sym_conflict
2020-11-25 18:43:02,350 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_TRGGR_CRP trigger for public.sym_trigger
2020-11-25 18:43:02,361 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_TRGGR_CRP trigger for public.sym_trigger
2020-11-25 18:43:02,374 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_TRGGR_CRP trigger for public.sym_trigger
2020-11-25 18:43:02,395 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_CHNNL_CRP trigger for public.sym_channel
2020-11-25 18:43:02,402 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_CHNNL_CRP trigger for public.sym_channel
2020-11-25 18:43:02,411 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_CHNNL_CRP trigger for public.sym_channel
2020-11-25 18:43:02,431 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_TRGGR_RTR_GRPLT_CRP trigger for public.sym_trigger_router_grouplet
2020-11-25 18:43:02,436 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_TRGGR_RTR_GRPLT_CRP trigger for public.sym_trigger_router_grouplet
2020-11-25 18:43:02,443 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_TRGGR_RTR_GRPLT_CRP trigger for public.sym_trigger_router_grouplet
2020-11-25 18:43:02,462 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_ND_HST_CRP trigger for public.sym_node_host
2020-11-25 18:43:02,469 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_ND_HST_CRP trigger for public.sym_node_host
2020-11-25 18:43:02,477 INFO [corp-000] [PostgreSqlSymmetricDialect] [corp-000-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_ND_HST_CRP trigger for public.sym_node_host
2020-11-25 18:43:02,483 INFO [corp-000] [TriggerRouterService] [symmetric-engine-startup-1] Done synchronizing triggers
2020-11-25 18:43:02,493 INFO [corp-000] [RouterJob] [symmetric-engine-startup-1] Starting Routing on periodic schedule: every 5000ms with the first run at 2020-11-25T18:43:05.748-0800
2020-11-25 18:43:02,498 INFO [corp-000] [PushJob] [symmetric-engine-startup-1] Starting Push on periodic schedule: every 10000ms with the first run at 2020-11-25T18:43:05.753-0800
2020-11-25 18:43:02,499 INFO [corp-000] [PullJob] [symmetric-engine-startup-1] Starting Pull on periodic schedule: every 10000ms with the first run at 2020-11-25T18:43:05.754-0800
2020-11-25 18:43:02,499 INFO [corp-000] [JobManager] [symmetric-engine-startup-1] Job Offline Push not configured for auto start
2020-11-25 18:43:02,499 INFO [corp-000] [JobManager] [symmetric-engine-startup-1] Job Offline Pull not configured for auto start
2020-11-25 18:43:02,500 INFO [corp-000] [OutgoingPurgeJob] [symmetric-engine-startup-1] Starting job 'Purge Outgoing' with cron expression: '0 0 */4 * * *'
2020-11-25 18:43:02,501 INFO [corp-000] [IncomingPurgeJob] [symmetric-engine-startup-1] Starting job 'Purge Incoming' with cron expression: '0 0 */4 * * *'
2020-11-25 18:43:02,502 INFO [corp-000] [StatisticFlushJob] [symmetric-engine-startup-1] Starting job 'Stat Flush' with cron expression: '0 0/5 * * * *'
2020-11-25 18:43:02,502 INFO [corp-000] [SyncTriggersJob] [symmetric-engine-startup-1] Starting job 'SyncTriggers' with cron expression: '0 0 0 * * *'
2020-11-25 18:43:02,502 INFO [corp-000] [HeartbeatJob] [symmetric-engine-startup-1] Starting Heartbeat on periodic schedule: every 900000ms with the first run at 2020-11-25T18:43:05.757-0800
2020-11-25 18:43:02,503 INFO [corp-000] [WatchdogJob] [symmetric-engine-startup-1] Starting Watchdog on periodic schedule: every 3600000ms with the first run at 2020-11-25T18:43:05.758-0800
2020-11-25 18:43:02,503 INFO [corp-000] [StageManagementJob] [symmetric-engine-startup-1] Starting job 'Stage Management' with cron expression: '0 0 * * * *'
2020-11-25 18:43:02,503 INFO [corp-000] [JobManager] [symmetric-engine-startup-1] Job Refresh Cache not configured for auto start
2020-11-25 18:43:02,503 INFO [corp-000] [JobManager] [symmetric-engine-startup-1] Job File Sync Tracker not configured for auto start
2020-11-25 18:43:02,503 INFO [corp-000] [JobManager] [symmetric-engine-startup-1] Job File Sync Pull not configured for auto start
2020-11-25 18:43:02,504 INFO [corp-000] [JobManager] [symmetric-engine-startup-1] Job File Sync Push not configured for auto start
2020-11-25 18:43:02,504 INFO [corp-000] [InitialLoadExtractorJob] [symmetric-engine-startup-1] Starting Initial Load Extract on periodic schedule: every 10000ms with the first run at 2020-11-25T18:43:05.759-0800
2020-11-25 18:43:02,504 INFO [corp-000] [MonitorJob] [symmetric-engine-startup-1] Starting Monitor on periodic schedule: every 60000ms with the first run at 2020-11-25T18:43:05.759-0800
2020-11-25 18:43:02,504 INFO [corp-000] [JobManager] [symmetric-engine-startup-1] Job Report Status not configured for auto start
2020-11-25 18:43:02,504 INFO [corp-000] [JobManager] [symmetric-engine-startup-1] Job Log Miner not configured for auto start
2020-11-25 18:43:02,504 INFO [corp-000] [InitialLoadJob] [symmetric-engine-startup-1] Starting Initial Load Queue on periodic schedule: every 10000ms with the first run at 2020-11-25T18:43:05.759-0800
2020-11-25 18:43:02,506 INFO [corp-000] [AbstractSymmetricEngine] [symmetric-engine-startup-1] SymmetricDS Node STARTED:
	 nodeId=corp-000
	 groupId=corp
	 type=server
	 subType=null
	 name=corp-000
	 softwareVersion=3.12.5
	 databaseName=PostgreSQL
	 databaseVersion=12.3
	 driverName=PostgreSQL JDBC Driver
	 driverVersion=42.2.18
	 uptime=0 sec.
2020-11-25 18:43:05,771 INFO [corp-000] [NodeCommunicationService] [corp-000-job-3] pull will use 10 threads
2020-11-25 18:43:05,771 INFO [corp-000] [DataGapFastDetector] [corp-000-job-1] Full gap analysis is running
2020-11-25 18:43:05,773 INFO [corp-000] [DataGapFastDetector] [corp-000-job-1] Querying data in gaps from database took 2 ms
2020-11-25 18:43:05,773 INFO [corp-000] [DataGapFastDetector] [corp-000-job-1] Full gap analysis is done after 2 ms
2020-11-25 18:43:10,841 INFO [corp-000] [RouterService] [corp-000-job-11] Routed 1 data events in 63 ms
2020-11-25 18:48:58,625 INFO [startup] [AbstractCommandLauncher] [main] Option: name=verbose, value={}
2020-11-25 18:48:58,666 INFO [startup] [SymmetricUtils] [main] 
   _____                              __       _       ____   _____
  / ___/ __  _____ __  ___ __  ___  _/ /_ ____(_)___  / __ | / ___/
  \__ \ / / / / _ `_ \/ _ `_ \/ _ \/_ __// __/ / __/ / / / / \__ \ 
 ___/ // /_/ / // // / // // /  __// /  / / / / /_  / /_/ / ___/ / 
/____/ \__  /_//_//_/_//_//_/\___/ \_/ /_/ /_/\__/ /_____/ /____/  
      /____/                                                        
+-----------------------------------------------------------------+
| Copyright (C) 2007-2020 JumpMind, Inc.                          |
|                                                                 |
| Licensed under the GNU General Public License version 3.        |
| This software comes with ABSOLUTELY NO WARRANTY.                |
| See http://www.gnu.org/licenses/gpl.html                        |
+-----------------------------------------------------------------+
2020-11-25 18:48:58,723 INFO [startup] [SymmetricWebServer] [main] About to start SymmetricDS web server on 0.0.0.0:8080:HTTP/1.1
2020-11-25 18:48:58,926 INFO [startup] [SymmetricEngineHolder] [main] Current directory is /Users/danridinger/Downloads/symmetric-server-3.12.5
2020-11-25 18:48:58,927 INFO [startup] [SymmetricEngineHolder] [main] Starting in multi-server mode with engines directory at /Users/danridinger/Downloads/symmetric-server-3.12.5/engines
2020-11-25 18:48:58,978 INFO [corp-000] [AbstractSymmetricEngine] [symmetric-engine-startup-1] Initializing connection to database
2020-11-25 18:48:58,978 INFO [store-001] [AbstractSymmetricEngine] [symmetric-engine-startup-2] Initializing connection to database
2020-11-25 18:48:59,139 ERROR [store-001] [AbstractSymmetricEngine] [symmetric-engine-startup-2] Could not get a connection to the database: Cannot create PoolableConnectionFactory (FATAL: password authentication failed for user "postges").  Waiting for 10 seconds before trying to connect to the database again. StackTraceKey.init [SQLException:2136371787] java.sql.SQLException: Cannot create PoolableConnectionFactory (FATAL: password authentication failed for user "postges")
	at org.jumpmind.db.util.ResettableBasicDataSource.createPoolableConnectionFactory(ResettableBasicDataSource.java:78)
	at org.apache.commons.dbcp.BasicDataSource.createDataSource(BasicDataSource.java:1388)
	at org.apache.commons.dbcp.BasicDataSource.getConnection(BasicDataSource.java:1044)
	at org.jumpmind.symmetric.ClientSymmetricEngine.waitForAvailableDatabase(ClientSymmetricEngine.java:473)
	at org.jumpmind.symmetric.ClientSymmetricEngine.createDatabasePlatform(ClientSymmetricEngine.java:391)
	at org.jumpmind.symmetric.ClientSymmetricEngine.createDatabasePlatform(ClientSymmetricEngine.java:341)
	at org.jumpmind.symmetric.ClientSymmetricEngine.createDatabasePlatform(ClientSymmetricEngine.java:334)
	at org.jumpmind.symmetric.AbstractSymmetricEngine.init(AbstractSymmetricEngine.java:316)
	at org.jumpmind.symmetric.ClientSymmetricEngine.init(ClientSymmetricEngine.java:205)
	at org.jumpmind.symmetric.web.ServerSymmetricEngine.init(ServerSymmetricEngine.java:80)
	at org.jumpmind.symmetric.ClientSymmetricEngine.<init>(ClientSymmetricEngine.java:161)
	at org.jumpmind.symmetric.web.ServerSymmetricEngine.<init>(ServerSymmetricEngine.java:59)
	at org.jumpmind.symmetric.web.SymmetricEngineHolder.create(SymmetricEngineHolder.java:293)
	at org.jumpmind.symmetric.web.SymmetricEngineHolder$EngineStarter.run(SymmetricEngineHolder.java:605)
	at java.base/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1130)
	at java.base/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:630)
	at java.base/java.lang.Thread.run(Thread.java:832)
Caused by: org.postgresql.util.PSQLException: FATAL: password authentication failed for user "postges"
	at org.postgresql.core.v3.ConnectionFactoryImpl.doAuthentication(ConnectionFactoryImpl.java:613)
	at org.postgresql.core.v3.ConnectionFactoryImpl.tryConnect(ConnectionFactoryImpl.java:161)
	at org.postgresql.core.v3.ConnectionFactoryImpl.openConnectionImpl(ConnectionFactoryImpl.java:213)
	at org.postgresql.core.ConnectionFactory.openConnection(ConnectionFactory.java:51)
	at org.postgresql.jdbc.PgConnection.<init>(PgConnection.java:225)
	at org.postgresql.Driver.makeConnection(Driver.java:465)
	at org.postgresql.Driver.connect(Driver.java:264)
	at org.apache.commons.dbcp.DriverConnectionFactory.createConnection(DriverConnectionFactory.java:38)
	at org.apache.commons.dbcp.PoolableConnectionFactory.makeObject(PoolableConnectionFactory.java:582)
	at org.apache.commons.dbcp.BasicDataSource.validateConnectionFactory(BasicDataSource.java:1556)
	at org.jumpmind.db.util.ResettableBasicDataSource.createPoolableConnectionFactory(ResettableBasicDataSource.java:72)
	... 16 more

2020-11-25 18:48:59,275 INFO [corp-000] [JdbcDatabasePlatformFactory] [symmetric-engine-startup-1] Detected database 'postgres95', version '12', protocol 'postgresql'
2020-11-25 18:48:59,287 INFO [corp-000] [JdbcDatabasePlatformFactory] [symmetric-engine-startup-1] The IDatabasePlatform being used is org.jumpmind.db.platform.postgresql.PostgreSql95DatabasePlatform
2020-11-25 18:48:59,444 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] The DbDialect being used is org.jumpmind.symmetric.db.postgresql.PostgreSqlSymmetricDialect
2020-11-25 18:48:59,500 INFO [corp-000] [ExtensionService] [symmetric-engine-startup-1] Found 0 extension points from the database that will be registered
2020-11-25 18:48:59,529 INFO [corp-000] [StagingManager] [symmetric-engine-startup-1] The staging directory was initialized at the following location: /Users/danridinger/Downloads/symmetric-server-3.12.5/tmp/corp-000
2020-11-25 18:49:00,004 INFO [corp-000] [ExtensionService] [symmetric-engine-startup-1] Found 0 extension points from the database that will be registered
2020-11-25 18:49:00,005 INFO [corp-000] [ClientExtensionService] [symmetric-engine-startup-1] Found 8 extension points from spring that will be registered
2020-11-25 18:49:00,012 INFO [corp-000] [AbstractSymmetricEngine] [symmetric-engine-startup-1] Initializing SymmetricDS database
2020-11-25 18:49:00,022 INFO [startup] [SymmetricWebServer] [main] Joining the web server main thread
2020-11-25 18:49:00,029 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] Checking if SymmetricDS tables need created or altered
2020-11-25 18:49:00,655 INFO [corp-000] [AbstractSymmetricEngine] [symmetric-engine-startup-1] Done initializing SymmetricDS database
2020-11-25 18:49:00,655 INFO [corp-000] [AbstractSymmetricEngine] [symmetric-engine-startup-1] SymmetricDS database version : 3.12.5
2020-11-25 18:49:00,655 INFO [corp-000] [AbstractSymmetricEngine] [symmetric-engine-startup-1] SymmetricDS software version : 3.12.5
2020-11-25 18:49:00,667 INFO [corp-000] [AbstractSymmetricEngine] [symmetric-engine-startup-1] Starting registered node [group=corp, id=corp-000, nodeId=corp-000]
2020-11-25 18:49:00,672 INFO [corp-000] [ClusterService] [symmetric-engine-startup-1] This node picked a server id of MyMac.local
2020-11-25 18:49:00,672 INFO [corp-000] [TriggerRouterService] [symmetric-engine-startup-1] Synchronizing triggers
2020-11-25 18:49:02,100 INFO [corp-000] [TriggerRouterService] [symmetric-engine-startup-1] Done synchronizing triggers
2020-11-25 18:49:02,110 INFO [corp-000] [RouterJob] [symmetric-engine-startup-1] Starting Routing on periodic schedule: every 5000ms with the first run at 2020-11-25T18:49:05.365-0800
2020-11-25 18:49:02,112 INFO [corp-000] [PushJob] [symmetric-engine-startup-1] Starting Push on periodic schedule: every 10000ms with the first run at 2020-11-25T18:49:05.367-0800
2020-11-25 18:49:02,113 INFO [corp-000] [PullJob] [symmetric-engine-startup-1] Starting Pull on periodic schedule: every 10000ms with the first run at 2020-11-25T18:49:05.368-0800
2020-11-25 18:49:02,113 INFO [corp-000] [JobManager] [symmetric-engine-startup-1] Job Offline Push not configured for auto start
2020-11-25 18:49:02,113 INFO [corp-000] [JobManager] [symmetric-engine-startup-1] Job Offline Pull not configured for auto start
2020-11-25 18:49:02,115 INFO [corp-000] [OutgoingPurgeJob] [symmetric-engine-startup-1] Starting job 'Purge Outgoing' with cron expression: '0 0 */4 * * *'
2020-11-25 18:49:02,116 INFO [corp-000] [IncomingPurgeJob] [symmetric-engine-startup-1] Starting job 'Purge Incoming' with cron expression: '0 0 */4 * * *'
2020-11-25 18:49:02,116 INFO [corp-000] [StatisticFlushJob] [symmetric-engine-startup-1] Starting job 'Stat Flush' with cron expression: '0 0/5 * * * *'
2020-11-25 18:49:02,117 INFO [corp-000] [SyncTriggersJob] [symmetric-engine-startup-1] Starting job 'SyncTriggers' with cron expression: '0 0 0 * * *'
2020-11-25 18:49:02,117 INFO [corp-000] [HeartbeatJob] [symmetric-engine-startup-1] Starting Heartbeat on periodic schedule: every 900000ms with the first run at 2020-11-25T18:49:05.372-0800
2020-11-25 18:49:02,117 INFO [corp-000] [WatchdogJob] [symmetric-engine-startup-1] Starting Watchdog on periodic schedule: every 3600000ms with the first run at 2020-11-25T18:49:05.372-0800
2020-11-25 18:49:02,118 INFO [corp-000] [StageManagementJob] [symmetric-engine-startup-1] Starting job 'Stage Management' with cron expression: '0 0 * * * *'
2020-11-25 18:49:02,118 INFO [corp-000] [JobManager] [symmetric-engine-startup-1] Job Refresh Cache not configured for auto start
2020-11-25 18:49:02,118 INFO [corp-000] [JobManager] [symmetric-engine-startup-1] Job File Sync Tracker not configured for auto start
2020-11-25 18:49:02,118 INFO [corp-000] [JobManager] [symmetric-engine-startup-1] Job File Sync Pull not configured for auto start
2020-11-25 18:49:02,118 INFO [corp-000] [JobManager] [symmetric-engine-startup-1] Job File Sync Push not configured for auto start
2020-11-25 18:49:02,119 INFO [corp-000] [InitialLoadExtractorJob] [symmetric-engine-startup-1] Starting Initial Load Extract on periodic schedule: every 10000ms with the first run at 2020-11-25T18:49:05.374-0800
2020-11-25 18:49:02,119 INFO [corp-000] [MonitorJob] [symmetric-engine-startup-1] Starting Monitor on periodic schedule: every 60000ms with the first run at 2020-11-25T18:49:05.374-0800
2020-11-25 18:49:02,119 INFO [corp-000] [JobManager] [symmetric-engine-startup-1] Job Report Status not configured for auto start
2020-11-25 18:49:02,119 INFO [corp-000] [JobManager] [symmetric-engine-startup-1] Job Log Miner not configured for auto start
2020-11-25 18:49:02,119 INFO [corp-000] [InitialLoadJob] [symmetric-engine-startup-1] Starting Initial Load Queue on periodic schedule: every 10000ms with the first run at 2020-11-25T18:49:05.374-0800
2020-11-25 18:49:02,121 INFO [corp-000] [AbstractSymmetricEngine] [symmetric-engine-startup-1] SymmetricDS Node STARTED:
	 nodeId=corp-000
	 groupId=corp
	 type=server
	 subType=null
	 name=corp-000
	 softwareVersion=3.12.5
	 databaseName=PostgreSQL
	 databaseVersion=12.3
	 driverName=PostgreSQL JDBC Driver
	 driverVersion=42.2.18
	 uptime=0 sec.
2020-11-25 18:49:05,378 INFO [corp-000] [DataGapFastDetector] [corp-000-job-1] Full gap analysis is running
2020-11-25 18:49:05,382 INFO [corp-000] [DataGapFastDetector] [corp-000-job-1] Querying data in gaps from database took 4 ms
2020-11-25 18:49:05,383 INFO [corp-000] [DataGapFastDetector] [corp-000-job-1] Full gap analysis is done after 5 ms
2020-11-25 18:49:05,391 INFO [corp-000] [NodeCommunicationService] [corp-000-job-3] pull will use 10 threads
2020-11-25 18:51:12,085 INFO [startup] [AbstractCommandLauncher] [main] Option: name=verbose, value={}
2020-11-25 18:51:12,129 INFO [startup] [SymmetricUtils] [main] 
   _____                              __       _       ____   _____
  / ___/ __  _____ __  ___ __  ___  _/ /_ ____(_)___  / __ | / ___/
  \__ \ / / / / _ `_ \/ _ `_ \/ _ \/_ __// __/ / __/ / / / / \__ \ 
 ___/ // /_/ / // // / // // /  __// /  / / / / /_  / /_/ / ___/ / 
/____/ \__  /_//_//_/_//_//_/\___/ \_/ /_/ /_/\__/ /_____/ /____/  
      /____/                                                        
+-----------------------------------------------------------------+
| Copyright (C) 2007-2020 JumpMind, Inc.                          |
|                                                                 |
| Licensed under the GNU General Public License version 3.        |
| This software comes with ABSOLUTELY NO WARRANTY.                |
| See http://www.gnu.org/licenses/gpl.html                        |
+-----------------------------------------------------------------+
2020-11-25 18:51:12,185 INFO [startup] [SymmetricWebServer] [main] About to start SymmetricDS web server on 0.0.0.0:8080:HTTP/1.1
2020-11-25 18:51:12,387 INFO [startup] [SymmetricEngineHolder] [main] Current directory is /Users/danridinger/Downloads/symmetric-server-3.12.5
2020-11-25 18:51:12,387 INFO [startup] [SymmetricEngineHolder] [main] Starting in single-server mode
2020-11-25 18:51:12,427 INFO [corp-000] [AbstractSymmetricEngine] [symmetric-engine-startup-1] Initializing connection to database
2020-11-25 18:51:12,629 INFO [corp-000] [JdbcDatabasePlatformFactory] [symmetric-engine-startup-1] Detected database 'postgres95', version '12', protocol 'postgresql'
2020-11-25 18:51:12,641 INFO [corp-000] [JdbcDatabasePlatformFactory] [symmetric-engine-startup-1] The IDatabasePlatform being used is org.jumpmind.db.platform.postgresql.PostgreSql95DatabasePlatform
2020-11-25 18:51:12,750 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] The DbDialect being used is org.jumpmind.symmetric.db.postgresql.PostgreSqlSymmetricDialect
2020-11-25 18:51:12,775 INFO [corp-000] [ExtensionService] [symmetric-engine-startup-1] Found 0 extension points from the database that will be registered
2020-11-25 18:51:12,787 INFO [corp-000] [StagingManager] [symmetric-engine-startup-1] The staging directory was initialized at the following location: /Users/danridinger/Downloads/symmetric-server-3.12.5/tmp/corp-000
2020-11-25 18:51:13,151 INFO [startup] [SymmetricWebServer] [main] Joining the web server main thread
2020-11-25 18:51:13,200 INFO [corp-000] [ExtensionService] [symmetric-engine-startup-1] Found 0 extension points from the database that will be registered
2020-11-25 18:51:13,201 INFO [corp-000] [ClientExtensionService] [symmetric-engine-startup-1] Found 8 extension points from spring that will be registered
2020-11-25 18:51:13,206 INFO [corp-000] [AbstractSymmetricEngine] [symmetric-engine-startup-1] Initializing SymmetricDS database
2020-11-25 18:51:13,223 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] Checking if SymmetricDS tables need created or altered
2020-11-25 18:51:13,838 INFO [corp-000] [AbstractSymmetricEngine] [symmetric-engine-startup-1] Done initializing SymmetricDS database
2020-11-25 18:51:13,838 INFO [corp-000] [AbstractSymmetricEngine] [symmetric-engine-startup-1] SymmetricDS database version : 3.12.5
2020-11-25 18:51:13,838 INFO [corp-000] [AbstractSymmetricEngine] [symmetric-engine-startup-1] SymmetricDS software version : 3.12.5
2020-11-25 18:51:13,850 INFO [corp-000] [AbstractSymmetricEngine] [symmetric-engine-startup-1] Starting registered node [group=corp, id=corp-000, nodeId=corp-000]
2020-11-25 18:51:13,854 INFO [corp-000] [ClusterService] [symmetric-engine-startup-1] This node picked a server id of MyMac.local
2020-11-25 18:51:13,855 INFO [corp-000] [TriggerRouterService] [symmetric-engine-startup-1] Synchronizing triggers
2020-11-25 18:51:15,218 INFO [corp-000] [TriggerRouterService] [symmetric-engine-startup-1] Done synchronizing triggers
2020-11-25 18:51:15,228 INFO [corp-000] [RouterJob] [symmetric-engine-startup-1] Starting Routing on periodic schedule: every 5000ms with the first run at 2020-11-25T18:51:18.483-0800
2020-11-25 18:51:15,230 INFO [corp-000] [PushJob] [symmetric-engine-startup-1] Starting Push on periodic schedule: every 10000ms with the first run at 2020-11-25T18:51:18.485-0800
2020-11-25 18:51:15,230 INFO [corp-000] [PullJob] [symmetric-engine-startup-1] Starting Pull on periodic schedule: every 10000ms with the first run at 2020-11-25T18:51:18.485-0800
2020-11-25 18:51:15,230 INFO [corp-000] [JobManager] [symmetric-engine-startup-1] Job Offline Push not configured for auto start
2020-11-25 18:51:15,231 INFO [corp-000] [JobManager] [symmetric-engine-startup-1] Job Offline Pull not configured for auto start
2020-11-25 18:51:15,232 INFO [corp-000] [OutgoingPurgeJob] [symmetric-engine-startup-1] Starting job 'Purge Outgoing' with cron expression: '0 0 */4 * * *'
2020-11-25 18:51:15,233 INFO [corp-000] [IncomingPurgeJob] [symmetric-engine-startup-1] Starting job 'Purge Incoming' with cron expression: '0 0 */4 * * *'
2020-11-25 18:51:15,233 INFO [corp-000] [StatisticFlushJob] [symmetric-engine-startup-1] Starting job 'Stat Flush' with cron expression: '0 0/5 * * * *'
2020-11-25 18:51:15,234 INFO [corp-000] [SyncTriggersJob] [symmetric-engine-startup-1] Starting job 'SyncTriggers' with cron expression: '0 0 0 * * *'
2020-11-25 18:51:15,234 INFO [corp-000] [HeartbeatJob] [symmetric-engine-startup-1] Starting Heartbeat on periodic schedule: every 900000ms with the first run at 2020-11-25T18:51:18.489-0800
2020-11-25 18:51:15,234 INFO [corp-000] [WatchdogJob] [symmetric-engine-startup-1] Starting Watchdog on periodic schedule: every 3600000ms with the first run at 2020-11-25T18:51:18.489-0800
2020-11-25 18:51:15,235 INFO [corp-000] [StageManagementJob] [symmetric-engine-startup-1] Starting job 'Stage Management' with cron expression: '0 0 * * * *'
2020-11-25 18:51:15,235 INFO [corp-000] [JobManager] [symmetric-engine-startup-1] Job Refresh Cache not configured for auto start
2020-11-25 18:51:15,235 INFO [corp-000] [JobManager] [symmetric-engine-startup-1] Job File Sync Tracker not configured for auto start
2020-11-25 18:51:15,235 INFO [corp-000] [JobManager] [symmetric-engine-startup-1] Job File Sync Pull not configured for auto start
2020-11-25 18:51:15,235 INFO [corp-000] [JobManager] [symmetric-engine-startup-1] Job File Sync Push not configured for auto start
2020-11-25 18:51:15,235 INFO [corp-000] [InitialLoadExtractorJob] [symmetric-engine-startup-1] Starting Initial Load Extract on periodic schedule: every 10000ms with the first run at 2020-11-25T18:51:18.490-0800
2020-11-25 18:51:15,236 INFO [corp-000] [MonitorJob] [symmetric-engine-startup-1] Starting Monitor on periodic schedule: every 60000ms with the first run at 2020-11-25T18:51:18.491-0800
2020-11-25 18:51:15,236 INFO [corp-000] [JobManager] [symmetric-engine-startup-1] Job Report Status not configured for auto start
2020-11-25 18:51:15,236 INFO [corp-000] [JobManager] [symmetric-engine-startup-1] Job Log Miner not configured for auto start
2020-11-25 18:51:15,236 INFO [corp-000] [InitialLoadJob] [symmetric-engine-startup-1] Starting Initial Load Queue on periodic schedule: every 10000ms with the first run at 2020-11-25T18:51:18.491-0800
2020-11-25 18:51:15,242 INFO [corp-000] [AbstractSymmetricEngine] [symmetric-engine-startup-1] SymmetricDS Node STARTED:
	 nodeId=corp-000
	 groupId=corp
	 type=server
	 subType=null
	 name=corp-000
	 softwareVersion=3.12.5
	 databaseName=PostgreSQL
	 databaseVersion=12.3
	 driverName=PostgreSQL JDBC Driver
	 driverVersion=42.2.18
	 uptime=0 sec.
2020-11-25 18:51:18,501 INFO [corp-000] [NodeCommunicationService] [corp-000-job-3] pull will use 10 threads
2020-11-25 18:51:18,501 INFO [corp-000] [DataGapFastDetector] [corp-000-job-1] Full gap analysis is running
2020-11-25 18:51:18,504 INFO [corp-000] [DataGapFastDetector] [corp-000-job-1] Querying data in gaps from database took 2 ms
2020-11-25 18:51:18,504 INFO [corp-000] [DataGapFastDetector] [corp-000-job-1] Full gap analysis is done after 2 ms
2020-11-25 18:51:18,574 INFO [corp-000] [RouterService] [corp-000-job-1] Routed 1 data events in 73 ms
2020-11-25 18:51:23,588 INFO [corp-000] [RouterService] [corp-000-job-1] Routed 1 data events in 9 ms
2020-11-25 18:53:33,991 INFO [startup] [AbstractCommandLauncher] [main] Option: name=verbose, value={}
2020-11-25 18:53:34,033 INFO [startup] [SymmetricUtils] [main] 
   _____                              __       _       ____   _____
  / ___/ __  _____ __  ___ __  ___  _/ /_ ____(_)___  / __ | / ___/
  \__ \ / / / / _ `_ \/ _ `_ \/ _ \/_ __// __/ / __/ / / / / \__ \ 
 ___/ // /_/ / // // / // // /  __// /  / / / / /_  / /_/ / ___/ / 
/____/ \__  /_//_//_/_//_//_/\___/ \_/ /_/ /_/\__/ /_____/ /____/  
      /____/                                                        
+-----------------------------------------------------------------+
| Copyright (C) 2007-2020 JumpMind, Inc.                          |
|                                                                 |
| Licensed under the GNU General Public License version 3.        |
| This software comes with ABSOLUTELY NO WARRANTY.                |
| See http://www.gnu.org/licenses/gpl.html                        |
+-----------------------------------------------------------------+
2020-11-25 18:53:34,087 INFO [startup] [SymmetricWebServer] [main] About to start SymmetricDS web server on 0.0.0.0:8080:HTTP/1.1
2020-11-25 18:53:34,291 INFO [startup] [SymmetricEngineHolder] [main] Current directory is /Users/danridinger/Downloads/symmetric-server-3.12.5
2020-11-25 18:53:34,291 INFO [startup] [SymmetricEngineHolder] [main] Starting in multi-server mode with engines directory at /Users/danridinger/Downloads/symmetric-server-3.12.5/engines
2020-11-25 18:53:34,336 INFO [store-001] [AbstractSymmetricEngine] [symmetric-engine-startup-2] Initializing connection to database
2020-11-25 18:53:34,336 INFO [corp-000] [AbstractSymmetricEngine] [symmetric-engine-startup-1] Initializing connection to database
2020-11-25 18:53:34,558 INFO [store-001] [JdbcDatabasePlatformFactory] [symmetric-engine-startup-2] Detected database 'postgres95', version '12', protocol 'postgresql'
2020-11-25 18:53:34,571 INFO [store-001] [JdbcDatabasePlatformFactory] [symmetric-engine-startup-2] The IDatabasePlatform being used is org.jumpmind.db.platform.postgresql.PostgreSql95DatabasePlatform
2020-11-25 18:53:34,575 INFO [corp-000] [JdbcDatabasePlatformFactory] [symmetric-engine-startup-1] Detected database 'postgres95', version '12', protocol 'postgresql'
2020-11-25 18:53:34,576 INFO [corp-000] [JdbcDatabasePlatformFactory] [symmetric-engine-startup-1] The IDatabasePlatform being used is org.jumpmind.db.platform.postgresql.PostgreSql95DatabasePlatform
2020-11-25 18:53:34,645 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] The DbDialect being used is org.jumpmind.symmetric.db.postgresql.PostgreSqlSymmetricDialect
2020-11-25 18:53:34,652 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] The DbDialect being used is org.jumpmind.symmetric.db.postgresql.PostgreSqlSymmetricDialect
2020-11-25 18:53:34,669 INFO [store-001] [StagingManager] [symmetric-engine-startup-2] The staging directory was initialized at the following location: /Users/danridinger/Downloads/symmetric-server-3.12.5/tmp/store-001
2020-11-25 18:53:34,695 INFO [corp-000] [ExtensionService] [symmetric-engine-startup-1] Found 0 extension points from the database that will be registered
2020-11-25 18:53:34,699 INFO [corp-000] [StagingManager] [symmetric-engine-startup-1] The staging directory was initialized at the following location: /Users/danridinger/Downloads/symmetric-server-3.12.5/tmp/corp-000
2020-11-25 18:53:35,202 INFO [corp-000] [ExtensionService] [symmetric-engine-startup-1] Found 0 extension points from the database that will be registered
2020-11-25 18:53:35,203 INFO [corp-000] [ClientExtensionService] [symmetric-engine-startup-1] Found 8 extension points from spring that will be registered
2020-11-25 18:53:35,205 INFO [store-001] [ClientExtensionService] [symmetric-engine-startup-2] Found 8 extension points from spring that will be registered
2020-11-25 18:53:35,210 INFO [corp-000] [AbstractSymmetricEngine] [symmetric-engine-startup-1] Initializing SymmetricDS database
2020-11-25 18:53:35,210 INFO [store-001] [AbstractSymmetricEngine] [symmetric-engine-startup-2] Initializing SymmetricDS database
2020-11-25 18:53:35,218 INFO [startup] [SymmetricWebServer] [main] Joining the web server main thread
2020-11-25 18:53:35,220 INFO [corp-000] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-1] Checking if SymmetricDS tables need created or altered
2020-11-25 18:53:35,353 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] Installing SymmetricDS database object:
CREATE or REPLACE FUNCTION sym_triggers_disabled() RETURNS INTEGER AS $$                                                                                                                                                     DECLARE                                                                                                                                                                                                  triggerDisabled INTEGER;                                                                                                                                                                             BEGIN                                                                                                                                                                                                    select current_setting('symmetric.triggers_disabled') into triggerDisabled;                                                                                                                            return triggerDisabled;                                                                                                                                                                              EXCEPTION WHEN OTHERS THEN                                                                                                                                                                               return 0;                                                                                                                                                                                            END;                                                                                                                                                                                                   $$ LANGUAGE plpgsql;                                                                                                                                                   
2020-11-25 18:53:35,365 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] Just installed sym_triggers_disabled
2020-11-25 18:53:35,366 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] Installing SymmetricDS database object:
CREATE or REPLACE FUNCTION sym_node_disabled() RETURNS VARCHAR AS $$                                                                                                                                                     DECLARE                                                                                                                                                                                                  nodeId VARCHAR(50);                                                                                                                                                                                  BEGIN                                                                                                                                                                                                    select current_setting('symmetric.node_disabled') into nodeId;                                                                                                                                         return nodeId;                                                                                                                                                                                       EXCEPTION WHEN OTHERS THEN                                                                                                                                                                               return '';                                                                                                                                                                                           END;                                                                                                                                                                                                   $$ LANGUAGE plpgsql;                                                                                                                                                   
2020-11-25 18:53:35,367 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] Just installed sym_node_disabled
2020-11-25 18:53:35,369 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] Installing SymmetricDS database object:
CREATE OR REPLACE FUNCTION sym_largeobject(objectId oid) RETURNS text AS $$                                                                                                                                            DECLARE                                                                                                                                                                                                  encodedBlob text;                                                                                                                                                                                      encodedBlobPage text;                                                                                                                                                                                BEGIN                                                                                                                                                                                                    encodedBlob := '';                                                                                                                                                                                     FOR encodedBlobPage IN SELECT pg_catalog.encode(data, 'escape')                                                                                                                                                   FROM pg_largeobject WHERE loid = objectId ORDER BY pageno LOOP                                                                                                                                           encodedBlob := encodedBlob || encodedBlobPage;                                                                                                                                                       END LOOP;                                                                                                                                                                                              RETURN pg_catalog.encode(pg_catalog.decode(encodedBlob, 'escape'), 'base64');                                                                                                                                              EXCEPTION WHEN OTHERS THEN                                                                                                                                                                               RETURN '';                                                                                                                                                                                           END                                                                                                                                                                                                    $$ LANGUAGE plpgsql;                                                                                                                                                   
2020-11-25 18:53:35,370 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] Just installed sym_largeobject
2020-11-25 18:53:35,370 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] Checking if SymmetricDS tables need created or altered
2020-11-25 18:53:35,537 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] There are SymmetricDS tables that needed altered
2020-11-25 18:53:35,553 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE TABLE "sym_channel"(
    "channel_id" VARCHAR(128) NOT NULL,
    "processing_order" INTEGER DEFAULT 1 NOT NULL,
    "max_batch_size" INTEGER DEFAULT 1000 NOT NULL,
    "max_batch_to_send" INTEGER DEFAULT 60 NOT NULL,
    "max_data_to_route" INTEGER DEFAULT 100000 NOT NULL,
    "extract_period_millis" INTEGER DEFAULT 0 NOT NULL,
    "enabled" SMALLINT DEFAULT 1 NOT NULL,
    "use_old_data_to_route" SMALLINT DEFAULT 1 NOT NULL,
    "use_row_data_to_route" SMALLINT DEFAULT 1 NOT NULL,
    "use_pk_data_to_route" SMALLINT DEFAULT 1 NOT NULL,
    "reload_flag" SMALLINT DEFAULT 0 NOT NULL,
    "file_sync_flag" SMALLINT DEFAULT 0 NOT NULL,
    "contains_big_lob" SMALLINT DEFAULT 0 NOT NULL,
    "batch_algorithm" VARCHAR(50) DEFAULT 'default' NOT NULL,
    "data_loader_type" VARCHAR(50) DEFAULT 'default' NOT NULL,
    "description" VARCHAR(255),
    "queue" VARCHAR(25) DEFAULT 'default' NOT NULL,
    "max_network_kbps" NUMERIC(10,3) DEFAULT 0.000 NOT NULL,
    "data_event_action" CHAR(1),
    "create_time" TIMESTAMP,
    "last_update_by" VARCHAR(50),
    "last_update_time" TIMESTAMP,
    PRIMARY KEY ("channel_id")
)
2020-11-25 18:53:35,557 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE TABLE "sym_conflict"(
    "conflict_id" VARCHAR(50) NOT NULL,
    "source_node_group_id" VARCHAR(50) NOT NULL,
    "target_node_group_id" VARCHAR(50) NOT NULL,
    "target_channel_id" VARCHAR(128),
    "target_catalog_name" VARCHAR(255),
    "target_schema_name" VARCHAR(255),
    "target_table_name" VARCHAR(255),
    "detect_type" VARCHAR(128) NOT NULL,
    "detect_expression" TEXT,
    "resolve_type" VARCHAR(128) NOT NULL,
    "ping_back" VARCHAR(128) NOT NULL,
    "resolve_changes_only" SMALLINT DEFAULT 0,
    "resolve_row_only" SMALLINT DEFAULT 0,
    "create_time" TIMESTAMP NOT NULL,
    "last_update_by" VARCHAR(50),
    "last_update_time" TIMESTAMP NOT NULL,
    PRIMARY KEY ("conflict_id")
)
2020-11-25 18:53:35,559 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE TABLE "sym_context"(
    "name" VARCHAR(80) NOT NULL,
    "context_value" TEXT,
    "create_time" TIMESTAMP,
    "last_update_time" TIMESTAMP,
    PRIMARY KEY ("name")
)
2020-11-25 18:53:35,560 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE SEQUENCE "sym_data_data_id_seq"
2020-11-25 18:53:35,563 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE TABLE "sym_data"(
    "data_id" BIGINT NOT NULL  DEFAULT nextval('"sym_data_data_id_seq"'),
    "table_name" VARCHAR(255) NOT NULL,
    "event_type" CHAR(1) NOT NULL,
    "row_data" TEXT,
    "pk_data" TEXT,
    "old_data" TEXT,
    "trigger_hist_id" INTEGER NOT NULL,
    "channel_id" VARCHAR(128),
    "transaction_id" VARCHAR(255),
    "source_node_id" VARCHAR(50),
    "external_data" VARCHAR(50),
    "node_list" VARCHAR(255),
    "is_prerouted" SMALLINT DEFAULT 0 NOT NULL,
    "create_time" TIMESTAMP,
    PRIMARY KEY ("data_id")
)
2020-11-25 18:53:35,565 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE UNIQUE INDEX "sym_idx_d_channel_id" ON "sym_data" ("data_id", "channel_id")
2020-11-25 18:53:35,566 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE TABLE "sym_data_event"(
    "data_id" BIGINT NOT NULL,
    "batch_id" BIGINT NOT NULL,
    "create_time" TIMESTAMP,
    PRIMARY KEY ("data_id", "batch_id")
)
2020-11-25 18:53:35,567 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE INDEX "sym_idx_de_batchid" ON "sym_data_event" ("batch_id")
2020-11-25 18:53:35,568 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE TABLE "sym_data_gap"(
    "start_id" BIGINT NOT NULL,
    "end_id" BIGINT NOT NULL,
    "create_time" TIMESTAMP NOT NULL,
    "last_update_hostname" VARCHAR(255),
    PRIMARY KEY ("start_id", "end_id")
)
2020-11-25 18:53:35,571 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE TABLE "sym_extension"(
    "extension_id" VARCHAR(50) NOT NULL,
    "extension_type" VARCHAR(10) NOT NULL,
    "interface_name" VARCHAR(255),
    "node_group_id" VARCHAR(50) NOT NULL,
    "enabled" SMALLINT DEFAULT 1 NOT NULL,
    "extension_order" INTEGER DEFAULT 1 NOT NULL,
    "extension_text" TEXT,
    "create_time" TIMESTAMP,
    "last_update_by" VARCHAR(50),
    "last_update_time" TIMESTAMP,
    PRIMARY KEY ("extension_id")
)
2020-11-25 18:53:35,575 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE TABLE "sym_extract_request"(
    "request_id" BIGINT NOT NULL,
    "node_id" VARCHAR(50) NOT NULL,
    "queue" VARCHAR(128),
    "status" CHAR(2),
    "start_batch_id" BIGINT NOT NULL,
    "end_batch_id" BIGINT NOT NULL,
    "trigger_id" VARCHAR(128) NOT NULL,
    "router_id" VARCHAR(50) NOT NULL,
    "load_id" BIGINT,
    "table_name" VARCHAR(255),
    "extracted_rows" BIGINT DEFAULT 0 NOT NULL,
    "extracted_millis" BIGINT DEFAULT 0 NOT NULL,
    "transferred_rows" BIGINT DEFAULT 0 NOT NULL,
    "transferred_millis" BIGINT DEFAULT 0 NOT NULL,
    "last_transferred_batch_id" BIGINT,
    "loaded_rows" BIGINT DEFAULT 0 NOT NULL,
    "loaded_millis" BIGINT DEFAULT 0 NOT NULL,
    "last_loaded_batch_id" BIGINT,
    "total_rows" BIGINT,
    "loaded_time" TIMESTAMP,
    "parent_request_id" BIGINT DEFAULT 0 NOT NULL,
    "last_update_time" TIMESTAMP,
    "create_time" TIMESTAMP,
    PRIMARY KEY ("request_id")
)
2020-11-25 18:53:35,576 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE TABLE "sym_file_incoming"(
    "relative_dir" VARCHAR(255) NOT NULL,
    "file_name" VARCHAR(128) NOT NULL,
    "last_event_type" CHAR(1) NOT NULL,
    "node_id" VARCHAR(50) NOT NULL,
    "file_modified_time" BIGINT,
    PRIMARY KEY ("relative_dir", "file_name")
)
2020-11-25 18:53:35,579 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE TABLE "sym_file_snapshot"(
    "trigger_id" VARCHAR(128) NOT NULL,
    "router_id" VARCHAR(50) NOT NULL,
    "relative_dir" VARCHAR(255) NOT NULL,
    "file_name" VARCHAR(128) NOT NULL,
    "channel_id" VARCHAR(128) DEFAULT 'filesync' NOT NULL,
    "reload_channel_id" VARCHAR(128) DEFAULT 'filesync_reload' NOT NULL,
    "last_event_type" CHAR(1) NOT NULL,
    "crc32_checksum" BIGINT,
    "file_size" BIGINT,
    "file_modified_time" BIGINT,
    "last_update_time" TIMESTAMP NOT NULL,
    "last_update_by" VARCHAR(50),
    "create_time" TIMESTAMP NOT NULL,
    PRIMARY KEY ("trigger_id", "router_id", "relative_dir", "file_name")
)
2020-11-25 18:53:35,580 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE INDEX "sym_idx_f_snpsht_chid" ON "sym_file_snapshot" ("reload_channel_id")
2020-11-25 18:53:35,583 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE TABLE "sym_file_trigger"(
    "trigger_id" VARCHAR(128) NOT NULL,
    "channel_id" VARCHAR(128) DEFAULT 'filesync' NOT NULL,
    "reload_channel_id" VARCHAR(128) DEFAULT 'filesync_reload' NOT NULL,
    "base_dir" VARCHAR(255) NOT NULL,
    "recurse" SMALLINT DEFAULT 1 NOT NULL,
    "includes_files" VARCHAR(255),
    "excludes_files" VARCHAR(255),
    "sync_on_create" SMALLINT DEFAULT 1 NOT NULL,
    "sync_on_modified" SMALLINT DEFAULT 1 NOT NULL,
    "sync_on_delete" SMALLINT DEFAULT 1 NOT NULL,
    "sync_on_ctl_file" SMALLINT DEFAULT 0 NOT NULL,
    "delete_after_sync" SMALLINT DEFAULT 0 NOT NULL,
    "before_copy_script" TEXT,
    "after_copy_script" TEXT,
    "create_time" TIMESTAMP NOT NULL,
    "last_update_by" VARCHAR(50),
    "last_update_time" TIMESTAMP NOT NULL,
    "description" TEXT,
    PRIMARY KEY ("trigger_id")
)
2020-11-25 18:53:35,587 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE TABLE "sym_file_trigger_router"(
    "trigger_id" VARCHAR(128) NOT NULL,
    "router_id" VARCHAR(50) NOT NULL,
    "enabled" SMALLINT DEFAULT 1 NOT NULL,
    "initial_load_enabled" SMALLINT DEFAULT 1 NOT NULL,
    "target_base_dir" VARCHAR(255),
    "conflict_strategy" VARCHAR(128) DEFAULT 'source_wins' NOT NULL,
    "create_time" TIMESTAMP NOT NULL,
    "last_update_by" VARCHAR(50),
    "last_update_time" TIMESTAMP NOT NULL,
    "description" TEXT,
    PRIMARY KEY ("trigger_id", "router_id")
)
2020-11-25 18:53:35,590 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE TABLE "sym_grouplet"(
    "grouplet_id" VARCHAR(50) NOT NULL,
    "grouplet_link_policy" CHAR(1) DEFAULT 'I' NOT NULL,
    "description" VARCHAR(255),
    "create_time" TIMESTAMP NOT NULL,
    "last_update_by" VARCHAR(50),
    "last_update_time" TIMESTAMP NOT NULL,
    PRIMARY KEY ("grouplet_id")
)
2020-11-25 18:53:35,595 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE TABLE "sym_grouplet_link"(
    "grouplet_id" VARCHAR(50) NOT NULL,
    "external_id" VARCHAR(255) NOT NULL,
    "create_time" TIMESTAMP NOT NULL,
    "last_update_by" VARCHAR(50),
    "last_update_time" TIMESTAMP NOT NULL,
    PRIMARY KEY ("grouplet_id", "external_id")
)
2020-11-25 18:53:35,600 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE TABLE "sym_incoming_batch"(
    "batch_id" BIGINT NOT NULL,
    "node_id" VARCHAR(50) NOT NULL,
    "channel_id" VARCHAR(128),
    "status" CHAR(2),
    "error_flag" SMALLINT DEFAULT 0,
    "sql_state" VARCHAR(10),
    "sql_code" INTEGER DEFAULT 0 NOT NULL,
    "sql_message" TEXT,
    "last_update_hostname" VARCHAR(255),
    "last_update_time" TIMESTAMP,
    "create_time" TIMESTAMP,
    "summary" VARCHAR(255),
    "ignore_count" INTEGER DEFAULT 0 NOT NULL,
    "byte_count" BIGINT DEFAULT 0 NOT NULL,
    "load_flag" SMALLINT DEFAULT 0,
    "extract_count" INTEGER DEFAULT 0 NOT NULL,
    "sent_count" INTEGER DEFAULT 0 NOT NULL,
    "load_count" INTEGER DEFAULT 0 NOT NULL,
    "reload_row_count" INTEGER DEFAULT 0 NOT NULL,
    "other_row_count" INTEGER DEFAULT 0 NOT NULL,
    "data_row_count" INTEGER DEFAULT 0 NOT NULL,
    "extract_row_count" INTEGER DEFAULT 0 NOT NULL,
    "load_row_count" INTEGER DEFAULT 0 NOT NULL,
    "data_insert_row_count" INTEGER DEFAULT 0 NOT NULL,
    "data_update_row_count" INTEGER DEFAULT 0 NOT NULL,
    "data_delete_row_count" INTEGER DEFAULT 0 NOT NULL,
    "extract_insert_row_count" INTEGER DEFAULT 0 NOT NULL,
    "extract_update_row_count" INTEGER DEFAULT 0 NOT NULL,
    "extract_delete_row_count" INTEGER DEFAULT 0 NOT NULL,
    "load_insert_row_count" INTEGER DEFAULT 0 NOT NULL,
    "load_update_row_count" INTEGER DEFAULT 0 NOT NULL,
    "load_delete_row_count" INTEGER DEFAULT 0 NOT NULL,
    "network_millis" INTEGER DEFAULT 0 NOT NULL,
    "filter_millis" INTEGER DEFAULT 0 NOT NULL,
    "load_millis" INTEGER DEFAULT 0 NOT NULL,
    "router_millis" INTEGER DEFAULT 0 NOT NULL,
    "extract_millis" INTEGER DEFAULT 0 NOT NULL,
    "transform_extract_millis" INTEGER DEFAULT 0 NOT NULL,
    "transform_load_millis" INTEGER DEFAULT 0 NOT NULL,
    "load_id" BIGINT,
    "common_flag" SMALLINT DEFAULT 0,
    "fallback_insert_count" INTEGER DEFAULT 0 NOT NULL,
    "fallback_update_count" INTEGER DEFAULT 0 NOT NULL,
    "ignore_row_count" INTEGER DEFAULT 0 NOT NULL,
    "missing_delete_count" INTEGER DEFAULT 0 NOT NULL,
    "skip_count" INTEGER DEFAULT 0 NOT NULL,
    "failed_row_number" INTEGER DEFAULT 0 NOT NULL,
    "failed_line_number" INTEGER DEFAULT 0 NOT NULL,
    "failed_data_id" BIGINT DEFAULT 0 NOT NULL,
    PRIMARY KEY ("batch_id", "node_id")
)
2020-11-25 18:53:35,603 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE INDEX "sym_idx_ib_time_status" ON "sym_incoming_batch" ("create_time", "status")
2020-11-25 18:53:35,606 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE INDEX "sym_idx_ib_in_error" ON "sym_incoming_batch" ("error_flag")
2020-11-25 18:53:35,611 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE TABLE "sym_incoming_error"(
    "batch_id" BIGINT NOT NULL,
    "node_id" VARCHAR(50) NOT NULL,
    "failed_row_number" BIGINT NOT NULL,
    "failed_line_number" BIGINT DEFAULT 0 NOT NULL,
    "target_catalog_name" VARCHAR(255),
    "target_schema_name" VARCHAR(255),
    "target_table_name" VARCHAR(255) NOT NULL,
    "event_type" CHAR(1) NOT NULL,
    "binary_encoding" VARCHAR(10) DEFAULT 'HEX' NOT NULL,
    "column_names" TEXT NOT NULL,
    "pk_column_names" TEXT NOT NULL,
    "row_data" TEXT,
    "old_data" TEXT,
    "cur_data" TEXT,
    "resolve_data" TEXT,
    "resolve_ignore" SMALLINT DEFAULT 0,
    "conflict_id" VARCHAR(50),
    "create_time" TIMESTAMP,
    "last_update_by" VARCHAR(50),
    "last_update_time" TIMESTAMP NOT NULL,
    PRIMARY KEY ("batch_id", "node_id", "failed_row_number")
)
2020-11-25 18:53:35,614 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE TABLE "sym_job"(
    "job_name" VARCHAR(50) NOT NULL,
    "job_type" VARCHAR(10) NOT NULL,
    "requires_registration" SMALLINT DEFAULT 1 NOT NULL,
    "job_expression" TEXT,
    "description" VARCHAR(255),
    "default_schedule" VARCHAR(50),
    "default_auto_start" SMALLINT DEFAULT 1 NOT NULL,
    "node_group_id" VARCHAR(50) NOT NULL,
    "create_by" VARCHAR(50),
    "create_time" TIMESTAMP,
    "last_update_by" VARCHAR(50),
    "last_update_time" TIMESTAMP,
    PRIMARY KEY ("job_name")
)
2020-11-25 18:53:35,618 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE TABLE "sym_load_filter"(
    "load_filter_id" VARCHAR(50) NOT NULL,
    "load_filter_type" VARCHAR(10) NOT NULL,
    "source_node_group_id" VARCHAR(50) NOT NULL,
    "target_node_group_id" VARCHAR(50) NOT NULL,
    "target_catalog_name" VARCHAR(255),
    "target_schema_name" VARCHAR(255),
    "target_table_name" VARCHAR(255),
    "filter_on_update" SMALLINT DEFAULT 1 NOT NULL,
    "filter_on_insert" SMALLINT DEFAULT 1 NOT NULL,
    "filter_on_delete" SMALLINT DEFAULT 1 NOT NULL,
    "before_write_script" TEXT,
    "after_write_script" TEXT,
    "batch_complete_script" TEXT,
    "batch_commit_script" TEXT,
    "batch_rollback_script" TEXT,
    "handle_error_script" TEXT,
    "create_time" TIMESTAMP NOT NULL,
    "last_update_by" VARCHAR(50),
    "last_update_time" TIMESTAMP NOT NULL,
    "load_filter_order" INTEGER DEFAULT 1 NOT NULL,
    "fail_on_error" SMALLINT DEFAULT 0 NOT NULL,
    PRIMARY KEY ("load_filter_id")
)
2020-11-25 18:53:35,624 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE TABLE "sym_lock"(
    "lock_action" VARCHAR(50) NOT NULL,
    "lock_type" VARCHAR(50) NOT NULL,
    "locking_server_id" VARCHAR(255),
    "lock_time" TIMESTAMP,
    "shared_count" INTEGER DEFAULT 0 NOT NULL,
    "shared_enable" INTEGER DEFAULT 0 NOT NULL,
    "last_lock_time" TIMESTAMP,
    "last_locking_server_id" VARCHAR(255),
    PRIMARY KEY ("lock_action")
)
2020-11-25 18:53:35,626 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE TABLE "sym_node"(
    "node_id" VARCHAR(50) NOT NULL,
    "node_group_id" VARCHAR(50) NOT NULL,
    "external_id" VARCHAR(255) NOT NULL,
    "sync_enabled" SMALLINT DEFAULT 0,
    "sync_url" VARCHAR(255),
    "schema_version" VARCHAR(50),
    "symmetric_version" VARCHAR(50),
    "config_version" VARCHAR(50),
    "database_type" VARCHAR(50),
    "database_version" VARCHAR(50),
    "database_name" VARCHAR(50),
    "batch_to_send_count" INTEGER DEFAULT 0,
    "batch_in_error_count" INTEGER DEFAULT 0,
    "created_at_node_id" VARCHAR(50),
    "deployment_type" VARCHAR(50),
    "deployment_sub_type" VARCHAR(50),
    PRIMARY KEY ("node_id")
)
2020-11-25 18:53:35,628 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE TABLE "sym_node_communication"(
    "node_id" VARCHAR(50) NOT NULL,
    "queue" VARCHAR(25) DEFAULT 'default' NOT NULL,
    "communication_type" VARCHAR(10) NOT NULL,
    "lock_time" TIMESTAMP,
    "locking_server_id" VARCHAR(255),
    "last_lock_time" TIMESTAMP,
    "last_lock_millis" BIGINT DEFAULT 0,
    "success_count" BIGINT DEFAULT 0,
    "fail_count" BIGINT DEFAULT 0,
    "skip_count" BIGINT DEFAULT 0,
    "total_success_count" BIGINT DEFAULT 0,
    "total_fail_count" BIGINT DEFAULT 0,
    "total_success_millis" BIGINT DEFAULT 0,
    "total_fail_millis" BIGINT DEFAULT 0,
    "batch_to_send_count" BIGINT DEFAULT 0,
    "node_priority" INTEGER DEFAULT 0,
    PRIMARY KEY ("node_id", "queue", "communication_type")
)
2020-11-25 18:53:35,630 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE TABLE "sym_node_channel_ctl"(
    "node_id" VARCHAR(50) NOT NULL,
    "channel_id" VARCHAR(128) NOT NULL,
    "suspend_enabled" SMALLINT DEFAULT 0,
    "ignore_enabled" SMALLINT DEFAULT 0,
    "last_extract_time" TIMESTAMP,
    PRIMARY KEY ("node_id", "channel_id")
)
2020-11-25 18:53:35,632 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE TABLE "sym_node_group"(
    "node_group_id" VARCHAR(50) NOT NULL,
    "description" VARCHAR(255),
    "create_time" TIMESTAMP,
    "last_update_by" VARCHAR(50),
    "last_update_time" TIMESTAMP,
    PRIMARY KEY ("node_group_id")
)
2020-11-25 18:53:35,634 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE TABLE "sym_node_group_channel_wnd"(
    "node_group_id" VARCHAR(50) NOT NULL,
    "channel_id" VARCHAR(128) NOT NULL,
    "start_time" TIMESTAMP NOT NULL,
    "end_time" TIMESTAMP NOT NULL,
    "enabled" SMALLINT DEFAULT 0 NOT NULL,
    PRIMARY KEY ("node_group_id", "channel_id", "start_time", "end_time")
)
2020-11-25 18:53:35,636 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE TABLE "sym_node_group_link"(
    "source_node_group_id" VARCHAR(50) NOT NULL,
    "target_node_group_id" VARCHAR(50) NOT NULL,
    "data_event_action" CHAR(1) DEFAULT 'W' NOT NULL,
    "sync_config_enabled" SMALLINT DEFAULT 1 NOT NULL,
    "is_reversible" SMALLINT DEFAULT 0 NOT NULL,
    "create_time" TIMESTAMP,
    "last_update_by" VARCHAR(50),
    "last_update_time" TIMESTAMP,
    PRIMARY KEY ("source_node_group_id", "target_node_group_id")
)
2020-11-25 18:53:35,640 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE TABLE "sym_node_host"(
    "node_id" VARCHAR(50) NOT NULL,
    "host_name" VARCHAR(60) NOT NULL,
    "instance_id" VARCHAR(60),
    "ip_address" VARCHAR(50),
    "os_user" VARCHAR(50),
    "os_name" VARCHAR(50),
    "os_arch" VARCHAR(50),
    "os_version" VARCHAR(50),
    "available_processors" INTEGER DEFAULT 0,
    "free_memory_bytes" BIGINT DEFAULT 0,
    "total_memory_bytes" BIGINT DEFAULT 0,
    "max_memory_bytes" BIGINT DEFAULT 0,
    "java_version" VARCHAR(50),
    "java_vendor" VARCHAR(255),
    "jdbc_version" VARCHAR(255),
    "symmetric_version" VARCHAR(50),
    "timezone_offset" VARCHAR(6),
    "heartbeat_time" TIMESTAMP,
    "last_restart_time" TIMESTAMP NOT NULL,
    "create_time" TIMESTAMP NOT NULL,
    PRIMARY KEY ("node_id", "host_name")
)
2020-11-25 18:53:35,644 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE TABLE "sym_node_host_channel_stats"(
    "node_id" VARCHAR(50) NOT NULL,
    "host_name" VARCHAR(60) NOT NULL,
    "channel_id" VARCHAR(128) NOT NULL,
    "start_time" TIMESTAMP NOT NULL,
    "end_time" TIMESTAMP NOT NULL,
    "data_routed" BIGINT DEFAULT 0,
    "data_unrouted" BIGINT DEFAULT 0,
    "data_event_inserted" BIGINT DEFAULT 0,
    "data_extracted" BIGINT DEFAULT 0,
    "data_bytes_extracted" BIGINT DEFAULT 0,
    "data_extracted_errors" BIGINT DEFAULT 0,
    "data_bytes_sent" BIGINT DEFAULT 0,
    "data_sent" BIGINT DEFAULT 0,
    "data_sent_errors" BIGINT DEFAULT 0,
    "data_loaded" BIGINT DEFAULT 0,
    "data_bytes_loaded" BIGINT DEFAULT 0,
    "data_loaded_errors" BIGINT DEFAULT 0,
    "data_loaded_outgoing" BIGINT DEFAULT 0,
    "data_bytes_loaded_outgoing" BIGINT DEFAULT 0,
    "data_loaded_outgoing_errors" BIGINT DEFAULT 0,
    PRIMARY KEY ("node_id", "host_name", "channel_id", "start_time", "end_time")
)
2020-11-25 18:53:35,647 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE INDEX "sym_idx_nd_hst_chnl_sts" ON "sym_node_host_channel_stats" ("node_id", "start_time", "end_time")
2020-11-25 18:53:35,651 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE TABLE "sym_node_host_job_stats"(
    "node_id" VARCHAR(50) NOT NULL,
    "host_name" VARCHAR(60) NOT NULL,
    "job_name" VARCHAR(50) NOT NULL,
    "start_time" TIMESTAMP NOT NULL,
    "end_time" TIMESTAMP NOT NULL,
    "processed_count" BIGINT DEFAULT 0,
    "target_node_id" VARCHAR(50),
    "target_node_count" INTEGER DEFAULT 0,
    PRIMARY KEY ("node_id", "host_name", "job_name", "start_time", "end_time")
)
2020-11-25 18:53:35,653 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE INDEX "sym_idx_nd_hst_job" ON "sym_node_host_job_stats" ("node_id", "start_time", "end_time")
2020-11-25 18:53:35,659 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE TABLE "sym_node_host_stats"(
    "node_id" VARCHAR(50) NOT NULL,
    "host_name" VARCHAR(60) NOT NULL,
    "start_time" TIMESTAMP NOT NULL,
    "end_time" TIMESTAMP NOT NULL,
    "restarted" BIGINT DEFAULT 0 NOT NULL,
    "nodes_pulled" BIGINT DEFAULT 0,
    "total_nodes_pull_time" BIGINT DEFAULT 0,
    "nodes_pushed" BIGINT DEFAULT 0,
    "total_nodes_push_time" BIGINT DEFAULT 0,
    "nodes_rejected" BIGINT DEFAULT 0,
    "nodes_registered" BIGINT DEFAULT 0,
    "nodes_loaded" BIGINT DEFAULT 0,
    "nodes_disabled" BIGINT DEFAULT 0,
    "purged_data_rows" BIGINT DEFAULT 0,
    "purged_data_event_rows" BIGINT DEFAULT 0,
    "purged_batch_outgoing_rows" BIGINT DEFAULT 0,
    "purged_batch_incoming_rows" BIGINT DEFAULT 0,
    "triggers_created_count" BIGINT,
    "triggers_rebuilt_count" BIGINT,
    "triggers_removed_count" BIGINT,
    PRIMARY KEY ("node_id", "host_name", "start_time", "end_time")
)
2020-11-25 18:53:35,661 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE INDEX "sym_idx_nd_hst_sts" ON "sym_node_host_stats" ("node_id", "start_time", "end_time")
2020-11-25 18:53:35,662 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE TABLE "sym_node_identity"(
    "node_id" VARCHAR(50) NOT NULL,
    PRIMARY KEY ("node_id")
)
2020-11-25 18:53:35,664 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE TABLE "sym_node_security"(
    "node_id" VARCHAR(50) NOT NULL,
    "node_password" VARCHAR(50) NOT NULL,
    "registration_enabled" SMALLINT DEFAULT 0,
    "registration_time" TIMESTAMP,
    "initial_load_enabled" SMALLINT DEFAULT 0,
    "initial_load_time" TIMESTAMP,
    "initial_load_end_time" TIMESTAMP,
    "initial_load_id" BIGINT,
    "initial_load_create_by" VARCHAR(255),
    "rev_initial_load_enabled" SMALLINT DEFAULT 0,
    "rev_initial_load_time" TIMESTAMP,
    "rev_initial_load_id" BIGINT,
    "rev_initial_load_create_by" VARCHAR(255),
    "failed_logins" SMALLINT DEFAULT 0,
    "created_at_node_id" VARCHAR(50),
    PRIMARY KEY ("node_id")
)
2020-11-25 18:53:35,667 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE TABLE "sym_monitor"(
    "monitor_id" VARCHAR(128) NOT NULL,
    "node_group_id" VARCHAR(50) DEFAULT 'ALL' NOT NULL,
    "external_id" VARCHAR(255) DEFAULT 'ALL' NOT NULL,
    "type" VARCHAR(50) NOT NULL,
    "expression" TEXT,
    "threshold" BIGINT DEFAULT 0 NOT NULL,
    "run_period" INTEGER DEFAULT 0 NOT NULL,
    "run_count" INTEGER DEFAULT 0 NOT NULL,
    "severity_level" INTEGER DEFAULT 0 NOT NULL,
    "enabled" SMALLINT DEFAULT 0 NOT NULL,
    "create_time" TIMESTAMP,
    "last_update_by" VARCHAR(50),
    "last_update_time" TIMESTAMP,
    PRIMARY KEY ("monitor_id")
)
2020-11-25 18:53:35,670 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE TABLE "sym_monitor_event"(
    "monitor_id" VARCHAR(128) NOT NULL,
    "node_id" VARCHAR(50) NOT NULL,
    "event_time" TIMESTAMP NOT NULL,
    "host_name" VARCHAR(60),
    "type" VARCHAR(50) NOT NULL,
    "threshold" BIGINT DEFAULT 0 NOT NULL,
    "event_value" BIGINT DEFAULT 0 NOT NULL,
    "event_count" INTEGER DEFAULT 0 NOT NULL,
    "severity_level" INTEGER DEFAULT 0 NOT NULL,
    "is_resolved" SMALLINT DEFAULT 0 NOT NULL,
    "is_notified" SMALLINT DEFAULT 0 NOT NULL,
    "details" TEXT,
    "last_update_time" TIMESTAMP,
    PRIMARY KEY ("monitor_id", "node_id", "event_time")
)
2020-11-25 18:53:35,672 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE TABLE "sym_notification"(
    "notification_id" VARCHAR(128) NOT NULL,
    "node_group_id" VARCHAR(50) DEFAULT 'ALL' NOT NULL,
    "external_id" VARCHAR(255) DEFAULT 'ALL' NOT NULL,
    "severity_level" INTEGER DEFAULT 0 NOT NULL,
    "type" VARCHAR(50) NOT NULL,
    "expression" TEXT,
    "enabled" SMALLINT DEFAULT 0 NOT NULL,
    "create_time" TIMESTAMP,
    "last_update_by" VARCHAR(50),
    "last_update_time" TIMESTAMP,
    PRIMARY KEY ("notification_id")
)
2020-11-25 18:53:35,677 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE TABLE "sym_outgoing_batch"(
    "batch_id" BIGINT NOT NULL,
    "node_id" VARCHAR(50) NOT NULL,
    "channel_id" VARCHAR(128),
    "status" CHAR(2),
    "error_flag" SMALLINT DEFAULT 0,
    "sql_state" VARCHAR(10),
    "sql_code" INTEGER DEFAULT 0 NOT NULL,
    "sql_message" TEXT,
    "last_update_hostname" VARCHAR(255),
    "last_update_time" TIMESTAMP,
    "create_time" TIMESTAMP,
    "summary" VARCHAR(255),
    "ignore_count" INTEGER DEFAULT 0 NOT NULL,
    "byte_count" BIGINT DEFAULT 0 NOT NULL,
    "load_flag" SMALLINT DEFAULT 0,
    "extract_count" INTEGER DEFAULT 0 NOT NULL,
    "sent_count" INTEGER DEFAULT 0 NOT NULL,
    "load_count" INTEGER DEFAULT 0 NOT NULL,
    "reload_row_count" INTEGER DEFAULT 0 NOT NULL,
    "other_row_count" INTEGER DEFAULT 0 NOT NULL,
    "data_row_count" INTEGER DEFAULT 0 NOT NULL,
    "extract_row_count" INTEGER DEFAULT 0 NOT NULL,
    "load_row_count" INTEGER DEFAULT 0 NOT NULL,
    "data_insert_row_count" INTEGER DEFAULT 0 NOT NULL,
    "data_update_row_count" INTEGER DEFAULT 0 NOT NULL,
    "data_delete_row_count" INTEGER DEFAULT 0 NOT NULL,
    "extract_insert_row_count" INTEGER DEFAULT 0 NOT NULL,
    "extract_update_row_count" INTEGER DEFAULT 0 NOT NULL,
    "extract_delete_row_count" INTEGER DEFAULT 0 NOT NULL,
    "load_insert_row_count" INTEGER DEFAULT 0 NOT NULL,
    "load_update_row_count" INTEGER DEFAULT 0 NOT NULL,
    "load_delete_row_count" INTEGER DEFAULT 0 NOT NULL,
    "network_millis" INTEGER DEFAULT 0 NOT NULL,
    "filter_millis" INTEGER DEFAULT 0 NOT NULL,
    "load_millis" INTEGER DEFAULT 0 NOT NULL,
    "router_millis" INTEGER DEFAULT 0 NOT NULL,
    "extract_millis" INTEGER DEFAULT 0 NOT NULL,
    "transform_extract_millis" INTEGER DEFAULT 0 NOT NULL,
    "transform_load_millis" INTEGER DEFAULT 0 NOT NULL,
    "load_id" BIGINT,
    "common_flag" SMALLINT DEFAULT 0,
    "fallback_insert_count" INTEGER DEFAULT 0 NOT NULL,
    "fallback_update_count" INTEGER DEFAULT 0 NOT NULL,
    "ignore_row_count" INTEGER DEFAULT 0 NOT NULL,
    "missing_delete_count" INTEGER DEFAULT 0 NOT NULL,
    "skip_count" INTEGER DEFAULT 0 NOT NULL,
    "total_extract_millis" INTEGER DEFAULT 0 NOT NULL,
    "total_load_millis" INTEGER DEFAULT 0 NOT NULL,
    "extract_job_flag" SMALLINT DEFAULT 0,
    "extract_start_time" TIMESTAMP,
    "transfer_start_time" TIMESTAMP,
    "load_start_time" TIMESTAMP,
    "failed_data_id" BIGINT DEFAULT 0 NOT NULL,
    "failed_line_number" BIGINT DEFAULT 0 NOT NULL,
    "create_by" VARCHAR(255),
    PRIMARY KEY ("batch_id", "node_id")
)
2020-11-25 18:53:35,678 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE INDEX "sym_idx_ob_node_status" ON "sym_outgoing_batch" ("node_id", "status")
2020-11-25 18:53:35,679 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE INDEX "sym_idx_ob_status" ON "sym_outgoing_batch" ("status")
2020-11-25 18:53:35,680 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE INDEX "sym_idx_ob_in_error" ON "sym_outgoing_batch" ("error_flag")
2020-11-25 18:53:35,682 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE TABLE "sym_parameter"(
    "external_id" VARCHAR(255) NOT NULL,
    "node_group_id" VARCHAR(50) NOT NULL,
    "param_key" VARCHAR(80) NOT NULL,
    "param_value" TEXT,
    "create_time" TIMESTAMP,
    "last_update_by" VARCHAR(50),
    "last_update_time" TIMESTAMP,
    PRIMARY KEY ("external_id", "node_group_id", "param_key")
)
2020-11-25 18:53:35,684 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE TABLE "sym_registration_redirect"(
    "registrant_external_id" VARCHAR(255) NOT NULL,
    "registration_node_id" VARCHAR(50) NOT NULL,
    PRIMARY KEY ("registrant_external_id")
)
2020-11-25 18:53:35,689 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE TABLE "sym_registration_request"(
    "node_group_id" VARCHAR(50) NOT NULL,
    "external_id" VARCHAR(255) NOT NULL,
    "status" CHAR(2) NOT NULL,
    "host_name" VARCHAR(60) NOT NULL,
    "ip_address" VARCHAR(50) NOT NULL,
    "attempt_count" INTEGER DEFAULT 0,
    "registered_node_id" VARCHAR(50),
    "error_message" TEXT,
    "create_time" TIMESTAMP NOT NULL,
    "last_update_by" VARCHAR(50),
    "last_update_time" TIMESTAMP NOT NULL,
    PRIMARY KEY ("node_group_id", "external_id", "create_time")
)
2020-11-25 18:53:35,691 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE INDEX "sym_idx_reg_req_1" ON "sym_registration_request" ("node_group_id", "external_id", "status", "host_name", "ip_address")
2020-11-25 18:53:35,694 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE INDEX "sym_idx_reg_req_2" ON "sym_registration_request" ("status")
2020-11-25 18:53:35,702 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE TABLE "sym_router"(
    "router_id" VARCHAR(50) NOT NULL,
    "target_catalog_name" VARCHAR(255),
    "target_schema_name" VARCHAR(255),
    "target_table_name" VARCHAR(255),
    "source_node_group_id" VARCHAR(50) NOT NULL,
    "target_node_group_id" VARCHAR(50) NOT NULL,
    "router_type" VARCHAR(50) DEFAULT 'default' NOT NULL,
    "router_expression" TEXT,
    "sync_on_update" SMALLINT DEFAULT 1 NOT NULL,
    "sync_on_insert" SMALLINT DEFAULT 1 NOT NULL,
    "sync_on_delete" SMALLINT DEFAULT 1 NOT NULL,
    "use_source_catalog_schema" SMALLINT DEFAULT 1 NOT NULL,
    "create_time" TIMESTAMP NOT NULL,
    "last_update_by" VARCHAR(50),
    "last_update_time" TIMESTAMP NOT NULL,
    "description" TEXT,
    PRIMARY KEY ("router_id")
)
2020-11-25 18:53:35,704 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE TABLE "sym_sequence"(
    "sequence_name" VARCHAR(50) NOT NULL,
    "current_value" BIGINT DEFAULT 0 NOT NULL,
    "increment_by" INTEGER DEFAULT 1 NOT NULL,
    "min_value" BIGINT DEFAULT 1 NOT NULL,
    "max_value" BIGINT DEFAULT 9999999999 NOT NULL,
    "cycle_flag" SMALLINT DEFAULT 0,
    "cache_size" INTEGER DEFAULT 0 NOT NULL,
    "create_time" TIMESTAMP,
    "last_update_by" VARCHAR(50),
    "last_update_time" TIMESTAMP NOT NULL,
    PRIMARY KEY ("sequence_name")
)
2020-11-25 18:53:35,707 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE TABLE "sym_table_reload_request"(
    "target_node_id" VARCHAR(50) NOT NULL,
    "source_node_id" VARCHAR(50) NOT NULL,
    "trigger_id" VARCHAR(128) NOT NULL,
    "router_id" VARCHAR(50) NOT NULL,
    "create_time" TIMESTAMP NOT NULL,
    "create_table" SMALLINT DEFAULT 0 NOT NULL,
    "delete_first" SMALLINT DEFAULT 0 NOT NULL,
    "reload_select" TEXT,
    "before_custom_sql" TEXT,
    "reload_time" TIMESTAMP,
    "load_id" BIGINT,
    "processed" SMALLINT DEFAULT 0 NOT NULL,
    "channel_id" VARCHAR(128),
    "last_update_by" VARCHAR(50),
    "last_update_time" TIMESTAMP NOT NULL,
    PRIMARY KEY ("target_node_id", "source_node_id", "trigger_id", "router_id", "create_time")
)
2020-11-25 18:53:35,710 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE TABLE "sym_table_reload_status"(
    "load_id" BIGINT NOT NULL,
    "source_node_id" VARCHAR(50) NOT NULL,
    "target_node_id" VARCHAR(50) NOT NULL,
    "start_time" TIMESTAMP,
    "end_time" TIMESTAMP,
    "completed" SMALLINT DEFAULT 0 NOT NULL,
    "cancelled" SMALLINT DEFAULT 0 NOT NULL,
    "full_load" SMALLINT DEFAULT 0 NOT NULL,
    "start_data_batch_id" BIGINT,
    "end_data_batch_id" BIGINT,
    "setup_batch_count" BIGINT DEFAULT 0 NOT NULL,
    "data_batch_count" BIGINT DEFAULT 0 NOT NULL,
    "finalize_batch_count" BIGINT DEFAULT 0 NOT NULL,
    "setup_batch_loaded" BIGINT DEFAULT 0 NOT NULL,
    "data_batch_loaded" BIGINT DEFAULT 0 NOT NULL,
    "finalize_batch_loaded" BIGINT DEFAULT 0 NOT NULL,
    "table_count" BIGINT DEFAULT 0 NOT NULL,
    "rows_loaded" BIGINT DEFAULT 0 NOT NULL,
    "rows_count" BIGINT DEFAULT 0 NOT NULL,
    "error_flag" SMALLINT DEFAULT 0 NOT NULL,
    "sql_state" VARCHAR(10),
    "sql_code" INTEGER DEFAULT 0 NOT NULL,
    "sql_message" TEXT,
    "last_update_by" VARCHAR(50),
    "last_update_time" TIMESTAMP NOT NULL,
    PRIMARY KEY ("load_id", "source_node_id")
)
2020-11-25 18:53:35,712 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE TABLE "sym_transform_table"(
    "transform_id" VARCHAR(50) NOT NULL,
    "source_node_group_id" VARCHAR(50) NOT NULL,
    "target_node_group_id" VARCHAR(50) NOT NULL,
    "transform_point" VARCHAR(10) NOT NULL,
    "source_catalog_name" VARCHAR(255),
    "source_schema_name" VARCHAR(255),
    "source_table_name" VARCHAR(255) NOT NULL,
    "target_catalog_name" VARCHAR(255),
    "target_schema_name" VARCHAR(255),
    "target_table_name" VARCHAR(255),
    "update_first" SMALLINT DEFAULT 0,
    "update_action" VARCHAR(255) DEFAULT 'UPDATE_COL' NOT NULL,
    "delete_action" VARCHAR(10) NOT NULL,
    "transform_order" INTEGER DEFAULT 1 NOT NULL,
    "column_policy" VARCHAR(10) DEFAULT 'SPECIFIED' NOT NULL,
    "create_time" TIMESTAMP,
    "last_update_by" VARCHAR(50),
    "last_update_time" TIMESTAMP,
    "description" TEXT,
    PRIMARY KEY ("transform_id", "source_node_group_id", "target_node_group_id")
)
2020-11-25 18:53:35,715 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE TABLE "sym_transform_column"(
    "transform_id" VARCHAR(50) NOT NULL,
    "include_on" CHAR(1) DEFAULT '*' NOT NULL,
    "target_column_name" VARCHAR(128) NOT NULL,
    "source_column_name" VARCHAR(128),
    "pk" SMALLINT DEFAULT 0,
    "transform_type" VARCHAR(50) DEFAULT 'copy',
    "transform_expression" TEXT,
    "transform_order" INTEGER DEFAULT 1 NOT NULL,
    "create_time" TIMESTAMP,
    "last_update_by" VARCHAR(50),
    "last_update_time" TIMESTAMP,
    "description" TEXT,
    PRIMARY KEY ("transform_id", "include_on", "target_column_name")
)
2020-11-25 18:53:35,719 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE TABLE "sym_trigger"(
    "trigger_id" VARCHAR(128) NOT NULL,
    "source_catalog_name" VARCHAR(255),
    "source_schema_name" VARCHAR(255),
    "source_table_name" VARCHAR(255) NOT NULL,
    "channel_id" VARCHAR(128) NOT NULL,
    "reload_channel_id" VARCHAR(128) DEFAULT 'reload' NOT NULL,
    "sync_on_update" SMALLINT DEFAULT 1 NOT NULL,
    "sync_on_insert" SMALLINT DEFAULT 1 NOT NULL,
    "sync_on_delete" SMALLINT DEFAULT 1 NOT NULL,
    "sync_on_incoming_batch" SMALLINT DEFAULT 0 NOT NULL,
    "name_for_update_trigger" VARCHAR(255),
    "name_for_insert_trigger" VARCHAR(255),
    "name_for_delete_trigger" VARCHAR(255),
    "sync_on_update_condition" TEXT,
    "sync_on_insert_condition" TEXT,
    "sync_on_delete_condition" TEXT,
    "custom_before_update_text" TEXT,
    "custom_before_insert_text" TEXT,
    "custom_before_delete_text" TEXT,
    "custom_on_update_text" TEXT,
    "custom_on_insert_text" TEXT,
    "custom_on_delete_text" TEXT,
    "external_select" TEXT,
    "tx_id_expression" TEXT,
    "channel_expression" TEXT,
    "excluded_column_names" TEXT,
    "included_column_names" TEXT,
    "sync_key_names" TEXT,
    "use_stream_lobs" SMALLINT DEFAULT 0 NOT NULL,
    "use_capture_lobs" SMALLINT DEFAULT 0 NOT NULL,
    "use_capture_old_data" SMALLINT DEFAULT 1 NOT NULL,
    "use_handle_key_updates" SMALLINT DEFAULT 1 NOT NULL,
    "stream_row" SMALLINT DEFAULT 0 NOT NULL,
    "create_time" TIMESTAMP NOT NULL,
    "last_update_by" VARCHAR(50),
    "last_update_time" TIMESTAMP NOT NULL,
    "description" TEXT,
    PRIMARY KEY ("trigger_id")
)
2020-11-25 18:53:35,723 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE TABLE "sym_trigger_hist"(
    "trigger_hist_id" INTEGER NOT NULL,
    "trigger_id" VARCHAR(128) NOT NULL,
    "source_table_name" VARCHAR(255) NOT NULL,
    "source_catalog_name" VARCHAR(255),
    "source_schema_name" VARCHAR(255),
    "name_for_update_trigger" VARCHAR(255),
    "name_for_insert_trigger" VARCHAR(255),
    "name_for_delete_trigger" VARCHAR(255),
    "table_hash" BIGINT DEFAULT 0 NOT NULL,
    "trigger_row_hash" BIGINT DEFAULT 0 NOT NULL,
    "trigger_template_hash" BIGINT DEFAULT 0 NOT NULL,
    "column_names" TEXT NOT NULL,
    "pk_column_names" TEXT NOT NULL,
    "last_trigger_build_reason" CHAR(1) NOT NULL,
    "error_message" TEXT,
    "create_time" TIMESTAMP NOT NULL,
    "inactive_time" TIMESTAMP,
    PRIMARY KEY ("trigger_hist_id")
)
2020-11-25 18:53:35,726 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE INDEX "sym_idx_trigg_hist_1" ON "sym_trigger_hist" ("trigger_id", "inactive_time")
2020-11-25 18:53:35,729 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE TABLE "sym_trigger_router"(
    "trigger_id" VARCHAR(128) NOT NULL,
    "router_id" VARCHAR(50) NOT NULL,
    "enabled" SMALLINT DEFAULT 1 NOT NULL,
    "initial_load_order" INTEGER DEFAULT 1 NOT NULL,
    "initial_load_select" TEXT,
    "initial_load_delete_stmt" TEXT,
    "ping_back_enabled" SMALLINT DEFAULT 0 NOT NULL,
    "create_time" TIMESTAMP NOT NULL,
    "last_update_by" VARCHAR(50),
    "last_update_time" TIMESTAMP NOT NULL,
    "description" TEXT,
    PRIMARY KEY ("trigger_id", "router_id")
)
2020-11-25 18:53:35,731 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: CREATE TABLE "sym_trigger_router_grouplet"(
    "grouplet_id" VARCHAR(50) NOT NULL,
    "trigger_id" VARCHAR(128) NOT NULL,
    "router_id" VARCHAR(50) NOT NULL,
    "applies_when" CHAR(1) NOT NULL,
    "create_time" TIMESTAMP NOT NULL,
    "last_update_by" VARCHAR(50),
    "last_update_time" TIMESTAMP NOT NULL,
    PRIMARY KEY ("grouplet_id", "trigger_id", "router_id", "applies_when")
)
2020-11-25 18:53:35,733 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: ALTER TABLE "sym_conflict"
    ADD CONSTRAINT "sym_fk_cf_2_grp_lnk" FOREIGN KEY ("source_node_group_id", "target_node_group_id") REFERENCES "sym_node_group_link" ("source_node_group_id", "target_node_group_id")
2020-11-25 18:53:35,735 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: ALTER TABLE "sym_file_trigger_router"
    ADD CONSTRAINT "sym_fk_ftr_2_ftrg" FOREIGN KEY ("trigger_id") REFERENCES "sym_file_trigger" ("trigger_id")
2020-11-25 18:53:35,736 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: ALTER TABLE "sym_file_trigger_router"
    ADD CONSTRAINT "sym_fk_ftr_2_rtr" FOREIGN KEY ("router_id") REFERENCES "sym_router" ("router_id")
2020-11-25 18:53:35,737 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: ALTER TABLE "sym_grouplet_link"
    ADD CONSTRAINT "sym_fk_gpltlnk_2_gplt" FOREIGN KEY ("grouplet_id") REFERENCES "sym_grouplet" ("grouplet_id")
2020-11-25 18:53:35,738 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: ALTER TABLE "sym_node_group_link"
    ADD CONSTRAINT "sym_fk_lnk_2_grp_src" FOREIGN KEY ("source_node_group_id") REFERENCES "sym_node_group" ("node_group_id")
2020-11-25 18:53:35,739 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: ALTER TABLE "sym_node_group_link"
    ADD CONSTRAINT "sym_fk_lnk_2_grp_tgt" FOREIGN KEY ("target_node_group_id") REFERENCES "sym_node_group" ("node_group_id")
2020-11-25 18:53:35,739 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: ALTER TABLE "sym_node_identity"
    ADD CONSTRAINT "sym_fk_ident_2_node" FOREIGN KEY ("node_id") REFERENCES "sym_node" ("node_id")
2020-11-25 18:53:35,740 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: ALTER TABLE "sym_node_security"
    ADD CONSTRAINT "sym_fk_sec_2_node" FOREIGN KEY ("node_id") REFERENCES "sym_node" ("node_id")
2020-11-25 18:53:35,741 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: ALTER TABLE "sym_router"
    ADD CONSTRAINT "sym_fk_rt_2_grp_lnk" FOREIGN KEY ("source_node_group_id", "target_node_group_id") REFERENCES "sym_node_group_link" ("source_node_group_id", "target_node_group_id")
2020-11-25 18:53:35,743 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: ALTER TABLE "sym_transform_table"
    ADD CONSTRAINT "sym_fk_tt_2_grp_lnk" FOREIGN KEY ("source_node_group_id", "target_node_group_id") REFERENCES "sym_node_group_link" ("source_node_group_id", "target_node_group_id")
2020-11-25 18:53:35,744 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: ALTER TABLE "sym_trigger"
    ADD CONSTRAINT "sym_fk_trg_2_chnl" FOREIGN KEY ("channel_id") REFERENCES "sym_channel" ("channel_id")
2020-11-25 18:53:35,746 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: ALTER TABLE "sym_trigger"
    ADD CONSTRAINT "sym_fk_trg_2_rld_chnl" FOREIGN KEY ("reload_channel_id") REFERENCES "sym_channel" ("channel_id")
2020-11-25 18:53:35,747 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: ALTER TABLE "sym_trigger_router"
    ADD CONSTRAINT "sym_fk_tr_2_trg" FOREIGN KEY ("trigger_id") REFERENCES "sym_trigger" ("trigger_id")
2020-11-25 18:53:35,748 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: ALTER TABLE "sym_trigger_router"
    ADD CONSTRAINT "sym_fk_tr_2_rtr" FOREIGN KEY ("router_id") REFERENCES "sym_router" ("router_id")
2020-11-25 18:53:35,749 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: ALTER TABLE "sym_trigger_router_grouplet"
    ADD CONSTRAINT "sym_fk_trgplt_2_gplt" FOREIGN KEY ("grouplet_id") REFERENCES "sym_grouplet" ("grouplet_id")
2020-11-25 18:53:35,750 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] DDL applied: ALTER TABLE "sym_trigger_router_grouplet"
    ADD CONSTRAINT "sym_fk_trgplt_2_tr" FOREIGN KEY ("trigger_id", "router_id") REFERENCES "sym_trigger_router" ("trigger_id", "router_id")
2020-11-25 18:53:35,755 INFO [store-001] [ClusterService] [symmetric-engine-startup-2] This node picked a server id of MyMac.local
2020-11-25 18:53:35,756 INFO [store-001] [TriggerRouterService] [symmetric-engine-startup-2] Synchronizing triggers
2020-11-25 18:53:35,766 INFO [store-001] [TriggerRouterService] [symmetric-engine-startup-2] Done synchronizing triggers
2020-11-25 18:53:35,767 INFO [store-001] [PostgreSqlSymmetricDialect] [symmetric-engine-startup-2] Done with auto update of SymmetricDS tables
2020-11-25 18:53:35,768 INFO [store-001] [ConfigurationService] [symmetric-engine-startup-2] Auto-configuring config channel
2020-11-25 18:53:35,774 INFO [store-001] [ConfigurationService] [symmetric-engine-startup-2] Auto-configuring reload channel
2020-11-25 18:53:35,779 INFO [store-001] [ConfigurationService] [symmetric-engine-startup-2] Auto-configuring monitor channel
2020-11-25 18:53:35,781 INFO [store-001] [ConfigurationService] [symmetric-engine-startup-2] Auto-configuring heartbeat channel
2020-11-25 18:53:35,783 INFO [store-001] [ConfigurationService] [symmetric-engine-startup-2] Auto-configuring default channel
2020-11-25 18:53:35,787 INFO [store-001] [ConfigurationService] [symmetric-engine-startup-2] Auto-configuring dynamic channel
2020-11-25 18:53:35,874 INFO [store-001] [AbstractSymmetricEngine] [symmetric-engine-startup-2] Done initializing SymmetricDS database
2020-11-25 18:53:35,875 INFO [store-001] [AbstractSymmetricEngine] [symmetric-engine-startup-2] SymmetricDS database version : null
2020-11-25 18:53:35,875 INFO [store-001] [AbstractSymmetricEngine] [symmetric-engine-startup-2] SymmetricDS software version : 3.12.5
2020-11-25 18:53:35,902 INFO [store-001] [AbstractSymmetricEngine] [symmetric-engine-startup-2] Starting unregistered node [group=store, externalId=store-001]
2020-11-25 18:53:35,915 INFO [store-001] [RouterJob] [symmetric-engine-startup-2] Starting Routing on periodic schedule: every 5000ms with the first run at 2020-11-25T18:53:43.265-0800
2020-11-25 18:53:35,918 INFO [store-001] [PushJob] [symmetric-engine-startup-2] Starting Push on periodic schedule: every 10000ms with the first run at 2020-11-25T18:53:43.268-0800
2020-11-25 18:53:35,918 INFO [store-001] [PullJob] [symmetric-engine-startup-2] Starting Pull on periodic schedule: every 10000ms with the first run at 2020-11-25T18:53:43.268-0800
2020-11-25 18:53:35,919 INFO [store-001] [JobManager] [symmetric-engine-startup-2] Job Offline Push not configured for auto start
2020-11-25 18:53:35,919 INFO [store-001] [JobManager] [symmetric-engine-startup-2] Job Offline Pull not configured for auto start
2020-11-25 18:53:35,921 INFO [store-001] [OutgoingPurgeJob] [symmetric-engine-startup-2] Starting job 'Purge Outgoing' with cron expression: '0 0 */4 * * *'
2020-11-25 18:53:35,922 INFO [store-001] [IncomingPurgeJob] [symmetric-engine-startup-2] Starting job 'Purge Incoming' with cron expression: '0 0 */4 * * *'
2020-11-25 18:53:35,922 INFO [store-001] [StatisticFlushJob] [symmetric-engine-startup-2] Starting job 'Stat Flush' with cron expression: '0 0/5 * * * *'
2020-11-25 18:53:35,927 INFO [store-001] [SyncTriggersJob] [symmetric-engine-startup-2] Starting job 'SyncTriggers' with cron expression: '0 0 0 * * *'
2020-11-25 18:53:35,927 INFO [store-001] [HeartbeatJob] [symmetric-engine-startup-2] Starting Heartbeat on periodic schedule: every 900000ms with the first run at 2020-11-25T18:53:43.277-0800
2020-11-25 18:53:35,928 INFO [store-001] [WatchdogJob] [symmetric-engine-startup-2] Starting Watchdog on periodic schedule: every 3600000ms with the first run at 2020-11-25T18:53:43.278-0800
2020-11-25 18:53:35,928 INFO [store-001] [StageManagementJob] [symmetric-engine-startup-2] Starting job 'Stage Management' with cron expression: '0 0 * * * *'
2020-11-25 18:53:35,929 INFO [store-001] [JobManager] [symmetric-engine-startup-2] Job Refresh Cache not configured for auto start
2020-11-25 18:53:35,929 INFO [store-001] [JobManager] [symmetric-engine-startup-2] Job File Sync Tracker not configured for auto start
2020-11-25 18:53:35,929 INFO [store-001] [JobManager] [symmetric-engine-startup-2] Job File Sync Pull not configured for auto start
2020-11-25 18:53:35,929 INFO [store-001] [JobManager] [symmetric-engine-startup-2] Job File Sync Push not configured for auto start
2020-11-25 18:53:35,929 INFO [store-001] [InitialLoadExtractorJob] [symmetric-engine-startup-2] Starting Initial Load Extract on periodic schedule: every 10000ms with the first run at 2020-11-25T18:53:43.279-0800
2020-11-25 18:53:35,930 INFO [store-001] [MonitorJob] [symmetric-engine-startup-2] Starting Monitor on periodic schedule: every 60000ms with the first run at 2020-11-25T18:53:43.280-0800
2020-11-25 18:53:35,930 INFO [store-001] [JobManager] [symmetric-engine-startup-2] Job Report Status not configured for auto start
2020-11-25 18:53:35,930 INFO [store-001] [JobManager] [symmetric-engine-startup-2] Job Log Miner not configured for auto start
2020-11-25 18:53:35,930 INFO [store-001] [InitialLoadJob] [symmetric-engine-startup-2] Starting Initial Load Queue on periodic schedule: every 10000ms with the first run at 2020-11-25T18:53:43.280-0800
2020-11-25 18:53:35,932 INFO [store-001] [AbstractSymmetricEngine] [symmetric-engine-startup-2] SymmetricDS Node STARTED:
	 nodeId=store-001
	 groupId=store
	 type=server
	 subType=null
	 name=store-001
	 softwareVersion=3.12.5
	 databaseName=PostgreSQL
	 databaseVersion=12.3
	 driverName=PostgreSQL JDBC Driver
	 driverVersion=42.2.18
	 uptime=0 sec.
2020-11-25 18:53:35,993 INFO [corp-000] [AbstractSymmetricEngine] [symmetric-engine-startup-1] Done initializing SymmetricDS database
2020-11-25 18:53:35,993 INFO [corp-000] [AbstractSymmetricEngine] [symmetric-engine-startup-1] SymmetricDS database version : 3.12.5
2020-11-25 18:53:35,993 INFO [corp-000] [AbstractSymmetricEngine] [symmetric-engine-startup-1] SymmetricDS software version : 3.12.5
2020-11-25 18:53:36,005 INFO [corp-000] [AbstractSymmetricEngine] [symmetric-engine-startup-1] Starting registered node [group=corp, id=corp-000, nodeId=corp-000]
2020-11-25 18:53:36,009 INFO [corp-000] [ClusterService] [symmetric-engine-startup-1] This node picked a server id of MyMac.local
2020-11-25 18:53:36,010 INFO [corp-000] [TriggerRouterService] [symmetric-engine-startup-1] Synchronizing triggers
2020-11-25 18:53:37,322 INFO [corp-000] [TriggerRouterService] [symmetric-engine-startup-1] Done synchronizing triggers
2020-11-25 18:53:37,325 INFO [corp-000] [RouterJob] [symmetric-engine-startup-1] Starting Routing on periodic schedule: every 5000ms with the first run at 2020-11-25T18:53:40.579-0800
2020-11-25 18:53:37,325 INFO [corp-000] [PushJob] [symmetric-engine-startup-1] Starting Push on periodic schedule: every 10000ms with the first run at 2020-11-25T18:53:40.580-0800
2020-11-25 18:53:37,325 INFO [corp-000] [PullJob] [symmetric-engine-startup-1] Starting Pull on periodic schedule: every 10000ms with the first run at 2020-11-25T18:53:40.580-0800
2020-11-25 18:53:37,325 INFO [corp-000] [JobManager] [symmetric-engine-startup-1] Job Offline Push not configured for auto start
2020-11-25 18:53:37,326 INFO [corp-000] [JobManager] [symmetric-engine-startup-1] Job Offline Pull not configured for auto start
2020-11-25 18:53:37,326 INFO [corp-000] [OutgoingPurgeJob] [symmetric-engine-startup-1] Starting job 'Purge Outgoing' with cron expression: '0 0 */4 * * *'
2020-11-25 18:53:37,326 INFO [corp-000] [IncomingPurgeJob] [symmetric-engine-startup-1] Starting job 'Purge Incoming' with cron expression: '0 0 */4 * * *'
2020-11-25 18:53:37,326 INFO [corp-000] [StatisticFlushJob] [symmetric-engine-startup-1] Starting job 'Stat Flush' with cron expression: '0 0/5 * * * *'
2020-11-25 18:53:37,327 INFO [corp-000] [SyncTriggersJob] [symmetric-engine-startup-1] Starting job 'SyncTriggers' with cron expression: '0 0 0 * * *'
2020-11-25 18:53:37,327 INFO [corp-000] [HeartbeatJob] [symmetric-engine-startup-1] Starting Heartbeat on periodic schedule: every 900000ms with the first run at 2020-11-25T18:53:40.582-0800
2020-11-25 18:53:37,327 INFO [corp-000] [WatchdogJob] [symmetric-engine-startup-1] Starting Watchdog on periodic schedule: every 3600000ms with the first run at 2020-11-25T18:53:40.582-0800
2020-11-25 18:53:37,328 INFO [corp-000] [StageManagementJob] [symmetric-engine-startup-1] Starting job 'Stage Management' with cron expression: '0 0 * * * *'
2020-11-25 18:53:37,328 INFO [corp-000] [JobManager] [symmetric-engine-startup-1] Job Refresh Cache not configured for auto start
2020-11-25 18:53:37,328 INFO [corp-000] [JobManager] [symmetric-engine-startup-1] Job File Sync Tracker not configured for auto start
2020-11-25 18:53:37,328 INFO [corp-000] [JobManager] [symmetric-engine-startup-1] Job File Sync Pull not configured for auto start
2020-11-25 18:53:37,328 INFO [corp-000] [JobManager] [symmetric-engine-startup-1] Job File Sync Push not configured for auto start
2020-11-25 18:53:37,328 INFO [corp-000] [InitialLoadExtractorJob] [symmetric-engine-startup-1] Starting Initial Load Extract on periodic schedule: every 10000ms with the first run at 2020-11-25T18:53:40.583-0800
2020-11-25 18:53:37,328 INFO [corp-000] [MonitorJob] [symmetric-engine-startup-1] Starting Monitor on periodic schedule: every 60000ms with the first run at 2020-11-25T18:53:40.583-0800
2020-11-25 18:53:37,329 INFO [corp-000] [JobManager] [symmetric-engine-startup-1] Job Report Status not configured for auto start
2020-11-25 18:53:37,329 INFO [corp-000] [JobManager] [symmetric-engine-startup-1] Job Log Miner not configured for auto start
2020-11-25 18:53:37,329 INFO [corp-000] [InitialLoadJob] [symmetric-engine-startup-1] Starting Initial Load Queue on periodic schedule: every 10000ms with the first run at 2020-11-25T18:53:40.584-0800
2020-11-25 18:53:37,329 INFO [corp-000] [AbstractSymmetricEngine] [symmetric-engine-startup-1] SymmetricDS Node STARTED:
	 nodeId=corp-000
	 groupId=corp
	 type=server
	 subType=null
	 name=corp-000
	 softwareVersion=3.12.5
	 databaseName=PostgreSQL
	 databaseVersion=12.3
	 driverName=PostgreSQL JDBC Driver
	 driverVersion=42.2.18
	 uptime=0 sec.
2020-11-25 18:53:40,593 INFO [corp-000] [DataGapFastDetector] [corp-000-job-1] Full gap analysis is running
2020-11-25 18:53:40,598 INFO [corp-000] [DataGapFastDetector] [corp-000-job-1] Querying data in gaps from database took 5 ms
2020-11-25 18:53:40,598 INFO [corp-000] [DataGapFastDetector] [corp-000-job-1] Full gap analysis is done after 5 ms
2020-11-25 18:53:40,603 INFO [corp-000] [NodeCommunicationService] [corp-000-job-3] pull will use 10 threads
2020-11-25 18:53:43,273 INFO [store-001] [RouterJob] [store-001-job-1] Did not run the 'Routing' job because the engine is not registered.
2020-11-25 18:53:43,274 INFO [store-001] [PushJob] [store-001-job-3] Did not run the 'Push' job because the engine is not registered.
2020-11-25 18:53:43,280 INFO [store-001] [InitialLoadExtractorJob] [store-001-job-6] Did not run the 'Initial Load Extract' job because the engine is not registered.
2020-11-25 18:53:43,281 INFO [store-001] [InitialLoadJob] [store-001-job-8] Did not run the 'Initial Load Queue' job because the engine is not registered.
2020-11-25 18:53:43,282 INFO [store-001] [RegistrationService] [store-001-job-2] This node is unregistered.  It will attempt to register using the registration.url
2020-11-25 18:53:43,282 INFO [store-001] [MonitorJob] [store-001-job-7] Did not run the 'Monitor' job because the engine is not registered.
2020-11-25 18:53:43,293 INFO [store-001] [DataLoaderService] [store-001-job-2] Using registration URL of http://10.0.1.106:8080/sync/corp-000/registration
2020-11-25 18:53:43,372 INFO [corp-000] [RegistrationService] [qtp424786033-19] Just opened registration for external id of store-001 and a node group of store and a node id of store-001
2020-11-25 18:53:43,377 INFO [corp-000] [RegistrationService] [qtp424786033-19] Completed registration of node store:store-001:store-001
2020-11-25 18:53:44,182 INFO [store-001] [ConfigurationChangedDatabaseWriterFilter] [store-001-dataloader-1] Grouplets flushed because new grouplet config came through the data loader
2020-11-25 18:53:44,182 INFO [store-001] [ConfigurationChangedDatabaseWriterFilter] [store-001-dataloader-1] Load filters flushed because new filter config came through the data loader
2020-11-25 18:53:44,182 INFO [store-001] [ConfigurationChangedDatabaseWriterFilter] [store-001-dataloader-1] Channels flushed because new channels came through the data loader
2020-11-25 18:53:44,182 INFO [store-001] [ConfigurationChangedDatabaseWriterFilter] [store-001-dataloader-1] About to refresh the cache of conflict settings because new configuration came through the data loader
2020-11-25 18:53:44,182 INFO [store-001] [ConfigurationChangedDatabaseWriterFilter] [store-001-dataloader-1] About to refresh the cache of parameters because new configuration came through the data loader
2020-11-25 18:53:44,188 INFO [store-001] [ConfigurationChangedDatabaseWriterFilter] [store-001-dataloader-1] About to refresh the cache of node security because new configuration came through the data loader
2020-11-25 18:53:44,193 INFO [store-001] [ConfigurationChangedDatabaseWriterFilter] [store-001-job-2] About to refresh the cache of transformation because new configuration came through the data loader
2020-11-25 18:53:44,193 INFO [store-001] [ConfigurationChangedDatabaseWriterFilter] [store-001-job-2] About to clear the staging area because new transform configuration came through the data loader
2020-11-25 18:53:44,194 INFO [store-001] [StagingManager] [store-001-job-2] Cleaning staging...
2020-11-25 18:53:44,195 INFO [store-001] [StagingManager] [store-001-job-2] Purged 1 staging files, freed 10 KB of disk space.
2020-11-25 18:53:44,195 INFO [store-001] [StagingManager] [store-001-job-2] Finished cleaning staging in 0 seconds.
2020-11-25 18:53:44,196 INFO [store-001] [ConfigurationChangedDatabaseWriterFilter] [store-001-job-2] About to syncTriggers because new configuration came through the data loader
2020-11-25 18:53:44,196 INFO [store-001] [TriggerRouterService] [store-001-job-2] Synchronizing triggers
2020-11-25 18:53:44,210 INFO [store-001] [TriggerRouterService] [store-001-job-2] Done synchronizing triggers
2020-11-25 18:53:44,217 INFO [store-001] [RegistrationService] [store-001-job-2] Successfully registered node [id=store-001]
2020-11-25 18:53:44,233 INFO [store-001] [ExtensionService] [store-001-job-2] Found 0 extension points from the database that will be registered
2020-11-25 18:53:44,233 INFO [store-001] [ClientExtensionService] [store-001-job-2] Found 8 extension points from spring that will be registered
2020-11-25 18:53:44,233 INFO [store-001] [PushHeartbeatListener] [store-001-job-2] Some attribute(s) of node changed.  Recording changes
2020-11-25 18:53:44,233 INFO [store-001] [PushHeartbeatListener] [store-001-job-2] Updating my node configuration info according to the symmetric properties
2020-11-25 18:53:44,241 INFO [store-001] [PullService] [store-001-job-2] Node store:store-001 just registered, not pulling yet
2020-11-25 18:53:45,643 INFO [corp-000] [ConfigurationChangedDataRouter] [corp-000-job-11] About to refresh the cache of nodes because new configuration came through the data router
2020-11-25 18:53:45,643 INFO [corp-000] [ConfigurationChangedDataRouter] [corp-000-job-11] About to refresh the cache of node security because new configuration came through the data router
2020-11-25 18:53:45,651 INFO [corp-000] [RouterService] [corp-000-job-11] Routed 7 data events in 46 ms
2020-11-25 18:53:48,281 INFO [store-001] [DataService] [store-001-job-9] Inserting missing last data gap: { startId: 1, endId: 50000001, createTime: "Wed Nov 25 18:53:48 PST 2020" }
2020-11-25 18:53:48,285 INFO [store-001] [DataGapFastDetector] [store-001-job-9] Full gap analysis is running
2020-11-25 18:53:48,287 INFO [store-001] [DataGapFastDetector] [store-001-job-9] Querying data in gaps from database took 2 ms
2020-11-25 18:53:48,287 INFO [store-001] [DataGapFastDetector] [store-001-job-9] Full gap analysis is done after 2 ms
2020-11-25 18:53:54,250 INFO [store-001] [NodeCommunicationService] [store-001-job-1] pull will use 10 threads
2020-11-25 18:53:54,313 INFO [corp-000] [PullUriHandler] [qtp424786033-15] 3 data and 2 batches sent during pull request from store:store-001:store-001
2020-11-25 18:53:54,354 INFO [store-001] [ConfigurationChangedDatabaseWriterFilter] [store-001-dataloader-2] About to refresh the cache of node security because new configuration came through the data loader
2020-11-25 18:53:54,409 INFO [store-001] [PullService] [store-001-pull-default-1] Pull data received from corp:corp-000:corp-000 on queue default. 3 rows and 2 batches were processed. (sym_node, sym_node_security, sym_node_host)
2020-11-25 19:00:00,012 INFO [corp-000] [StagingManager] [corp-000-job-13] Cleaning staging...
2020-11-25 19:00:00,013 INFO [corp-000] [StagingManager] [corp-000-job-13] Finished cleaning staging in 0 seconds.
2020-11-25 19:00:00,013 INFO [store-001] [StagingManager] [store-001-job-7] Cleaning staging...
2020-11-25 19:00:00,014 INFO [store-001] [StagingManager] [store-001-job-7] Finished cleaning staging in 0 seconds.
2020-11-25 19:04:06,953 INFO [] [AbstractCommandLauncher] [main] Option: name=engine, value={corp-000}
2020-11-25 19:05:19,286 INFO [] [AbstractCommandLauncher] [main] Option: name=engine, value={corp-000}
2020-11-25 19:05:19,479 INFO [] [SymmetricUtils] [main] 
   _____                              __       _       ____   _____
  / ___/ __  _____ __  ___ __  ___  _/ /_ ____(_)___  / __ | / ___/
  \__ \ / / / / _ `_ \/ _ `_ \/ _ \/_ __// __/ / __/ / / / / \__ \ 
 ___/ // /_/ / // // / // // /  __// /  / / / / /_  / /_/ / ___/ / 
/____/ \__  /_//_//_/_//_//_/\___/ \_/ /_/ /_/\__/ /_____/ /____/  
      /____/                                                        
+-----------------------------------------------------------------+
| Copyright (C) 2007-2020 JumpMind, Inc.                          |
|                                                                 |
| Licensed under the GNU General Public License version 3.        |
| This software comes with ABSOLUTELY NO WARRANTY.                |
| See http://www.gnu.org/licenses/gpl.html                        |
+-----------------------------------------------------------------+
2020-11-25 19:05:19,487 INFO [corp-000] [AbstractSymmetricEngine] [main] Initializing connection to database
2020-11-25 19:05:19,549 INFO [corp-000] [JdbcDatabasePlatformFactory] [main] Detected database 'postgres95', version '12', protocol 'postgresql'
2020-11-25 19:05:19,560 INFO [corp-000] [JdbcDatabasePlatformFactory] [main] The IDatabasePlatform being used is org.jumpmind.db.platform.postgresql.PostgreSql95DatabasePlatform
2020-11-25 19:05:19,638 INFO [corp-000] [PostgreSqlSymmetricDialect] [main] The DbDialect being used is org.jumpmind.symmetric.db.postgresql.PostgreSqlSymmetricDialect
2020-11-25 19:05:19,660 INFO [corp-000] [ExtensionService] [main] Found 0 extension points from the database that will be registered
2020-11-25 19:05:19,669 INFO [corp-000] [StagingManager] [main] The staging directory was initialized at the following location: /Users/danridinger/Downloads/symmetric-server-3.12.5/tmp/corp-000
2020-11-25 19:05:20,147 INFO [corp-000] [ExtensionService] [main] Found 0 extension points from the database that will be registered
2020-11-25 19:05:20,148 INFO [corp-000] [ClientExtensionService] [main] Found 8 extension points from spring that will be registered
2020-11-25 19:05:21,214 INFO [corp-000] [ConfigurationChangedDataRouter] [corp-000-job-9] About to refresh the cache of node security because new configuration came through the data router
2020-11-25 19:05:21,214 INFO [corp-000] [RouterService] [corp-000-job-9] Routed 1 data events in 35 ms
2020-11-25 19:05:30,808 INFO [corp-000] [InitialLoadService] [corp-000-job-6] Creating load request from node corp-000 to node store-001
2020-11-25 19:05:30,828 INFO [corp-000] [InitialLoadService] [corp-000-job-6] Found 1 table reload requests to process.
2020-11-25 19:05:30,832 INFO [corp-000] [DataService] [corp-000-job-6] Queueing up an initial load to node store-001
2020-11-25 19:05:30,921 INFO [corp-000] [DataService] [corp-000-job-6] Before sending load 2 to target node store:store-001:store-001 create table events were sent for 1 tables
2020-11-25 19:05:30,932 INFO [corp-000] [DataService] [corp-000-job-6] Table reload request(s) for load id 2 have been processed.
2020-11-25 19:05:30,934 INFO [corp-000] [PurgeService] [corp-000-job-6] Purged all 0 incoming batch for node store-001
2020-11-25 19:05:31,231 INFO [corp-000] [ConfigurationChangedDataRouter] [corp-000-job-14] About to refresh the cache of node security because new configuration came through the data router
2020-11-25 19:05:31,235 INFO [corp-000] [RouterService] [corp-000-job-14] Routed 5 data events in 17 ms
2020-11-25 19:05:34,526 INFO [corp-000] [DataExtractorService] [corp-000-dataextractor-2] Batch store-001-30 is not ready for delivery.  It is currently scheduled for extraction.
2020-11-25 19:05:34,533 INFO [corp-000] [PullUriHandler] [qtp424786033-19] 7 data and 4 batches sent during pull request from store:store-001:store-001
2020-11-25 19:05:34,576 INFO [store-001] [ConfigurationChangedDatabaseWriterFilter] [store-001-dataloader-3] Initial load started for me
2020-11-25 19:05:34,585 INFO [store-001] [ConfigurationChangedDatabaseWriterFilter] [store-001-dataloader-3] About to refresh the cache of node security because new configuration came through the data loader
2020-11-25 19:05:34,595 INFO [store-001] [ConfigurationChangedDatabaseWriterFilter] [store-001-dataloader-3] About to refresh the cache of node security because new configuration came through the data loader
2020-11-25 19:05:34,599 INFO [store-001] [ConfigurationChangedDatabaseWriterFilter] [store-001-dataloader-3] About to refresh the cache of nodes because new configuration came through the data loader
2020-11-25 19:05:34,607 INFO [store-001] [DefaultDatabaseWriter] [store-001-dataloader-3] About to create table using the following definition: <?xml version="1.0"?>
<!DOCTYPE database SYSTEM "http://db.apache.org/torque/dtd/database">
<database name="dataextractor">
	<table name="test_text_search">
		<column name="UID" primaryKey="true" primaryKeySeq="1" required="true" type="BIGINT" size="19" autoIncrement="true">
			<platform-column name="postgres95" type="int8" size="19"/>
		</column>
		<column name="ts_field_text" type="LONGVARCHAR" size="2147483647">
			<platform-column name="postgres95" type="tsvector" size="2147483647"/>
		</column>
		<column name="tx_field" type="LONGVARCHAR" size="2147483647">
			<platform-column name="postgres95" type="text" size="2147483647"/>
		</column>
		<column name="text_field" type="VARCHAR" size="100">
			<platform-column name="postgres95" type="varchar" size="100"/>
		</column>
		<column name="cv_text_nl" type="VARCHAR" size="2147483647">
			<platform-column name="postgres95" type="varchar" size="2147483647"/>
		</column>
	</table>
</database>
2020-11-25 19:05:34,609 INFO [store-001] [PostgreSql95DatabasePlatform] [store-001-dataloader-3] Running alter sql:
CREATE SEQUENCE "public"."test_text_search_uid_seq";
CREATE TABLE "public"."test_text_search"(
    "uid" BIGINT NOT NULL  DEFAULT nextval('"public"."test_text_search_uid_seq"'),
    "ts_field_text" TEXT,
    "tx_field" TEXT,
    "text_field" VARCHAR(100),
    "cv_text_nl" VARCHAR(2147483647),
    PRIMARY KEY ("uid")
);

2020-11-25 19:05:34,615 WARN [store-001] [JdbcSqlTemplate] [store-001-dataloader-3] ERROR: length for type varchar cannot exceed 10485760
  Position: 221.  Failed to execute: CREATE TABLE "public"."test_text_search"(
    "uid" BIGINT NOT NULL  DEFAULT nextval('"public"."test_text_search_uid_seq"'),
    "ts_field_text" TEXT,
    "tx_field" TEXT,
    "text_field" VARCHAR(100),
    "cv_text_nl" VARCHAR(2147483647),
    PRIMARY KEY ("uid")
)
2020-11-25 19:05:34,615 ERROR [store-001] [DefaultDatabaseWriter] [store-001-dataloader-3] Failed to alter table using the following xml: <?xml version="1.0"?>
<!DOCTYPE database SYSTEM "http://db.apache.org/torque/dtd/database">
<database name="dataextractor">
	<table name="test_text_search">
		<column name="UID" primaryKey="true" primaryKeySeq="1" required="true" type="BIGINT" size="19" autoIncrement="true">
			<platform-column name="postgres95" type="int8" size="19"/>
		</column>
		<column name="ts_field_text" type="LONGVARCHAR" size="2147483647">
			<platform-column name="postgres95" type="tsvector" size="2147483647"/>
		</column>
		<column name="tx_field" type="LONGVARCHAR" size="2147483647">
			<platform-column name="postgres95" type="text" size="2147483647"/>
		</column>
		<column name="text_field" type="VARCHAR" size="100">
			<platform-column name="postgres95" type="varchar" size="100"/>
		</column>
		<column name="cv_text_nl" type="VARCHAR" size="2147483647">
			<platform-column name="postgres95" type="varchar" size="2147483647"/>
		</column>
	</table>
</database> StackTraceKey.init [SqlException:3280110307] org.jumpmind.db.sql.SqlException: ERROR: length for type varchar cannot exceed 10485760
  Position: 221
	at org.jumpmind.db.sql.AbstractSqlTemplate.translate(AbstractSqlTemplate.java:306)
	at org.jumpmind.db.sql.AbstractSqlTemplate.translate(AbstractSqlTemplate.java:295)
	at org.jumpmind.db.sql.JdbcSqlTemplate.execute(JdbcSqlTemplate.java:523)
	at org.jumpmind.db.sql.JdbcSqlTemplate.update(JdbcSqlTemplate.java:431)
	at org.jumpmind.db.sql.SqlScript.execute(SqlScript.java:114)
	at org.jumpmind.db.platform.AbstractDatabasePlatform.alterTables(AbstractDatabasePlatform.java:251)
	at org.jumpmind.db.platform.AbstractDatabasePlatform.alterDatabase(AbstractDatabasePlatform.java:215)
	at org.jumpmind.symmetric.io.data.writer.DefaultDatabaseWriter.create(DefaultDatabaseWriter.java:615)
	at org.jumpmind.symmetric.io.data.writer.AbstractDatabaseWriter.write(AbstractDatabaseWriter.java:204)
	at org.jumpmind.symmetric.io.data.writer.NestedDataWriter.write(NestedDataWriter.java:64)
	at org.jumpmind.symmetric.model.ProcessInfoDataWriter.write(ProcessInfoDataWriter.java:84)
	at org.jumpmind.symmetric.io.data.writer.NestedDataWriter.write(NestedDataWriter.java:64)
	at org.jumpmind.symmetric.io.data.writer.TransformWriter.write(TransformWriter.java:202)
	at org.jumpmind.symmetric.io.data.DataProcessor.forEachDataInTable(DataProcessor.java:212)
	at org.jumpmind.symmetric.io.data.DataProcessor.forEachTableInBatch(DataProcessor.java:178)
	at org.jumpmind.symmetric.io.data.DataProcessor.process(DataProcessor.java:124)
	at org.jumpmind.symmetric.service.impl.DataLoaderService$LoadIntoDatabaseOnArrivalListener$2.call(DataLoaderService.java:1085)
	at org.jumpmind.symmetric.service.impl.DataLoaderService$LoadIntoDatabaseOnArrivalListener$2.call(DataLoaderService.java:1061)
	at java.base/java.util.concurrent.FutureTask.run(FutureTask.java:264)
	at java.base/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1130)
	at java.base/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:630)
	at java.base/java.lang.Thread.run(Thread.java:832)
Caused by: org.postgresql.util.PSQLException: ERROR: length for type varchar cannot exceed 10485760
  Position: 221
	at org.postgresql.core.v3.QueryExecutorImpl.receiveErrorResponse(QueryExecutorImpl.java:2553)
	at org.postgresql.core.v3.QueryExecutorImpl.processResults(QueryExecutorImpl.java:2285)
	at org.postgresql.core.v3.QueryExecutorImpl.execute(QueryExecutorImpl.java:323)
	at org.postgresql.jdbc.PgStatement.executeInternal(PgStatement.java:473)
	at org.postgresql.jdbc.PgStatement.execute(PgStatement.java:393)
	at org.postgresql.jdbc.PgStatement.executeWithFlags(PgStatement.java:322)
	at org.postgresql.jdbc.PgStatement.executeCachedSql(PgStatement.java:308)
	at org.postgresql.jdbc.PgStatement.executeWithFlags(PgStatement.java:284)
	at org.postgresql.jdbc.PgStatement.execute(PgStatement.java:279)
	at org.apache.commons.dbcp.DelegatingStatement.execute(DelegatingStatement.java:264)
	at org.apache.commons.dbcp.DelegatingStatement.execute(DelegatingStatement.java:264)
	at org.jumpmind.db.sql.JdbcSqlTemplate$6.execute(JdbcSqlTemplate.java:446)
	at org.jumpmind.db.sql.JdbcSqlTemplate$6.execute(JdbcSqlTemplate.java:431)
	at org.jumpmind.db.sql.JdbcSqlTemplate.execute(JdbcSqlTemplate.java:521)
	... 19 more

2020-11-25 19:05:34,633 ERROR [store-001] [ManageIncomingBatchListener] [store-001-dataloader-3] Failed to load batch corp-000-29 StackTraceKey [SqlException:3280110307]
2020-11-25 19:05:34,669 ERROR [corp-000] [AcknowledgeService] [qtp424786033-18] The outgoing batch store-001-29 failed: ERROR: length for type varchar cannot exceed 10485760
  Position: 221
2020-11-25 19:05:40,808 INFO [corp-000] [NodeCommunicationService] [corp-000-job-11] extract will use 20 threads
2020-11-25 19:05:40,824 INFO [corp-000] [DataExtractorService] [corp-000-extract-default-1] Starting request 2 to extract table test_text_search into batches 30 through 30 for node store-001.
2020-11-25 19:05:40,858 INFO [corp-000] [DataExtractorService] [corp-000-extract-default-1] Done with request 2 to extract table test_text_search into batches 30 through 30 for node store-001
2020-11-25 19:05:41,262 INFO [corp-000] [RouterService] [corp-000-job-17] Routed 1 data events in 15 ms
2020-11-25 19:05:44,480 INFO [corp-000] [PullUriHandler] [qtp424786033-20] 1 data and 2 batches sent during pull request from store:store-001:store-001
2020-11-25 19:05:44,489 INFO [store-001] [IncomingBatchService] [store-001-dataloader-4] Retrying batch corp-000-29
2020-11-25 19:05:44,500 INFO [store-001] [DefaultDatabaseWriter] [store-001-dataloader-4] About to create table using the following definition: <?xml version="1.0"?>
<!DOCTYPE database SYSTEM "http://db.apache.org/torque/dtd/database">
<database name="dataextractor">
	<table name="test_text_search">
		<column name="UID" primaryKey="true" primaryKeySeq="1" required="true" type="BIGINT" size="19" autoIncrement="true">
			<platform-column name="postgres95" type="int8" size="19"/>
		</column>
		<column name="ts_field_text" type="LONGVARCHAR" size="2147483647">
			<platform-column name="postgres95" type="tsvector" size="2147483647"/>
		</column>
		<column name="tx_field" type="LONGVARCHAR" size="2147483647">
			<platform-column name="postgres95" type="text" size="2147483647"/>
		</column>
		<column name="text_field" type="VARCHAR" size="100">
			<platform-column name="postgres95" type="varchar" size="100"/>
		</column>
		<column name="cv_text_nl" type="VARCHAR" size="2147483647">
			<platform-column name="postgres95" type="varchar" size="2147483647"/>
		</column>
	</table>
</database>
2020-11-25 19:05:44,502 INFO [store-001] [PostgreSql95DatabasePlatform] [store-001-dataloader-4] Running alter sql:
CREATE SEQUENCE "public"."test_text_search_uid_seq";
CREATE TABLE "public"."test_text_search"(
    "uid" BIGINT NOT NULL  DEFAULT nextval('"public"."test_text_search_uid_seq"'),
    "ts_field_text" TEXT,
    "tx_field" TEXT,
    "text_field" VARCHAR(100),
    "cv_text_nl" VARCHAR(2147483647),
    PRIMARY KEY ("uid")
);

2020-11-25 19:05:44,503 WARN [store-001] [JdbcSqlTemplate] [store-001-dataloader-4] ERROR: length for type varchar cannot exceed 10485760
  Position: 221.  Failed to execute: CREATE TABLE "public"."test_text_search"(
    "uid" BIGINT NOT NULL  DEFAULT nextval('"public"."test_text_search_uid_seq"'),
    "ts_field_text" TEXT,
    "tx_field" TEXT,
    "text_field" VARCHAR(100),
    "cv_text_nl" VARCHAR(2147483647),
    PRIMARY KEY ("uid")
)
2020-11-25 19:05:44,503 ERROR [store-001] [DefaultDatabaseWriter] [store-001-dataloader-4] Failed to alter table using the following xml: <?xml version="1.0"?>
<!DOCTYPE database SYSTEM "http://db.apache.org/torque/dtd/database">
<database name="dataextractor">
	<table name="test_text_search">
		<column name="UID" primaryKey="true" primaryKeySeq="1" required="true" type="BIGINT" size="19" autoIncrement="true">
			<platform-column name="postgres95" type="int8" size="19"/>
		</column>
		<column name="ts_field_text" type="LONGVARCHAR" size="2147483647">
			<platform-column name="postgres95" type="tsvector" size="2147483647"/>
		</column>
		<column name="tx_field" type="LONGVARCHAR" size="2147483647">
			<platform-column name="postgres95" type="text" size="2147483647"/>
		</column>
		<column name="text_field" type="VARCHAR" size="100">
			<platform-column name="postgres95" type="varchar" size="100"/>
		</column>
		<column name="cv_text_nl" type="VARCHAR" size="2147483647">
			<platform-column name="postgres95" type="varchar" size="2147483647"/>
		</column>
	</table>
</database> StackTraceKey [SqlException:3280110307]
2020-11-25 19:05:44,510 ERROR [store-001] [ManageIncomingBatchListener] [store-001-dataloader-4] Failed to load batch corp-000-29 StackTraceKey [SqlException:3280110307]
2020-11-25 19:05:44,514 ERROR [corp-000] [AcknowledgeService] [qtp424786033-19] The outgoing batch store-001-29 failed: ERROR: length for type varchar cannot exceed 10485760
  Position: 221
symmetric.log (201,912 bytes)   

gsimpson

2021-08-02 05:42

reporter   ~0001970

Is anyone going to look at this? It has been over 8 months now.

rudiejd

2021-08-10 15:37

developer   ~0001976

I can confirm that I have reproduced this issue on the latest 3.12 with postgres-13.1 using the configuration provided by @FutureChalk. Looking at a fix today.

Related Changesets

SymmetricDS: 3.12 7dce2687

2021-08-10 19:06:33

JD


Committer: GitHub Details Diff
fix: 0004658 problem with postgressql varchar types (0000166)

* fix: resolve 0004658, postgressql datatype issue (platform col size left out if size INT_MAX)

* 0004658 undo accidental change
Affected Issues
0004658
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/postgresql/PostgreSqlDdlReader.java Diff File

Issue History

Date Modified Username Field Change
2020-11-24 00:48 FutureChalk New Issue
2020-11-26 03:16 FutureChalk Note Added: 0001864
2020-11-26 03:16 FutureChalk File Added: symmetric.log
2021-08-02 05:42 gsimpson Note Added: 0001970
2021-08-10 14:59 rudiejd Assigned To => rudiejd
2021-08-10 14:59 rudiejd Status new => assigned
2021-08-10 15:37 rudiejd Note Added: 0001976
2021-08-10 19:07 elong Status assigned => resolved
2021-08-10 19:07 elong Resolution open => fixed
2021-08-10 19:07 elong Fixed in Version => 3.12.12
2021-08-10 19:07 elong Target Version => 3.12.12
2021-08-10 20:00 JD Changeset attached => SymmetricDS 3.12 7dce2687